/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2013  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 3.88                                             *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : BSP.c
Purpose : BSP for RENESAS RSKSH2A7216 Starterkit
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "BSP.h"
#include "iodefine.h"

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/


/*********************************************************************
*
*       Local functions
*
**********************************************************************
*/
#define LED0 (1ul << 9)
#define LED1 (1ul << 11)

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       BSP_Init()
*/
void BSP_Init(void) {
  //
  // Configure port pins connected to LEDs, set Port mode
  //
  PE.DR.WORD &= 0x05ffu;			 
  PFC.PEIORL.WORD |=0xfa00u;	 
}

/*********************************************************************
*
*       BSP_SetLED()
*/
void BSP_SetLED(int Index) {
  if (Index == 0) {
    PE.DR.WORD |= LED0;
  } else if (Index == 1){
	PE.DR.WORD |= LED1;  
  }	  
}

/*********************************************************************
*
*       BSP_ClrLED()
*/
void BSP_ClrLED(int Index) {
if (Index == 0) {
    PE.DR.WORD &= ~LED0;
  } else if (Index == 1){
	PE.DR.WORD &= ~LED1;  
  }	  
}

/*********************************************************************
*
*       BSP_ToggleLED()
*/
void BSP_ToggleLED(int Index) {
if (Index == 0) {
    PE.DR.WORD ^= LED0;
  } else if (Index == 1){
	PE.DR.WORD ^= LED1;  
  }	  
}

/****** EOF *********************************************************/


