/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2013  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 3.88                                             *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : dbsct.c
--------  END-OF-HEADER  ---------------------------------------------
*/#include "typedefine.h"

#pragma section $DSEC
static const struct {
	_UBYTE *rom_s;		/* Initial address on ROM of initialization data section */
	_UBYTE *rom_e;		/* Final address on ROM of initialization data section */
	_UBYTE *ram_s;		/* Initial address on RAM of initialization data section */
}	DTBL[] = {
	{ __sectop("D"), __secend("D"), __sectop("R") },
};

#pragma section $BSEC
static const struct {
	_UBYTE *b_s;		/* Initial address of uninitialization data section */
	_UBYTE *b_e;		/* Final address of uninitialization data section */
}	BTBL[] = {
	{ __sectop("B"), __secend("B") },
};

/* End of File */
