/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2013  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       OS version: 3.88                                             *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : hwsetup.c
--------  END-OF-HEADER  ---------------------------------------------
*/
#include "iodefine.h"

/* ==== Prototype declaration ==== */
void HardwareSetup(void);

/* ==== External reference ==== */
/* ---- Function prototype ---- */
extern void io_set_cpg(void);
extern void io_init_sdram(void);

/*""FUNC COMMENT""**************************************************************
 * ID           : 
 * Outline      : Hardware initialization
 *------------------------------------------------------------------------------
 * Include      : 
 *------------------------------------------------------------------------------
 * Declaration  : void HardwareSetup(void);
 *------------------------------------------------------------------------------
 * Description  : Initializes the hardware function.
 *------------------------------------------------------------------------------
 * Argument     : void
 *------------------------------------------------------------------------------
 * Return Value : void
 *------------------------------------------------------------------------------
 * Note         : None
 *""FUNC COMMENT END""**********************************************************/
void HardwareSetup(void)
{
	/* ==== CPG setting ==== */
	io_set_cpg();

	/* ==== SDRAM area setting ==== */
	io_init_sdram();
}

/* End of File */
