/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/* Copyright (C) 2009. Renesas Technology Europe, All Rights Reserved */

/*FILE COMMENT******************************* Technical reference data ****
* File Name		: rsksh7264def.h
* Version 		: 1.00
* Device 		: SH/7264 (R5S72643W144FPU)
* Tool Chain 	: HEW, Renesas SuperH Standard Tool chain v9.3
* H/W Platform	: RSK2+SH7264
* Description 	: Contains macro defines for RSK2+SH7264 starter kit.
*******************************************************************************/

/******************************************************************************
* History 		: 12.11.2009 Ver. 1.00 First Release
*FILE COMMENT END*********************************************************/

#ifndef RSKSH7264DEF_H
#define RSKSH7264DEF_H

/******************************************************************************
Macro Defines
******************************************************************************/
/* Define peripheral Clock Speeds */
#define	P_CLK			(36000000)
#define	SUB_CLK			(32768)

/* Defines for SFRs belongs to port pins having the user LEDs connected */
#define	LED1			PORT.PJDR0.BIT.PJ6DR
#define	LED2			PORT.PJDR0.BIT.PJ7DR
#define	LED3			PORT.PJDR0.BIT.PJ8DR

/* Common Defines */
/* General Values */
#define SET_BYTE_HIGH	(0xFF)
#define SET_BYTE_LOW	(0x00)

#define	LED_BIT			(1)
#define LED_ON			(0)
#define LED_OFF			(1)
#define SET_BIT_HIGH	(1)
#define SET_BIT_LOW		(0)
#define	TRUE			(1)
#define	FALSE			(0)

#endif
