/***********************************************************************/
/*                                                                     */
/*  FILE        :vecttbl.c                                             */
/*  DATE        :Thu, Feb 16, 2012                                     */
/*  DESCRIPTION :Initialize of Vector Table                            */
/*  CPU TYPE    :SH7269                                                */
/*                                                                     */
/*  This file is generated by Renesas Project Generator (Ver.4.19).    */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/***********************************************************************/
/*********************************************************************
*
* Device     : SH2A-FPU/SH7268,SH72679
*
* File Name  : vecttbl.c
*
* Abstract   : Initialize of Vector Table.
*
* History    : 1.00  (2011-08-10)  [Hardware Manual Revision : 1.00]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2011 Renesas Electronics Corporation and
* Renesas Solutions Corp. All rights reserved.
*
*********************************************************************/
#include "vect.h"
#include "OS_Config.h"

void OS_ISR_Tick (void);
void OS_ISR_Rx(void);
void OS_ISR_Tx(void);
void OS_ISR_RxErr(void);

#ifndef   OS_UART
  #define OS_UART (7)
#endif

#ifndef   OS_VIEW_ENABLE            // Global enable of communication
  #define OS_VIEW_ENABLE    (1)     // Default: on
#endif  

#define OS_UART_USED (OS_VIEW_ENABLE && OS_UART == 7)


#pragma section VECTTBL

void *RESET_Vectors[] = {
//;<<VECTOR DATA START (POWER ON RESET)>>
//;0 Power On Reset PC
    (void*)	PowerON_Reset_PC,                                                                                                                
//;<<VECTOR DATA END (POWER ON RESET)>>
// 1 Power On Reset SP
    __secend("S"),
//;<<VECTOR DATA START (MANUAL RESET)>>
//;2 Manual Reset PC
    (void*)	Manual_Reset_PC,                                                                                                                 
//;<<VECTOR DATA END (MANUAL RESET)>>
// 3 Manual Reset SP
    __secend("S")

};
#pragma section INTTBL
void *INT_Vectors[] = {
// 4 Illegal code
	(void*) INT_Illegal_code,
// 5 Reserved
	(void*) Dummy,
// 6 Illegal slot
	(void*) INT_Illegal_slot,
// 7 Reserved
	(void*) Dummy,
// 8 Reserved
	(void*) Dummy,
// 9 CPU Address error
	(void*) INT_CPU_Address,
// 10 DMAC Address erro
	(void*) INT_DMAC_Address,
// 11 NMI
	(void*) INT_NMI,
// 12 Reserved
	(void*) Dummy,
// 13 INT_FPU
	(void*) INT_FPU,
// 14 H-UDI
	(void*) INT_HUDI,
// 15 Bank Overflow
	(void*) INT_Bank_Overflow,
// 16 Bank Underflow
	(void*) INT_Bank_Underflow,
// 17 Divide by zero
	(void*) INT_Divide_by_Zero,
// 18 Divide Overflow
	(void*) INT_Divide_Overflow,
// 19 Reserved
	(void*) Dummy,
// 20 Reserved
	(void*) Dummy,
// 21 Reserved
	(void*) Dummy,
// 22 Reserved
	(void*) Dummy,
// 23 Reserved
	(void*) Dummy,
// 24 Reserved
	(void*) Dummy,
// 25 Reserved
	(void*) Dummy,
// 26 Reserved
	(void*) Dummy,
// 27 Reserved
	(void*) Dummy,
// 28 Reserved
	(void*) Dummy,
// 29 Reserved
	(void*) Dummy,
// 30 Reserved
	(void*) Dummy,
// 31 Reserved
	(void*) Dummy,
// 32 TRAPA (User Vector)
	(void*) INT_TRAPA32,
// 33 TRAPA (User Vector)
	(void*) INT_TRAPA33,
// 34 TRAPA (User Vector)
	(void*) INT_TRAPA34,
// 35 TRAPA (User Vector)
	(void*) INT_TRAPA35,
// 36 TRAPA (User Vector)
	(void*) INT_TRAPA36,
// 37 TRAPA (User Vector)
	(void*) INT_TRAPA37,
// 38 TRAPA (User Vector)
	(void*) INT_TRAPA38,
// 39 TRAPA (User Vector)
	(void*) INT_TRAPA39,
// 40 TRAPA (User Vector)
	(void*) INT_TRAPA40,
// 41 TRAPA (User Vector)
	(void*) INT_TRAPA41,
// 42 TRAPA (User Vector)
	(void*) INT_TRAPA42,
// 43 TRAPA (User Vector)
	(void*) INT_TRAPA43,
// 44 TRAPA (User Vector)
	(void*) INT_TRAPA44,
// 45 TRAPA (User Vector)
	(void*) INT_TRAPA45,
// 46 TRAPA (User Vector)
	(void*) INT_TRAPA46,
// 47 TRAPA (User Vector)
	(void*) INT_TRAPA47,
// 48 TRAPA (User Vector)
	(void*) INT_TRAPA48,
// 49 TRAPA (User Vector)
	(void*) INT_TRAPA49,
// 50 TRAPA (User Vector)
	(void*) INT_TRAPA50,
// 51 TRAPA (User Vector)
	(void*) INT_TRAPA51,
// 52 TRAPA (User Vector)
	(void*) INT_TRAPA52,
// 53 TRAPA (User Vector)
	(void*) INT_TRAPA53,
// 54 TRAPA (User Vector)
	(void*) INT_TRAPA54,
// 55 TRAPA (User Vector)
	(void*) INT_TRAPA55,
// 56 TRAPA (User Vector)
	(void*) INT_TRAPA56,
// 57 TRAPA (User Vector)
	(void*) INT_TRAPA57,
// 58 TRAPA (User Vector)
	(void*) INT_TRAPA58,
// 59 TRAPA (User Vector)
	(void*) INT_TRAPA59,
// 60 TRAPA (User Vector)
	(void*) INT_TRAPA60,
// 61 TRAPA (User Vector)
	(void*) INT_TRAPA61,
// 62 TRAPA (User Vector)
	(void*) INT_TRAPA62,
// 63 TRAPA (User Vector)
	(void*) INT_TRAPA63,
// 64 Interrupt IRQ0
	(void*) INT_IRQ0,
// 65 Interrupt IRQ1
	(void*) INT_IRQ1,
// 66 Interrupt IRQ2
	(void*) INT_IRQ2,
// 67 Interrupt IRQ3
	(void*) INT_IRQ3,
// 68 Interrupt IRQ4
	(void*) INT_IRQ4,
// 69 Interrupt IRQ5
	(void*) INT_IRQ5,
// 70 Interrupt IRQ6
	(void*) INT_IRQ6,
// 71 Interrupt IRQ7
	(void*) INT_IRQ7,
// 72 Reserved
	(void*) Dummy,
// 73 Reserved
	(void*) Dummy,
// 74 Reserved
	(void*) Dummy,
// 75 Reserved
	(void*) Dummy,
// 76 Reserved
	(void*) Dummy,
// 77 Reserved
	(void*) Dummy,
// 78 Reserved
	(void*) Dummy,
// 79 Reserved
	(void*) Dummy,
// 80 INT_PINT0
	(void*) INT_PINT0,
// 81 INT_PINT
	(void*) INT_PINT1,
// 82 INT_PINT
	(void*) INT_PINT2,
// 83 INT_PINT
	(void*) INT_PINT3,
// 84 INT_PINT
	(void*) INT_PINT4,
// 85 INT_PINT
	(void*) INT_PINT5,
// 86 INT_PINT
	(void*) INT_PINT6,
// 87 INT_PINT
	(void*) INT_PINT7,
// 88 Reserved
	(void*) Dummy,
// 89 Reserved
	(void*) Dummy,
// 90 Reserved
	(void*) Dummy,
// 91 Reserved
	(void*) Dummy,
// 92 Reserved
	(void*) Dummy,
// 93 Reserved
	(void*) Dummy,
// 94 Reserved
	(void*) Dummy,
// 95 Reserved
	(void*) Dummy,
// 96 Reserved
	(void*) Dummy,
// 97 Reserved
	(void*) Dummy,
// 98 Reserved
	(void*) Dummy,
// 99 Reserved
	(void*) Dummy,
// 100 Reserved
	(void*) Dummy,
// 101 Reserved
	(void*) Dummy,
// 102 Reserved
	(void*) Dummy,
// 103 Reserved
	(void*) Dummy,
// 104 Reserved
	(void*) Dummy,
// 105 Reserved
	(void*) Dummy,
// 106 Reserved
	(void*) Dummy,
// 107 Reserved
	(void*) Dummy,
// 108 DMAC0 DEI
	(void*) INT_DMAC0_DEI0,
// 109 DMAC0 HEI
	(void*) INT_DMAC0_HEI0,
// 110 Reserved
	(void*) Dummy,
// 111 Reserved
	(void*) Dummy,
// 112 DMAC1 DEI
	(void*) INT_DMAC1_DEI1,
// 113 DMAC1 HEI
	(void*) INT_DMAC1_HEI1,
// 114 Reserved
	(void*) Dummy,
// 115 Reserved
	(void*) Dummy,
// 116 DMAC2 DEI
	(void*) INT_DMAC2_DEI2,
// 117 DMAC2 HEI
	(void*) INT_DMAC2_HEI2,
// 118 Reserved
	(void*) Dummy,
// 119 Reserved
	(void*) Dummy,
// 120 DMAC3 DEI
	(void*) INT_DMAC3_DEI3,
// 121 DMAC3 HEI
	(void*) INT_DMAC3_HEI3,
// 122 Reserved
	(void*) Dummy,
// 123 Reserved
	(void*) Dummy,
// 124 DMAC4 DEI
	(void*) INT_DMAC4_DEI4,
// 125 DMAC4 HEI
	(void*) INT_DMAC4_HEI4,
// 126 Reserved
	(void*) Dummy,
// 127 Reserved
	(void*) Dummy,
// 128 DMAC5 DEI
	(void*) INT_DMAC5_DEI5,
// 129 DMAC5 HEI
	(void*) INT_DMAC5_HEI5,
// 130 Reserved
	(void*) Dummy,
// 131 Reserved
	(void*) Dummy,
// 132 DMAC6 DEI
	(void*) INT_DMAC6_DEI6,
// 133 DMAC6 HEI
	(void*) INT_DMAC6_HEI6,
// 134 Reserved
	(void*) Dummy,
// 135 Reserved
	(void*) Dummy,
// 136 DMAC7 DEI
	(void*) INT_DMAC7_DEI7,
// 137 DMAC7 HEI
	(void*) INT_DMAC7_HEI7,
// 138 Reserved
	(void*) Dummy,
// 139 Reserved
	(void*) Dummy,
// 140 DMAC8 DEI
	(void*) INT_DMAC8_DEI8,
// 141 DMAC8 HEI
	(void*) INT_DMAC8_HEI8,
// 142 Reserved
	(void*) Dummy,
// 143 Reserved
	(void*) Dummy,
// 144 DMAC9 DEI
	(void*) INT_DMAC9_DEI9,
// 145 DMAC9 HEI
	(void*) INT_DMAC9_HEI9,
// 146 Reserved
	(void*) Dummy,
// 147 Reserved
	(void*) Dummy,
// 148 DMAC10 DEI
	(void*) INT_DMAC10_DEI10,
// 149 DMAC10 HEI
	(void*) INT_DMAC10_HEI10,
// 150 Reserved
	(void*) Dummy,
// 151 Reserved
	(void*) Dummy,
// 152 DMAC11 DEI
	(void*) INT_DMAC11_DEI11,
// 153 DMAC11 HEI
	(void*) INT_DMAC11_HEI11,
// 154 Reserved
	(void*) Dummy,
// 155 Reserved
	(void*) Dummy,
// 156 DMAC12 DEI
	(void*) INT_DMAC12_DEI12,
// 157 DMAC12 HEI
	(void*) INT_DMAC12_HEI12,
// 158 Reserved
	(void*) Dummy,
// 159 Reserved
	(void*) Dummy,
// 160 DMAC13 DEI
	(void*) INT_DMAC13_DEI13,
// 161 DMAC13 HEI
	(void*) INT_DMAC13_HEI13,
// 162 Reserved
	(void*) Dummy,
// 163 Reserved
	(void*) Dummy,
// 164 DMAC14 DEI
	(void*) INT_DMAC14_DEI14,
// 165 DMAC14 HEI
	(void*) INT_DMAC14_HEI14,
// 166 Reserved
	(void*) Dummy,
// 167 Reserved
	(void*) Dummy,
// 168 DMAC15 DEI
	(void*) INT_DMAC15_DEI15,
// 169 DMAC15 HEI
	(void*) INT_DMAC15_HEI15,
// 170 USBHFM USBI
	(void*) INT_USBHFM_USBI,
// 171 VDC VIVSYNC
	(void*) INT_VDC_VIVSYNC,
// 172 VDC LOVSYNC
	(void*) INT_VDC_LOVSYNC,
// 173 VDC VSYNCERR
	(void*) INT_VDC_VSYNCERR,
// 174 VDC VLINE
	(void*) INT_VDC_VLINE,
// 175 VDC VFIELD
	(void*) INT_VDC_VFIELD,
// 176 VDC VBUFERR1
	(void*) INT_VDC_VBUFERR1,
// 177 VDC VBUFERR2
	(void*) INT_VDC_VBUFERR2,
// 178 VDC VBUFERR3
	(void*) INT_VDC_VBUFERR3,
// 179 VDC VBUFERR4
	(void*) INT_VDC_VBUFERR4,
// 180 DISTORTION CORRECTION
	(void*) INT_IMRI,
// 181 JPEG CODEC JEDI
	(void*) INT_JCODEC_JEDI,
// 182 JPEG CODEC JDTI
	(void*) INT_JCODEC_JDTI,
// 183 DISPLAY OUT COMPARE CMPI
	(void*) INT_DOC_CMPI,
// 184 RENESAS GRAPHIC PROCESSOR INT3
	(void*) INT_RGP_INT3,
// 185 RENESAS GRAPHIC PROCESSOR INT2
	(void*) INT_RGP_INT2,
// 186 RENESAS GRAPHIC PROCESSOR INT1
	(void*) INT_RGP_INT1,
// 187 RENESAS GRAPHIC PROCESSOR INT0
	(void*) INT_RGP_INT0,
// 188 CMT CMI0
//	(void*) INT_CMT_CMI0,
  OS_ISR_Tick,
// 189 CMT CMI1
	(void*) INT_CMT_CMI1,
// 190 BSC CMI
	(void*) INT_BSC_CMI,
// 191 WDT ITI
	(void*) INT_WDT_ITI,
// 192 MTU2 TGI0A
	(void*) INT_MTU2_TGI0A,
// 193 MTU2 TGI0B
	(void*) INT_MTU2_TGI0B,
// 194 MTU2 TGI0C
	(void*) INT_MTU2_TGI0C,
// 195 MTU2 TGI0D
	(void*) INT_MTU2_TGI0D,
// 196 MTU2 TCI0V
	(void*) INT_MTU2_TCI0V,
// 197 MTU2 TGI0E
	(void*) INT_MTU2_TGI0E,
// 198 MTU2 TGI0F
	(void*) INT_MTU2_TGI0F,
// 199 MTU2 TGI1A
	(void*) INT_MTU2_TGI1A,
// 200 MTU2 TGI1B
	(void*) INT_MTU2_TGI1B,
// 201 MTU2 TCI1V
	(void*) INT_MTU2_TCI1V,
// 202 MTU2 TCI1U
	(void*) INT_MTU2_TCI1U,
// 203 MTU2 TGI2A
	(void*) INT_MTU2_TGI2A,
// 204 MTU2 TGI2B
	(void*) INT_MTU2_TGI2B,
// 205 MTU2 TCI2V
	(void*) INT_MTU2_TCI2V,
// 206 MTU2 TCI2U
	(void*) INT_MTU2_TCI2U,
// 207 MTU2 TGI3A
	(void*) INT_MTU2_TGI3A,
// 208 MTU2 TGI3B
	(void*) INT_MTU2_TGI3B,
// 209 MTU2 TGI3C
	(void*) INT_MTU2_TGI3C,
// 210 MTU2 TGI3D
	(void*) INT_MTU2_TGI3D,
// 211 MTU2 TCI3V
	(void*) INT_MTU2_TCI3V,
// 212 MTU2 TGI4A
	(void*) INT_MTU2_TGI4A,
// 213 MTU2 TGI4B
	(void*) INT_MTU2_TGI4B,
// 214 MTU2 TGI4C
	(void*) INT_MTU2_TGI4C,
// 215 MTU2 TGI4D
	(void*) INT_MTU2_TGI4D,
// 216 MTU2 TCI4V
	(void*) INT_MTU2_TCI4V,
// 217 PWMT CH1
	(void*) INT_PWMT_CH1,
// 218 PWMT CH2
	(void*) INT_PWMT_CH2,
// 219 SG CH0
	(void*) INT_SG_CH0,
// 220 SG CH1
	(void*) INT_SG_CH1,
// 221 SG CH2
	(void*) INT_SG_CH2,
// 222 SG CH3
	(void*) INT_SG_CH3,
// 223 ADC ADI
	(void*) INT_ADC_ADI,
// 224 SSI F0
	(void*) INT_SSI_F0,
// 225 SSI RXI0
	(void*) INT_SSI_RXI0,
// 226 SSI TXI0
	(void*) INT_SSI_TXI0,
// 227 SSI I1
	(void*) INT_SSI_I1,
// 228 SSI RTI1
	(void*) INT_SSI_RTI1,
// 229 SSI I2
	(void*) INT_SSI_I2,
// 230 SSI RTI2
	(void*) INT_SSI_RTI2,
// 231 SSI I3
	(void*) INT_SSI_I3,
// 232 SSI RTI3
	(void*) INT_SSI_RTI3,
// 233 SSI I4
	(void*) INT_SSI_I4,
// 234 SSI RTI4
	(void*) INT_SSI_RTI4,
// 235 SSI I5
	(void*) INT_SSI_I5,
// 236 SSI RTI5
	(void*) INT_SSI_RTI5,
// 237 SPDIF
	(void*) INT_SPDIFI,
// 238 IIC3 STPI0
	(void*) INT_IIC3_STPI0,
// 239 IIC3 NAKI0
	(void*) INT_IIC3_NAKI0,
// 240 IIC3 RXI0
	(void*) INT_IIC3_RXI0,
// 241 IIC3 TXI0
	(void*) INT_IIC3_TXI0,
// 242 IIC3 TEI0
	(void*) INT_IIC3_TEI0,
// 243 IIC3 STPI1
	(void*) INT_IIC3_STPI1,
// 244 IIC3 NAKI1
	(void*) INT_IIC3_NAKI1,
// 245 IIC3 RXI1
	(void*) INT_IIC3_RXI1,
// 246 IIC3 TXI1
	(void*) INT_IIC3_TXI1,
// 247 IIC3 TEI1
	(void*) INT_IIC3_TEI1,
// 248 IIC3 STPI2
	(void*) INT_IIC3_STPI2,
// 249 IIC3 NAKI2
	(void*) INT_IIC3_NAKI2,
// 250 IIC3 RXI2
	(void*) INT_IIC3_RXI2,
// 251 IIC3 TXI2
	(void*) INT_IIC3_TXI2,
// 252 IIC3 TEI2
	(void*) INT_IIC3_TEI2,
// 253 IIC3 STPI3
	(void*) INT_IIC3_STPI3,
// 254 IIC3 NAKI3
	(void*) INT_IIC3_NAKI3,
// 255 IIC3 RXI3
	(void*) INT_IIC3_RXI3,
// 256 IIC3 TXI3
	(void*) INT_IIC3_TXI3,
// 257 IIC3 TEI3
	(void*) INT_IIC3_TEI3,
// 258 SCIF BRI0
	(void*) INT_SCIF_BRI0,
// 259 SCIF ERI0
	(void*) INT_SCIF_ERI0,
// 260 SCIF RXI0
	(void*) INT_SCIF_RXI0,
// 261 SCIF TXI0
	(void*) INT_SCIF_TXI0,
// 262 SCIF BRI1
	(void*) INT_SCIF_BRI1,
// 263 SCIF ERI1
	(void*) INT_SCIF_ERI1,
// 264 SCIF RXI1
	(void*) INT_SCIF_RXI1,
// 265 SCIF TXI1
	(void*) INT_SCIF_TXI1,
// 266 SCIF BRI2
	(void*) INT_SCIF_BRI2,
// 267 SCIF ERI2
	(void*) INT_SCIF_ERI2,
// 268 SCIF RXI2
	(void*) INT_SCIF_RXI2,
// 269 SCIF TXI2
	(void*) INT_SCIF_TXI2,
// 270 SCIF BRI3
	(void*) INT_SCIF_BRI3,
// 271 SCIF ERI3
	(void*) INT_SCIF_ERI3,
// 272 SCIF RXI3
	(void*) INT_SCIF_RXI3,
// 273 SCIF TXI3
	(void*) INT_SCIF_TXI3,
// 274 SCIF BRI4
	(void*) INT_SCIF_BRI4,
// 275 SCIF ERI4
	(void*) INT_SCIF_ERI4,
// 276 SCIF RXI4
	(void*) INT_SCIF_RXI4,
// 277 SCIF TXI4
	(void*) INT_SCIF_TXI4,
// 278 SCIF BRI5
	(void*) INT_SCIF_BRI5,
// 279 SCIF ERI5
	(void*) INT_SCIF_ERI5,
// 280 SCIF RXI5
	(void*) INT_SCIF_RXI5,
// 281 SCIF TXI5
	(void*) INT_SCIF_TXI5,
// 282 SCIF BRI6
	(void*) INT_SCIF_BRI6,
// 283 SCIF ERI6
	(void*) INT_SCIF_ERI6,
// 284 SCIF RXI6
	(void*) INT_SCIF_RXI6,
// 285 SCIF TXI6
	(void*) INT_SCIF_TXI6,
// 286 SCIF BRI7
	(void*) INT_SCIF_BRI7,
// 287 SCIF ERI7
#if OS_UART_USED	
  OS_ISR_RxErr,
#else
  (void*) INT_SCIF_ERI7,
#endif  
// 288 SCIF RXI7
#if OS_UART_USED		
  OS_ISR_Rx,
#else
  (void*) INT_SCIF_RXI7,
#endif  
// 289 SCIF TXI7
#if OS_UART_USED		
  OS_ISR_Tx,
#else  
  (void*) INT_SCIF_TXI7,
#endif  
// 290 SIO SIOFI
	(void*) INT_SIO_SIOFI,
// 291 CAN ERS0
	(void*) INT_CAN_ERS0,
// 292 CAN OVR0
	(void*) INT_CAN_OVR0,
// 293 CAN RM00
	(void*) INT_CAN_RM00,
// 294 CAN RM10
	(void*) INT_CAN_RM10,
// 295 CAN SLE0
	(void*) INT_CAN_SLE0,
// 296 CAN ERS1
	(void*) INT_CAN_ERS1,
// 297 CAN OVR1
	(void*) INT_CAN_OVR1,
// 298 CAN RM01
	(void*) INT_CAN_RM01,
// 299 CAN RM11
	(void*) INT_CAN_RM11,
// 300 CAN SLE1
	(void*) INT_CAN_SLE1,
// 301 CAN ERS2
	(void*) INT_CAN_ERS2,
// 302 CAN OVR2
	(void*) INT_CAN_OVR2,
// 303 CAN RM02
	(void*) INT_CAN_RM02,
// 304 CAN RM12
	(void*) INT_CAN_RM12,
// 305 CAN SLE2
	(void*) INT_CAN_SLE2,
// 306 RSPI SPEI0
	(void*) INT_RSPI_SPEI0,
// 307 RSPI SPRI0
	(void*) INT_RSPI_SPRI0,
// 308 RSPI SPTI0
	(void*) INT_RSPI_SPTI0,
// 309 RSPI SPEI1
	(void*) INT_RSPI_SPEI1,
// 310 RSPI SPRI1
	(void*) INT_RSPI_SPRI1,
// 311 RSPI SPTI1
	(void*) INT_RSPI_SPTI1,
// 312 RQSPI SPEI0
	(void*) INT_RQSPI_SPEI0,
// 313 RQSPI SPRI0
	(void*) INT_RQSPI_SPRI0,
// 314 RQSPI SPTI0
	(void*) INT_RQSPI_SPTI0,
// 315 RQSPI SPEI1
	(void*) INT_RQSPI_SPEI1,
// 316 RQSPI SPRI1
	(void*) INT_RQSPI_SPRI1,
// 317 RQSPI SPTI1
	(void*) INT_RQSPI_SPTI1,
// 318 IEBC IEB
	(void*) INT_IEBC_IEB,
// 319 CDROM ISY
	(void*) INT_CDROM_ISY,
// 320 CDROM IERR
	(void*) INT_CDROM_IERR,
// 321 CDROM ITARG
	(void*) INT_CDROM_ITARG,
// 322 CDROM ISEC
	(void*) INT_CDROM_ISEC,
// 323 CDROM IBUF
	(void*) INT_CDROM_IBUF,
// 324 CDROM IREADY
	(void*) INT_CDROM_IREADY,
// 325 FMC FLSTEI
	(void*) INT_FMC_FLSTEI,
// 326 FMC FLTENDI
	(void*) INT_FMC_FLTENDI,
// 327 FMC FLTREQ0I
	(void*) INT_FMC_FLTREQ0I,
// 328 FMC FLTREQ1I
	(void*) INT_FMC_FLTREQ1I,
// 329 MMCHI MMC0
	(void*) INT_MMC0,
// 330 MMCHI MMC1
	(void*) INT_MMC1,
// 331 MMCHI MMC2
	(void*) INT_MMC2,
// 332 SDHI SDHI03
	(void*) INT_SDHI03,
// 333 SDHI SDHI00
	(void*) INT_SDHI00,
// 334 SDHI SDHI01
	(void*) INT_SDHI01,
// 335 SDHI SDHI13
	(void*) INT_SDHI13,
// 336 SDHI SDHI10
	(void*) INT_SDHI10,
// 337 SDHI SDHI11
	(void*) INT_SDHI11,
// 338 RTC ARM
	(void*) INT_RTC_ARM,
// 339 RTC PRD
	(void*) INT_RTC_PRD,
// 340 RTC CUP
	(void*) INT_RTC_CUP,
// 341 SRC OVF0
	(void*) INT_SRC_OVF0,
// 342 SRC UDF0
	(void*) INT_SRC_UDF0,
// 343 SRC CEF0
	(void*) INT_SRC_CEF0,
// 344 SRC ODFI0
	(void*) INT_SRC_ODFI0,
// 345 SRC IDEI0
	(void*) INT_SRC_IDEI0,
// 346 SRC OVF1
	(void*) INT_SRC_OVF1,
// 347 SRC UDF1
	(void*) INT_SRC_UDF1,
// 348 SRC CEF1
	(void*) INT_SRC_CEF1,
// 349 SRC ODFI1
	(void*) INT_SRC_ODFI1,
// 350 SRC IDEI1
	(void*) INT_SRC_IDEI1,
// 351 SRC OVF2
	(void*) INT_SRC_OVF2,
// 352 SRC UDF2
	(void*) INT_SRC_UDF2,
// 353 SRC CEF2
	(void*) INT_SRC_CEF2,
// 354 SRC ODFI2
	(void*) INT_SRC_ODFI2,
// 355 SRC IDEI2
	(void*) INT_SRC_IDEI2,
// xx Reserved
    (void*) Dummy
};
