/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/***********************************************************************************
FILE NAME  	: dbsct.c

DESCRIPTION	: Setting of B,R Section

Copyright   : 2008 Renesas Technology Europe Ltd.
			  2008 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
15.08.2008 RTE-ADE First Release.
***********************************************************************************/


#include "typedefine.h"

#pragma section $DSEC
static const struct {
	
	/* Start address of the initialized data section in ROM */
    _UBYTE *rom_s; 
	/* End address of the initialized data section in ROM   */      
    _UBYTE *rom_e;  
	/* Start address of the initialized data section in RAM */     
    _UBYTE *ram_s;  
	  
}   DTBL[] = {
    { __sectop("D"), __secend("D"), __sectop("R") }
};
#pragma section $BSEC
static const struct {
	/* Start address of non-initialized data section */
    _UBYTE *b_s;  
	/* End address of non-initialized data section */       
    _UBYTE *b_e;         
}   BTBL[] = {
    { __sectop("B"), __secend("B") }
};
