/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/
/***********************************************************************************
FILE NAME  	: FlashLEDs.c

DESCRIPTION : Function to Flash the user LEDs for a period of time.
			  Function will exit if a key is pressed.
            
Copyright   : 2008 Renesas Technology Europe Ltd.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
19.06.2008 RTE-DPR First Release.
***********************************************************************************/

/**********************************************************************************
User Includes
***********************************************************************************/
/* Following header file provides a structure to access all of the device registers. */
#include "iodefine.h"
/* Following header file provides common defines for widely used items. */
#include "rsk7286def.h"
/* Following header file provides prototypes for LED controlling functions */
#include "FlashLEDs.h"
/* Following header file provides function prototype for interrupt controlling function. */
#include "interrupts.h"

/**********************************************************************************
User Program Code
***********************************************************************************/

/**********************************************************************************
Function Name : FlashLEDs
Description	  :	Flashes the user LEDs on the board.
Parameters	  : none
Return value  : none
***********************************************************************************/
void FlashLEDs(void)
{   
    unsigned long ulLed_Delay;
    unsigned char ucLEDcount;
    
	for(ucLEDcount=0; ucLEDcount<200; ucLEDcount++)
	{   
		if(gcKeyPressed > (0x30) ) 
		break;

 		for(ulLed_Delay=0; ulLed_Delay<0x1FFFFF; ulLed_Delay++)
		{
			/* Delay */
		}
	 
	    ToggleLEDs();
	}
}                                            
/**********************************************************************************
End of function FlashLEDs
***********************************************************************************/

/**********************************************************************************
Function Name : ToggleLEDs
Description	  :	Toggles the state of the user LEDs on the board.
Parameters	  : none
Return value  : none
***********************************************************************************/
void ToggleLEDs(void)
{
    /* Toggle the state of the port pin */
	LED0 ^= 0x1;
	LED1 ^= 0x1;
	LED2 ^= 0x1;
	LED3 ^= 0x1;
}
/**********************************************************************************
End of function ToggleLEDs
***********************************************************************************/

/**********************************************************************************
End of file
***********************************************************************************/
