/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/
/***********************************************************************************
FILE NAME  	: intprg.c

DESCRIPTION	: Interrupt functions

Copyright   : 2008 Renesas Technology Europe Ltd.
			  2008 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
15.08.2008 RTE-ADE First Release.
***********************************************************************************/

/***********************************************************************************
System Includes
***********************************************************************************/
/*	Following header file provides access to intrinsic functions to control interrupt
	levels. */
#include <machine.h>

/***********************************************************************************
User Includes
***********************************************************************************/
/*	Following header file provides vector locations for the interrupts. */
#include "vect.h"

/***********************************************************************************
Unused interrupt handlers
***********************************************************************************/
#pragma section IntPRG
// 4 Illegal code
void INT_Illegal_code(void){/* sleep(); */}
// 5 Reserved

// 6 Illegal slot
void INT_Illegal_slot(void){/* sleep(); */}
// 7 Reserved

// 8 Reserved

// 9 CPU Address error
void INT_CPU_Address(void){/* sleep(); */}
// 10 DTC Address error
void INT_DTC_Address(void){/* sleep(); */}
// 11 NMI
void INT_NMI(void){/* sleep(); */}
// 12 User breakpoint trap
void INT_User_Break(void){/* sleep(); */}
// 13 Reserved

// 14 Reserved

// 15 Reserved

// 16 Reserved

// 17 Reserved

// 18 Reserved

// 19 Reserved

// 20 Reserved

// 21 Reserved

// 22 Reserved

// 23 Reserved

// 24 Reserved

// 25 Reserved

// 26 Reserved

// 27 Reserved

// 28 Reserved

// 29 Reserved

// 30 Reserved

// 31 Reserved

// 32 TRAPA (User Vecter)
void INT_TRAPA32(void){/* sleep(); */}
// 33 TRAPA (User Vecter)
void INT_TRAPA33(void){/* sleep(); */}
// 34 TRAPA (User Vecter)
void INT_TRAPA34(void){/* sleep(); */}
// 35 TRAPA (User Vecter)
void INT_TRAPA35(void){/* sleep(); */}
// 36 TRAPA (User Vecter)
void INT_TRAPA36(void){/* sleep(); */}
// 37 TRAPA (User Vecter)
void INT_TRAPA37(void){/* sleep(); */}
// 38 TRAPA (User Vecter)
void INT_TRAPA38(void){/* sleep(); */}
// 39 TRAPA (User Vecter)
void INT_TRAPA39(void){/* sleep(); */}
// 40 TRAPA (User Vecter)
void INT_TRAPA40(void){/* sleep(); */}
// 41 TRAPA (User Vecter)
void INT_TRAPA41(void){/* sleep(); */}
// 42 TRAPA (User Vecter)
void INT_TRAPA42(void){/* sleep(); */}
// 43 TRAPA (User Vecter)
void INT_TRAPA43(void){/* sleep(); */}
// 44 TRAPA (User Vecter)
void INT_TRAPA44(void){/* sleep(); */}
// 45 TRAPA (User Vecter)
void INT_TRAPA45(void){/* sleep(); */}
// 46 TRAPA (User Vecter)
void INT_TRAPA46(void){/* sleep(); */}
// 47 TRAPA (User Vecter)
void INT_TRAPA47(void){/* sleep(); */}
// 48 TRAPA (User Vecter)
void INT_TRAPA48(void){/* sleep(); */}
// 49 TRAPA (User Vecter)
void INT_TRAPA49(void){/* sleep(); */}
// 50 TRAPA (User Vecter)
void INT_TRAPA50(void){/* sleep(); */}
// 51 TRAPA (User Vecter)
void INT_TRAPA51(void){/* sleep(); */}
// 52 TRAPA (User Vecter)
void INT_TRAPA52(void){/* sleep(); */}
// 53 TRAPA (User Vecter)
void INT_TRAPA53(void){/* sleep(); */}
// 54 TRAPA (User Vecter)
void INT_TRAPA54(void){/* sleep(); */}
// 55 TRAPA (User Vecter)
void INT_TRAPA55(void){/* sleep(); */}
// 56 TRAPA (User Vecter)
void INT_TRAPA56(void){/* sleep(); */}
// 57 TRAPA (User Vecter)
void INT_TRAPA57(void){/* sleep(); */}
// 58 TRAPA (User Vecter)
void INT_TRAPA58(void){/* sleep(); */}
// 59 TRAPA (User Vecter)
void INT_TRAPA59(void){/* sleep(); */}
// 60 TRAPA (User Vecter)
void INT_TRAPA60(void){/* sleep(); */}
// 61 TRAPA (User Vecter)
void INT_TRAPA61(void){/* sleep(); */}
// 62 TRAPA (User Vecter)
void INT_TRAPA62(void){/* sleep(); */}
// 63 TRAPA (User Vecter)
void INT_TRAPA63(void){/* sleep(); */}
// 64 Interrupt IRQ0
void INT_IRQ0(void){/* sleep(); */}
/*	65 Interrupt IRQ1	*/
void INT_IRQ1(void){/* sleep(); */}

/*	66 Interrupt IRQ2	*/
void INT_IRQ2(void){/* sleep(); */}

/*	67 Interrupt IRQ3	*/
void INT_IRQ3(void){/* sleep(); */}

void INT_IRQ4(void){/* sleep(); */}
// 69 Interrupt IRQ5
void INT_IRQ5(void){/* sleep(); */}
// 70 Interrupt IRQ6
void INT_IRQ6(void){/* sleep(); */}
// 71 Interrupt IRQ7
void INT_IRQ7(void){/* sleep(); */}
// 72 DMAC0 DEI0

// 73 Reserved

// 74 Reserved

// 75 Reserved

// 76 DMAC1 DEI1

// 77 Reserved

// 78 Reserved

// 79 Reserved

// 80 DMAC2 DEI2

// 81 Reserved

// 82 Reserved

// 83 Reserved

// 84 DMAC3 DEI3
//void INT_DMAC3_DEI3(void){/* sleep(); */}
// 85 Reserved

// 86 Reserved

// 87 Reserved

// 88 MTU0 TGIA0

// 89 MTU0 TGIB0
//void INT_MTU0_TGIB0(void){/* sleep(); */}
// 90 MTU0 TGIC0
//void INT_MTU0_TGIC0(void){/* sleep(); */}
// 91 MTU0 TGID0
//void INT_MTU0_TGID0(void){/* sleep(); */}
// 92 AD0 ADI0
void INT_AD0_ADI0(void){/* sleep(); */}
// 93 MTU0 TGIE0

// 94 MTU0 TGIF0

// 95 Reserved

/*	96 AD1 ADI1	*/
void INT_AD1_ADI1(void){/* sleep(); */}

/*	97 MTU2_1 TGIB1	*/
void INT_MTU1_TGIB1(void){/* sleep(); */}

/*	98 Reserved	*/

// 99 Reserved

// 100 AD2 ADI2
void INT_AD2_ADI2(void){/* sleep(); */}
// 101 MTU1 TCIU1
//void INT_MTU1_TCIU1(void){/* sleep(); */}
// 102 Reserved

// 103 Reserved

// 104 RCAN

// 105 MTU2 TGIB2

// 106 Reserved

// 107 Reserved

// 108 DMAC0 DEI0
void INT_DMAC0_DEI0(void){/* sleep(); */}
// 109 DMAC0 HEI0
void INT_DMAC0_HEI0(void){/* sleep(); */}
// 110 Reserved

// 111 Reserved

// 112 DMAC1 DEI1
void INT_DMAC1_DEI1(void){/* sleep(); */}
// 113 DMAC1 HEI1
void INT_DMAC1_HEI1(void){/* sleep(); */}
// 114 MTU3 TGIC3
//void INT_MTU3_TGIC3(void){/* sleep(); */}
// 115 MTU3 TGID3
//void INT_MTU3_TGID3(void){/* sleep(); */}
// 116 DMAC2 DEI2
void INT_DMAC2_DEI2(void){/* sleep(); */}
// 117 Reserved
void INT_DMAC2_HEI2(void){/* sleep(); */}
// 118 Reserved

// 119 Reserved

// 120 DMAC3 DEI3
void INT_DMAC3_DEI3(void){/* sleep(); */}
// 121 DMAC3 HEI3
void INT_DMAC3_HEI3(void){/* sleep(); */}
// 122 Reserved

// 123 MTU4 TGID4
//void INT_MTU4_TGID4(void){/* sleep(); */}
// 124 DMAC4 DEI4
void INT_DMAC4_DEI4(void){/* sleep(); */}
// 125 DMAC4 HEI4
void INT_DMAC4_HEI4(void){/* sleep(); */}
// 126 Reserved

// 127 Reserved

// 128 DMAC5 DEI5
void INT_DMAC5_DEI5(void){/* sleep(); */}
// 129 DMAC5 HEI5
void INT_DMAC5_HEI5(void){/* sleep(); */}
// 130 Reserved

// 131 Reserved

// 132 DMAC6 DEI6
void INT_DMAC6_DEI6(void){/* sleep(); */}
// 133 DMAC6 HEI6
void INT_DMAC6_HEI6(void){/* sleep(); */}
// 134 Reserved

// 135 Reserved

// 136 DMAC7 DEI7
void INT_DMAC7_DEI7(void){/*sleep();*/}
// 137 DMAC7 HEI7
void INT_DMAC7_HEI7(void){/* sleep(); */}
// 138 Reserved

// 139 Reserved

// 140 CMT0 CMI0
void INT_CMT0_CMI0(void){/*sleep();*/}
// 141 Reserved

// 142 Reserved

// 143 Reserved

// 144 CMT1 CMI1
void INT_CMT1_CMI1(void){/* sleep();*/}
// 145 Reserved

// 146 Reserved

// 147 Reserved

// 148 BSC CMI
void INT_BSC_CMI(void){/*sleep();*/}
// 149 Reserved

// 150 Reserved

// 151 Reserved

// 152 WDT ITI
void INT_WDT_ITI(void){/*sleep();*/}
// 153 Reserved

// 154 USB EPI1
void INT_USB_EPI1(void){/*sleep();*/}
// 155 USB EPI2
void INT_USB_EPI2(void){/*sleep();*/}
// 156 MTU0 TGIA0
void INT_MTU0_TGIA0(void){/* sleep(); */}
// 157 MTU0 TGIB0
void INT_MTU0_TGIB0(void){/*sleep();*/}
// 158 MTU0 TGIC0
void INT_MTU0_TGIC0(void){/*sleep();*/}
// 159 MTU0 TGID0
void INT_MTU0_TGID0(void){/*sleep();*/}
// 160 MTU0 TCIV0
void INT_MTU0_TCIV0(void){/* sleep(); */}
// 161 MTU0 TGIE0
void INT_MTU0_TGIE0(void){/* sleep(); */}
// 162 MTU0 TGIF0
void INT_MTU0_TGIF0(void){/* sleep(); */}
// 163 MTU2S_3 TGID_3S

// 164 MTU1 TGIA1
void INT_MTU1_TGIA1(void){/* sleep(); }
// 165 MTU1 TGIB1
void INT_MTU1_TGIB1(void){/*sleep();*/}
// 166 Reserved

// 167 Reserved

// 168 MTU1 TCIV1
void INT_MTU1_TCIV1(void){/* sleep(); */}
// 169 NTU1 TCIU1
void INT_MTU1_TCIU1(void){/* sleep(); */}
// 170 MTU2S_4 TGIC_4S

// 171 MTU2S_4 TGID_4S

// 172 MTU2 TGIA2
void INT_MTU2_TGIA2(void){/* sleep(); */}
// 173 MTU2 TGIB2
void INT_MTU2_TGIB2(void){/* sleep(); */}

// 174 Reserved

// 175 Reserved

// 176 MTU2 TCIV2
void INT_MTU2_TCIV2(void){/* sleep(); */}
// 177 MTU2 TCIU2
void INT_MTU2_TCIU2(void){/* sleep(); */}
// 178 MTU2S_5 TGIW_5S
void INT_MTU2S_5_TGIW_5S(void){/* sleep(); */}
// 179 Reserved

// 180 MTU3 TGIA3
void INT_MTU3_TGIA3(void){/* sleep(); */}
// 181 MTU3 TGIB3
void INT_MTU3_TGIB3(void){/* sleep(); */}

// 182 MTU3 TGIC3
void INT_MTU3_TGIC3(void){/* sleep(); */}

// 183 MTU3 TGID3
void INT_MTU3_TGID3(void){/* sleep(); */}

// 184 MTU3 TCIV3
void INT_MTU3_TCIV3(void){/* sleep(); */}
// 185 Reserved

// 186 Reserved

// 187 Reserved

// 188 MTU4 TGIA4
void INT_MTU4_TGIA4(void){/* sleep(); */}
// 189 MTU4 TGIB4
void INT_MTU4_TGIB4(void){/* sleep(); */}

// 190 MTU4 TGIC4
void INT_MTU4_TGIC4(void){/* sleep(); */}

// 191 MTU4 TGID4
void INT_MTU4_TGID4(void){/* sleep(); */}

// 192 MTU4 TCIV4
void INT_MTU4_TCIV4(void){/* sleep(); */}
// 193 Reserved

// 194 Reserved

// 195 Reserved

// 196 MTU5 TGIU5
void INT_MTU5_TGIU5(void){/* sleep(); */}
// 197 MTU5 TGIV5
void INT_MTU5_TGIV5(void){/* sleep(); */}

// 198 MTU5 TGIW5
void INT_MTU5_TGIW5(void){/* sleep(); */}

// 199 Reserved

// 200 POE OEI1
void INT_POE_OEI1(void){/* sleep(); */}
// 201 POE OEI2
void INT_POE_OEI2(void){/* sleep(); */}
// 202 Reserved

// 203 Reserved

// 204 MTU3S TGIA3
void INT_MTU3S_TGIA3(void){/* sleep(); */}
// 205 MTU3S TGIB3
void INT_MTU3S_TGIB3(void){/* sleep(); */}
// 206 MTU3S TGIC3
void INT_MTU3S_TGIC3(void){/* sleep(); */}

// 207 MTU3S TGID3
void INT_MTU3S_TGID3(void){/* sleep(); */}
// 208 MTU3S TCIV3
void INT_MTU3S_TCIV3(void){/* sleep(); */}
// 209 Reserved

// 210 Reserved

// 211 Reserved

// 212 MTU4S TGIA4
void INT_MTU4S_TGIA4(void){/* sleep(); */}
// 213 MTU4S TGIB4
void INT_MTU4S_TGIB4(void){/* sleep(); */}
// 214 MTU4S TGIC4
void INT_MTU4S_TGIC4(void){/* sleep(); */}
// 215 MTU4S TGID4
void INT_MTU4S_TGID4(void){/* sleep(); */}

// 216 MTU4S TCIV4
void INT_MTU4S_TCIV4(void){/* sleep(); */}

// 217 SCI0 RXI0

// 218 SCI0 TXI0

// 219 SCI0 TEI0

// 220 MTU5S TGIU5
void INT_MTU5S_TGIU5(void){/* sleep(); */}
// 221 MTU5 TGIV5
void INT_MTU5S_TGIV5(void){/* sleep(); */}
// 222 MTU5 TGIW5
void INT_MTU5S_TGIW5(void){/* sleep(); */}

// 223 SCI1 TEI1

// 224 POE OEI3
void INT_POE_OEI3(void){/* sleep(); */}

// 225 Reserved

// 226 USB USI0
void INT_USB_USI0(void){/* sleep(); */}
// 227 USB USI1
void INT_USB_USI1(void){/* sleep(); */}
// 228 IIC3 IISTPI
void INT_IIC3_IISTPI(void){/* sleep(); */}
// 229 IIC3 IINAKI
void INT_IIC3_IINAKI(void){/* sleep(); */}
// 230 IIC3 IIRXI
void INT_IIC3_IIRXI(void){/* sleep(); */}

// 231 IIC3 IITXI
void INT_IIC3_IITXI(void){/* sleep(); */}
// 232 IIC3 IITEI
void INT_IIC3_IITEI(void){/* sleep(); */}
// 233 SSU SSERI
void INT_SSU_SSERI(void){/* sleep(); */}
// 234 SSU SSRXI
void INT_SSU_SSRXI(void){/* sleep(); */}

// 235 SSU SSTXI
void INT_SSU_SSTXI(void){/* sleep(); */}

// 236 SCI4 ERI4
void INT_SCI4_ERI4(void){/* sleep(); */}
// 237 SCI4 RXI4
void INT_SCI4_RXI4(void){/* sleep(); */}
// 238 SCI4 TXI4
void INT_SCI4_TXI4(void){/* sleep(); */}
// 239 SCI4 TEI4
void INT_SCI4_TEI4(void){/* sleep(); */}
// 240 SCI0 ERI0
void INT_SCI0_ERI0(void){/* sleep(); */}
// 241 SCI0 RXI0
void INT_SCI0_RXI0(void){/* sleep(); */}
// 242 SCI0 TXI0
void INT_SCI0_TXI0(void){/* sleep(); */}
// 243 SCI0 TEI0
void INT_SCI0_TEI0(void){/* sleep(); */}
// 244 SCI1 ERI1
void INT_SCI1_ERI1(void){/* sleep(); */}
// 245 SCI1 RXI1
void INT_SCI1_RXI1(void){/* sleep(); */}

// 246 SCI1 TXI1
void INT_SCI1_TXI1(void){/* sleep(); */}
// 247 SCI1 TEI1
void INT_SCI1_TEI1(void){/* sleep(); */}
// 248 SCI2 ERI2
void INT_SCI2_ERI2(void){/* sleep(); */}
// 249 SCI2 RXI2
void INT_SCI2_RXI2(void){/* sleep(); */}
// 250 SCI2 TXI2
void INT_SCI2_TXI2(void){/* sleep(); */}
// 251 SCI2 TEI2
void INT_SCI2_TEI2(void){/* sleep(); */}

// 252 SCIF3 ERIF3
void INT_SCIF3_ERIF3(void){/* sleep(); */}
// 253 SCIF3 RXIF3
void INT_SCIF3_RXIF3(void){/* sleep(); */}
// 254 SCIF3 BRIF3
void INT_SCIF3_BRIF3(void){/* sleep(); */}
// 255 SCIF3 TXIF3
void INT_SCIF3_TXIF3(void){/* sleep(); */}

// Dummy
void Dummy(void){/* sleep(); */}

/**********************************************************************************
End of file
***********************************************************************************/
