/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/
/*********************************************************************************
FILE NAME  	: RSK7286def.h

DESCRIPTION	: Defininitions for the RSKSH7286 kit.

Copyright   : 2008 Renesas Technology Europe Ltd.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
13.06.2008 RTE-DPR First Release.
***********************************************************************************/

#ifndef RSK7286DEFS_H_INCLUDED
 #define RSK7286DEFS_H_INCLUDED

/***********************************************************************************
Macro Defines
***********************************************************************************/
/* General Values */
#define 	LEDS_ON			(0x00000000)
#define 	LEDS_OFF		(0x000E1000)
#define		LED_ON			(0)
#define 	LED_OFF			(1)
#define 	SET_BIT_HIGH	(1)
#define 	SET_BIT_LOW		(0)
#define 	SET_BYTE_HIGH	(0xFF)
#define 	SET_BYTE_LOW	(0x00)
#define 	TRUE			(1)
#define 	FALSE			(0)

/* Define switches to be polled if not available as interrupts */
#define		SW1 			PD.DR.BIT.B16
#define 	SW2 			PD.DR.BIT.B17
#define 	SW3 			PD.DR.BIT.B18

/* LEDs */
#define		LED0			PB.DR.BIT.B12
#define		LED1			PB.DR.BIT.B17
#define		LED2			PB.DR.BIT.B18
#define		LED3			PB.DR.BIT.B19

/* LED port settings */
/* Port bit to toggle for flashing LED */
#define LED_BIT					(0xF0)

/* LED Port data register */
#define LED_PORT_DR				(PB.DR.LONG)

/* LED Port data direction register */
#define LED_PORT_DDR			(PFC.PBIORH.LONG)

#endif		/* RSK7286DEFS_H_INCLUDED */

