/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/***********************************************************************************
FILE NAME  	: vecttbl.c

DESCRIPTION	: Initialize of Vector Table   

Copyright   : 2008 Renesas Technology Europe Ltd.
			  2008 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
15.08.2008 RTE-ADE First Release.
***********************************************************************************/ 

#include "vect.h"
#include "OS_Config.h"

void OS_ISR_Tick(void);
void OS_ISR_Tx(void);
void OS_ISR_Rx(void);
void OS_ISR_RxErr(void);

#ifndef   OS_UART
  #define OS_UART (1)
#endif

#ifndef   OS_VIEW_ENABLE            // Global enable of communication
  #define OS_VIEW_ENABLE    (1)     // Default: on
#endif  

#define OS_UART_USED (OS_VIEW_ENABLE && OS_UART == 1)

#pragma section VECTTBL

void *RESET_Vectors[] = {
//;<<VECTOR DATA START (POWER ON RESET)>>
//;0 Power On Reset PC
    (void*)	PowerON_Reset_PC,                                                                                                                
//;<<VECTOR DATA END (POWER ON RESET)>>
// 1 Power On Reset SP
    __secend("S"),
//;<<VECTOR DATA START (MANUAL RESET)>>
//;2 Manual Reset PC
    (void*)	Manual_Reset_PC,                                                                                                                 
//;<<VECTOR DATA END (MANUAL RESET)>>
// 3 Manual Reset SP
    __secend("S")

};
#pragma section INTTBL
void *INT_Vectors[] = {
// 4 Illegal code
    (void*) INT_Illegal_code,
// 5 Reserved
    (void*) Dummy,
// 6 Illegal slot
    (void*) INT_Illegal_slot,
// 7 Reserved
    (void*) Dummy,
// 8 Reserved
    (void*) Dummy,
// 9 CPU Address error
    (void*) INT_CPU_Address,
// 10 DMAC/DTC Address error
    (void*) INT_DTC_Address,
// 11 NMI
    (void*) INT_NMI,
/*	12 User breakpoint trap	*/
    (void*) INT_User_Break,
// 13 Reserved
    (void*) Dummy,
// 14 H-UDI
    (void*) Dummy,
// 15 Reserved
    (void*) Dummy,
// 16 Reserved
    (void*) Dummy,
// 17 Reserved
    (void*) Dummy,
// 18 Reserved
    (void*) Dummy,
// 19 Reserved
    (void*) Dummy,
// 20 Reserved
    (void*) Dummy,
// 21 Reserved
    (void*) Dummy,
// 22 Reserved
    (void*) Dummy,
// 23 Reserved
    (void*) Dummy,
// 24 Reserved
    (void*) Dummy,
// 25 Reserved
    (void*) Dummy,
// 26 Reserved
    (void*) Dummy,
// 27 Reserved
    (void*) Dummy,
// 28 Reserved
    (void*) Dummy,
// 29 Reserved
    (void*) Dummy,
// 30 Reserved
    (void*) Dummy,
// 31 Reserved
    (void*) Dummy,
/*	32 TRAPA (User Vecter)	*/
    (void*) INT_TRAPA32,
/*	33 TRAPA (User Vecter)	*/
    (void*) INT_TRAPA33,
/*	34 TRAPA (User Vecter)	*/
    (void*) INT_TRAPA34,
/*	35 TRAPA (User Vecter)	*/
    (void*) INT_TRAPA35,

// 36 TRAPA (User Vecter)
    (void*) INT_TRAPA36,
// 37 TRAPA (User Vecter)
    (void*) INT_TRAPA37,
// 38 TRAPA (User Vecter)
    (void*) INT_TRAPA38,
// 39 TRAPA (User Vecter)
    (void*) INT_TRAPA39,
// 40 TRAPA (User Vecter)
    (void*) INT_TRAPA40,
// 41 TRAPA (User Vecter)
    (void*) INT_TRAPA41,
// 42 TRAPA (User Vecter)
    (void*) INT_TRAPA42,
// 43 TRAPA (User Vecter)
    (void*) INT_TRAPA43,
// 44 TRAPA (User Vecter)
    (void*) INT_TRAPA44,
// 45 TRAPA (User Vecter)
    (void*) INT_TRAPA45,
// 46 TRAPA (User Vecter)
    (void*) INT_TRAPA46,
// 47 TRAPA (User Vecter)
    (void*) INT_TRAPA47,
// 48 TRAPA (User Vecter)
    (void*) INT_TRAPA48,
// 49 TRAPA (User Vecter)
    (void*) INT_TRAPA49,
// 50 TRAPA (User Vecter)
    (void*) INT_TRAPA50,
// 51 TRAPA (User Vecter)
    (void*) INT_TRAPA51,
// 52 TRAPA (User Vecter)
    (void*) INT_TRAPA52,
// 53 TRAPA (User Vecter)
    (void*) INT_TRAPA53,
// 54 TRAPA (User Vecter)
    (void*) INT_TRAPA54,
// 55 TRAPA (User Vecter)
    (void*) INT_TRAPA55,
// 56 TRAPA (User Vecter)
    (void*) INT_TRAPA56,
// 57 TRAPA (User Vecter)
    (void*) INT_TRAPA57,
// 58 TRAPA (User Vecter)
    (void*) INT_TRAPA58,
// 59 TRAPA (User Vecter)
    (void*) INT_TRAPA59,
// 60 TRAPA (User Vecter)
    (void*) INT_TRAPA60,
// 61 TRAPA (User Vecter)
    (void*) INT_TRAPA61,
// 62 TRAPA (User Vecter)
    (void*) INT_TRAPA62,
// 63 TRAPA (User Vecter)
    (void*) INT_TRAPA63,
// 64 Interrupt IRQ0
    (void*) INT_IRQ0,
// 65 Interrupt IRQ1
    (void*) INT_IRQ1,
// 66 Interrupt IRQ2
    (void*) INT_IRQ2,
// 67 Interrupt IRQ3
    (void*) INT_IRQ3,
// 68 Interrupt IRQ4
    (void*) INT_IRQ4,
// 69 Interrupt IRQ5
    (void*) INT_IRQ5,
// 70 Interrupt IRQ6
    (void*) INT_IRQ6,
// 71 Interrupt IRQ7
    (void*) INT_IRQ7,
// 72 DMAC0 DEI0
    (void*) Dummy,
// 73 Reserved
    (void*) Dummy,
// 74 Reserved
    (void*) Dummy,
// 75 Reserved
    (void*) Dummy,
// 76 Reserved
    (void*) Dummy,
// 77 Reserved
    (void*) Dummy,
// 78 Reserved
    (void*) Dummy,
// 79 Reserved
    (void*) Dummy,
// 80 Reserved
    (void*) Dummy,
// 81 Reserved
    (void*) Dummy,
// 82 Reserved
    (void*) Dummy,
// 83 Reserved
    (void*) Dummy,
// 84 Reserved
    (void*) Dummy,
// 85 Reserved
    (void*) Dummy,
// 86 Reserved
    (void*) Dummy,
// 87 Reserved
    (void*) Dummy,
// 88 MTU0 Reserved
    (void*) Dummy,
// 89 MTU0 Reserved
    (void*) Dummy,
// 90 MTU0 Reserved
    (void*) Dummy,
// 91 MTU0 Reserved
    (void*) Dummy,
// 92 AD0 ADI0
    (void*) INT_AD0_ADI0,
// 93 Reserved
    (void*) Dummy,
// 94 Reserved
    (void*) Dummy,
// 95 Reserved
    (void*) Dummy,
// 96 AD1 ADI1
    (void*) INT_AD1_ADI1,
// 97 Reserved
    (void*) Dummy,
// 98 Reserved
    (void*) Dummy,
// 99 Reserved
    (void*) Dummy,
// 100 AD2 ADI2
    (void*) INT_AD2_ADI2,
// 101 Reserved
    (void*) Dummy,
// 102 Reserved
    (void*) Dummy,
// 103 Reserved
    (void*) Dummy,
// 104 Reserved
    (void*) Dummy,
// 105 Reserved
    (void*) Dummy,
// 106 Reserved
    (void*) Dummy,
// 107 Reserved
    (void*) Dummy,
// 108 DMAC0 DEI0
    (void*) INT_DMAC0_DEI0,
// 109 DMAC0 HEI0
    (void*) INT_DMAC0_HEI0,
// 110 Reserved
    (void*) Dummy,
// 111 Reserved
    (void*) Dummy,
// 112 DMAC1 DEI1
    (void*) INT_DMAC1_DEI1,
// 113 DMAC1 HEI1
    (void*) INT_DMAC1_HEI1,
// 114 Reserved
    (void*) Dummy,
// 115 Reserved
    (void*) Dummy,
// 116 DMAC2 DEI2
    (void*) INT_DMAC2_DEI2,
// 117 DMAC2 HEI2 
    (void*) INT_DMAC2_HEI2,
// 118 Reserved
    (void*) Dummy,
// 119 Reserved
    (void*) Dummy,
// 120 DMAC3 DEI3
    (void*) INT_DMAC3_DEI3,
// 121 DMAC3 HEI3
    (void*) INT_DMAC3_HEI3 ,
// 122 Reserved
    (void*) Dummy,
// 123 Reserved
    (void*) Dummy,
// 124 DMAC4 DEI4
    (void*) INT_DMAC4_DEI4,
// 125 DMAC4 HEI4
    (void*) INT_DMAC4_HEI4,
// 126 Reserved
    (void*) Dummy,
// 127 Reserved
    (void*) Dummy,
// 128 INT_DMAC5_DEI5
    (void*) INT_DMAC5_DEI5,
// 129 DMAC5 HEI5
    (void*) INT_DMAC5_HEI5,
// 130 Reserved
    (void*) Dummy,
// 131 Reserved
    (void*) Dummy,
// 132 DMAC6 DEI6
    (void*) INT_DMAC6_DEI6,
// 133 POE OEI3
    (void*) INT_DMAC6_HEI6,
// 134 Reserved
    (void*) Dummy,
// 135 Reserved
    (void*) Dummy,
// 136 DMAC7 DEI7
    (void*) INT_DMAC7_DEI7,
// 137 Reserved
    (void*) INT_DMAC7_HEI7,
// 138 Reserved
    (void*) Dummy,
// 139 Reserved
    (void*) Dummy,
// 140 CMT0 CMI0
    //(void*) INT_CMT0_CMI0,
    (void*) OS_ISR_Tick,
// 141 Reserved
    (void*) Dummy,
// 142 Reserved
    (void*) Dummy,
// 143 Reserved
    (void*) Dummy,
// 144 CMT1 CMI1
    (void*) INT_CMT1_CMI1,
// 145 Reserved
    (void*) Dummy,
// 146 Reserved
    (void*) Dummy,
// 147 Reserved
    (void*) Dummy,
// 148 BSC CMI
    (void*) INT_BSC_CMI,
// 149 Reserved
    (void*) Dummy,
// 150 Reserved
    (void*) Dummy,
// 151 Reserved
    (void*) Dummy,
// 152 WDT ITI
    (void*) INT_WDT_ITI,
// 153 Reserved
    (void*) Dummy,
// 154 USB EPI1
    (void*) INT_USB_EPI1,
// 155 USB EPI2
    (void*) INT_USB_EPI2,
// 156 MTU0 TGIA0
    (void*) INT_MTU0_TGIA0,
// 157 MTU0 TGIB0
    (void*) INT_MTU0_TGIB0,
// 158 MTU0 TGIC0
    (void*) INT_MTU0_TGIC0,
// 159 MTU0 TGID0
    (void*) INT_MTU0_TGID0,
// 160 MTU0 TCIV0
    (void*) INT_MTU0_TCIV0,
// 161 MTU0 TGIE0
    (void*) INT_MTU0_TGIE0,
// 162 MTU0 TGIF0
    (void*) INT_MTU0_TGIF0,
// 163 Reserved
    (void*) Dummy,
// 164 MTU1 TGIA1
    (void*) INT_MTU1_TGIA1,
// 165 MTU1 TGIB1
    (void*) INT_MTU1_TGIB1,
// 166 Reserved
    (void*) Dummy,
// 167 Reserved
    (void*) Dummy,
// 168 MTU1 TCIV1
    (void*) INT_MTU1_TCIV1,
// 169 MTU1 TCIU1
    (void*) INT_MTU1_TCIU1,
// 170 Reserved
    (void*) Dummy,
// 171 Reserved
    (void*) Dummy,
// 172 INT_MTU2_TGIA2
    (void*) INT_MTU2_TGIA2,
// 173 MTU2 TGIB2
    (void*) INT_MTU2_TGIB2,
// 174 Reserved
    (void*) Dummy,
// 175 Reserved
    (void*) Dummy,
// 176 MTU2 TCIV2
    (void*) INT_MTU2_TCIV2,
// 177 MTU2 TCIU2
    (void*) INT_MTU2_TCIU2,
// 178 Reserved
    (void*) Dummy,
// 179 Reserved
    (void*) Dummy,
// 180 MTU3 TGIA3
    (void*) INT_MTU3_TGIA3,
// 181 MTU3 TGIB3
    (void*) INT_MTU3_TGIB3,
// 182 MTU3 TGIC3
    (void*) INT_MTU3_TGIC3,
// 183 MTU3 TGID3
    (void*) INT_MTU3_TGID3,
// 184 MTU3 TCIV3
    (void*) INT_MTU3_TCIV3,
// 185 Reserved
    (void*) Dummy,
// 186 Reserved
    (void*) Dummy,
// 187 Reserved
    (void*) Dummy,
// 188 MTU4 TGIA4
    (void*) INT_MTU4_TGIA4,
// 189 MTU4 TGIB4
    (void*) INT_MTU4_TGIB4,
// 190 MTU4 TGIC4
    (void*) INT_MTU4_TGIC4,
// 191 MTU4 TGID4
    (void*) INT_MTU4_TGID4,
// 192 MTU4 TCIV4
    (void*) INT_MTU4_TCIV4,
// 193 Reserved
    (void*) Dummy,
// 194 Reserved
    (void*) Dummy,
// 195 Reserved
    (void*) Dummy,
// 196 MTU5 TGIU5
    (void*) INT_MTU5_TGIU5,
// 197 MTU5 TGIV5
    (void*) INT_MTU5_TGIV5,
// 198 MTU5 TGIW5
    (void*) INT_MTU5_TGIW5,
// 199 Reserved
    (void*) Dummy,
// 200 POE  OEI1
    (void*) INT_POE_OEI1,
// 201 POE  OEI2
    (void*) INT_POE_OEI2,
// 202 Reserved
    (void*) Dummy,
// 203 Reserved
    (void*) Dummy,
// 204 MTU3S TGIA3
    (void*) INT_MTU3S_TGIA3,
// 205 MTU3S TGIB3
    (void*) INT_MTU3S_TGIB3,
// 206 MTU3S TGIC3
    (void*) INT_MTU3S_TGIC3,
// 207 MTU3S TGID3
    (void*) INT_MTU3S_TGID3,
// 208 MTU3S TCIV3
    (void*) INT_MTU3S_TCIV3,
// 209 Reserved
    (void*) Dummy,
// 210 Reserved
    (void*) Dummy,
// 211 Reserved
    (void*) Dummy,
// 212 MTU4 TGIA4
    (void*) INT_MTU4S_TGIA4,
// 213 MTU4 TGIB4
    (void*) INT_MTU4S_TGIB4,
// 214 MTU4 TGIC4
    (void*) INT_MTU4S_TGIC4,
// 215 MTU4 TGID4
    (void*) INT_MTU4S_TGID4,
// 216 MTU4 TCIV4
    (void*) INT_MTU4S_TCIV4,
// 217 Reserved
    (void*) Dummy,
// 218 Reserved
    (void*) Dummy,
// 219 Reserved
    (void*) Dummy,
// 220 MTU5 TGIU5	
    (void*) INT_MTU5S_TGIU5,
// 221 MTU5 TGIV5	
    (void*) INT_MTU5S_TGIV5,
// 222 MTU5 TGIW5	
    (void*) INT_MTU5S_TGIW5,
// 223 Reserved 
    (void*) Dummy,
// 224 POE OEI3
    (void*) INT_POE_OEI3,
// 225 Reserved
    (void*) Dummy,
// 226 USB USI0
    (void*) INT_USB_USI0,
// 227 Reserved
    (void*) INT_USB_USI1,
// 228 IIC3 IISTPI
    (void*) INT_IIC3_IISTPI,
// 229 IIC3 IINAKI
    (void*) INT_IIC3_IINAKI,
// 230 IIC3 IIRXI
    (void*) INT_IIC3_IIRXI,
// 231 IIC3 IITXI
    (void*) INT_IIC3_IITXI,
// 232 IIC3 IITEI
    (void*) INT_IIC3_IITEI,
// 233 SSU  SSERI
    (void*) INT_SSU_SSERI,
// 234 SSU  SSRXI
    (void*) INT_SSU_SSRXI,
// 235 SSU  SSTXI
    (void*) INT_SSU_SSTXI,
// 236 SCI4 ERI4
    (void*) INT_SCI4_ERI4,
// 237 SCI4 RXI4
    (void*) INT_SCI4_RXI4,
// 238 SCI4 TXI4
    (void*) INT_SCI4_TXI4,
// 239 SCI4 TEI4
    (void*) INT_SCI4_TEI4,
// 240 SCI0 ERI0
    (void*) INT_SCI0_ERI0,
// 241 SCI0 RXI0
    (void*) INT_SCI0_RXI0,
// 242 INT_SCI0_TXI0
    (void*) INT_SCI0_TXI0,
// 243 SCI0 TEI0
    (void*) INT_SCI0_TEI0,
// 244 SCI1 ERI1
#if (OS_UART_USED == 1)
    (void*) OS_ISR_RxErr,
#else        
    (void*) INT_SCI1_ERI1,
#endif        
// 245 SCI1 RXI1
#if (OS_UART_USED == 1)
    (void*) OS_ISR_Rx,
#else    
    (void*) INT_SCI1_RXI1,
#endif    
// 246 SCI1 TXI1
#if (OS_UART_USED == 1)
  (void*) OS_ISR_Tx,
#else
  (void*) INT_SCI1_TXI1,
#endif    
// 247 SCI1 TEI1
    (void*) INT_SCI1_TEI1,
// 248 SCI2 ERI2
    (void*) INT_SCI2_ERI2,
// 249 SCI2 RXI2
    (void*) INT_SCI2_RXI2,
// 250 SCI2 TXI2
    (void*) INT_SCI2_TXI2,
// 251 SCI2 TEI2
    (void*) INT_SCI2_TEI2,
// 252 SCIF3 ERIF3
    (void*) INT_SCIF3_ERIF3,
// 253 SCIF3 RXIF3
    (void*) INT_SCIF3_RXIF3,
// 254 SCIF3 BRIF3
    (void*) INT_SCIF3_BRIF3,
// 255 SCIF3 TXIF3
    (void*) INT_SCIF3_TXIF3	
};
