/***********************************************************************************
FILE NAME:		intprg.c
DESCRIPTION:	Interrupt Program

Copyright : 2008 Renesas Technology Europe Ltd.
Copyright : 2008 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
13.01.2008 RTE-MBA First Release
***********************************************************************************/

/**********************************************************************************
System Includes
***********************************************************************************/
/* 	This header file provides access to intrinsic functions useful for configuring
	and controlling the interrupts. */
#include <machine.h>

#include "vect.h"

/**********************************************************************************
Start of IntPRG section
***********************************************************************************/
#pragma section IntPRG

/* 4 Illegal code */
void INT_Illegal_code(void) {/* sleep(); */}
/* 5 Reserved
/* 6 Illegal slot */
void INT_Illegal_slot(void) {/* sleep(); */}
/* 7 Reserved */
/* 8 Reserved */
/* 9 CPU Address error */
void INT_CPU_Address(void) {/* sleep(); */}
/* 10 INT_DMAC_Address */
void INT_DMAC_Address(void) {/* sleep(); */}
/* 11 NMI */
void INT_NMI(void) {/* sleep(); */}
/* 12 User breakpoint trap */
void INT_User_Break(void) {/* sleep(); */}
/* 13 INT_FPU */
void INT_FPU(void) {/* sleep(); */}
/* 14 H-UDI */
void INT_HUDI(void) {/* sleep(); */}
/* 15 Register bank over */
void INT_Bank_Overflow(void) {/* sleep(); */}
/* 16 Register bank under */
void INT_Bank_Underflow(void) {/* sleep(); */}
/* 17 ZERO DIV */
void INT_Divide_by_Zero(void) {/* sleep(); */}
/* 18 OVER DIV */
void INT_Divide_Overflow(void) {/* sleep(); */}
/* 19 Reserved */
/* 20 Reserved */
/* 21 Reserved */
/* 22 Reserved */
/* 23 Reserved */
/* 24 Reserved */
/* 25 Reserved */
/* 26 Reserved */
/* 27 Reserved */
/* 28 Reserved */
/* 29 Reserved */
/* 30 Reserved */
/* 31 Reserved */
#pragma section	

/* 32 TRAPA (User Vecter) */
void INT_TRAPA32(void) {/* sleep(); */}
/* 33 TRAPA (User Vecter) */
void INT_TRAPA33(void) {/* sleep(); */}
/* 34 TRAPA (User Vecter) */
void INT_TRAPA34(void) {/* sleep(); */}
/* 35 TRAPA (User Vecter) */
void INT_TRAPA35(void) {/* sleep(); */}
/* 36 TRAPA (User Vecter) */
void INT_TRAPA36(void) {/* sleep(); */}
/* 37 TRAPA (User Vecter) */
void INT_TRAPA37(void) {/* sleep(); */}
/* 38 TRAPA (User Vecter) */
void INT_TRAPA38(void) {/* sleep(); */}
/* 39 TRAPA (User Vecter) */
void INT_TRAPA39(void) {/* sleep(); */}
/* 40 TRAPA (User Vecter) */
void INT_TRAPA40(void) {/* sleep(); */}
/* 41 TRAPA (User Vecter) */
void INT_TRAPA41(void) {/* sleep(); */}
/* 42 TRAPA (User Vecter) */
void INT_TRAPA42(void) {/* sleep(); */}
/* 43 TRAPA (User Vecter) */
void INT_TRAPA43(void) {/* sleep(); */}
/* 44 TRAPA (User Vecter) */
void INT_TRAPA44(void) {/* sleep(); */}
/* 45 TRAPA (User Vecter) */
void INT_TRAPA45(void) {/* sleep(); */}
/* 46 TRAPA (User Vecter) */
void INT_TRAPA46(void) {/* sleep(); */}
/* 47 TRAPA (User Vecter) */
void INT_TRAPA47(void) {/* sleep(); */}
/* 48 TRAPA (User Vecter) */
void INT_TRAPA48(void) {/* sleep(); */}
/* 49 TRAPA (User Vecter) */
void INT_TRAPA49(void) {/* sleep(); */}
/* 50 TRAPA (User Vecter) */
void INT_TRAPA50(void) {/* sleep(); */}
/* 51 TRAPA (User Vecter) */
void INT_TRAPA51(void) {/* sleep(); */}
/* 52 TRAPA (User Vecter) */
void INT_TRAPA52(void) {/* sleep(); */}
/* 53 TRAPA (User Vecter) */
void INT_TRAPA53(void) {/* sleep(); */}
/* 54 TRAPA (User Vecter) */
void INT_TRAPA54(void) {/* sleep(); */}
/* 55 TRAPA (User Vecter) */
void INT_TRAPA55(void) {/* sleep(); */}
/* 56 TRAPA (User Vecter) */
void INT_TRAPA56(void) {/* sleep(); */}
/* 57 TRAPA (User Vecter) */
void INT_TRAPA57(void) {/* sleep(); */}
/* 58 TRAPA (User Vecter) */
void INT_TRAPA58(void) {/* sleep(); */}
/* 59 TRAPA (User Vecter) */
void INT_TRAPA59(void) {/* sleep(); */}
/* 60 TRAPA (User Vecter) */
void INT_TRAPA60(void) {/* sleep(); */}
/* 61 TRAPA (User Vecter) */
void INT_TRAPA61(void) {/* sleep(); */}
/* 62 TRAPA (User Vecter) */
void INT_TRAPA62(void) {/* sleep(); */}
/* 63 TRAPA (User Vecter) */
void INT_TRAPA63(void) {/* sleep(); */}
/* 64 Interrupt IRQ0 */
 void INT_IRQ0(void) { /*sleep();*/ } 
/* 65 Interrupt IRQ1 */
 void INT_IRQ1(void) { /*sleep();*/} 
/* 66 Interrupt IRQ2 */
 void INT_IRQ2(void) { /*sleep();*/ } 
/* 67 Interrupt IRQ3 */
void INT_IRQ3(void) {/* sleep(); */}
/* 68 Interrupt IRQ4 */
void INT_IRQ4(void) {/* sleep(); */}
/* 69 Interrupt IRQ5 */
void INT_IRQ5(void) {/* sleep(); */}
/* 70 Interrupt IRQ6 */
void INT_IRQ6(void) {/* sleep(); */}
/* 71 Interrupt IRQ7 */
void INT_IRQ7(void) {/* sleep(); */}
/* 72 Reserved */
/* 73 Reserved */
/* 74 Reserved */
/* 75 Reserved */
/* 76 Reserved */
/* 77 Reserved */
/* 78 Reserved */
/* 79 Reserved */
/* 80 Reserved */
/* 81 Reserved */
/* 82 Reserved */
/* 83 Reserved */
/* 84 Reserved */
/* 85 Reserved */
/* 86 Reserved */
/* 87 Reserved */
/* 88 Reserved */
/* 89 Reserved */
/* 90 Reserved */
/* 91 Reserved */
/* 92 Reserved */
/* 93 Reserved */
/* 94 Reserved */
/* 95 Reserved */
/* 96 Reserved */
/* 97 Reserved */
/* 98 Reserved */
/* 99 Reserved */
/* 100 Reserved */
/* 101 Reserved */
/* 102 Reserved */
/* 103 Reserved */
/* 104 Reserved */
/* 105 Reserved */
/* 106 Reserved */
/* 107 Reserved */
/* 108 DMAC0 DEI0 */
void INT_DMAC0_DEI0(void) {/* sleep(); */}
/* 109 DMAC0 HEI0 */
void INT_DMAC0_HEI0(void) {/* sleep(); */}
/* 110 Reserved */
/* 111 Reserved */
/* 112 DMAC1 DEI1 */
void INT_DMAC1_DEI1(void) {/* sleep(); */}
/* 113 DMAC1 HEI1 */
void INT_DMAC1_HEI1(void) {/* sleep(); */}
/* 114 Reserved */
/* 115 Reserved */
/* 116 DMAC2 DEI2 */
void INT_DMAC2_DEI2(void) {/* sleep(); */}
/* 117 DMAC2 HEI2 */
void INT_DMAC2_HEI2(void) {/* sleep(); */}
/* 118 Reserved */
/* 119 Reserved */
/* 120 DMAC3 DEI3 */
void INT_DMAC3_DEI3(void) {/* sleep(); */}
/* 121 DMAC3 HEI3 */
void INT_DMAC3_HEI3(void) {/* sleep(); */}
/* 122 Reserved */
/* 123 Reserved */
/* 124 DMAC4 DEI4 */
void INT_DMAC4_DEI4(void) {/* sleep(); */}
/* 125 DMAC4 HEI4 */
void INT_DMAC4_HEI4(void) {/* sleep(); */}
/* 126 Reserved */
/* 127 Reserved */
/* 128 DMAC5 DEI5 */
void INT_DMAC5_DEI5(void) {/* sleep(); */}
/* 129 DMAC5 HEI5 */
void INT_DMAC5_HEI5(void) {/* sleep(); */}
/* 130 Reserved */
/* 131 Reserved */
/* 132 DMAC6 DEI6 */
void INT_DMAC6_DEI6(void) {/* sleep(); */}
/* 133 DMAC6 HEI6 */
void INT_DMAC6_HEI6(void) {/* sleep(); */}
/* 134 Reserved */
/* 135 Reserved */
/* 136 DMAC7 DEI7 */
void INT_DMAC7_DEI7(void) {/* sleep(); */}
/* 137 DMAC7 HEI7 */
void INT_DMAC7_HEI7(void) {/* sleep(); */}
/* 138 Reserved */
/* 139 Reserved */
/* 140 USB USBI */
void INT_USB_USBI(void) {/* sleep(); */}
/* 141 Reserved */
/* 142 CMT CMI0 */
//void INT_CMT_CMI0(void) { sleep(); } 
/* 143 CMT CMI1 */
void INT_CMT_CMI1(void) { sleep(); } 
/* 144 BSC CMI */
void INT_BSC_CMI(void) {/* sleep(); */}
/* 145 WDT ITI */
void INT_WDT_ITI(void) {/* sleep(); */}
/* 146 HIF HIFI */
void INT_HIF_HIFI(void) {/* sleep(); */}
/* 147 Reserved */
/* 148 Reserved */
/* 149 Reserved */
/* 150 HIF HIFBI */
void INT_HIF_HIFBI(void) {/* sleep(); */}
/* 151 Reserved */
/* 152 Reserved */
/* 153 ADMAC ADM1I */
void INT_ADMAC_ADM1I(void) {/* sleep(); */}
/* 154 Reserved */
/* 155 ADMAC C0I */
void INT_ADMAC_C0I(void) {/* sleep(); */}
/* 156 Reserved */
/* 157 ADMAC C1I */
void INT_ADMAC_C1I(void) {/* sleep(); */}
/* 158 Reserved */
/* 159 ADMAC FECI */
void INT_ADMAC_FECI(void) {/* sleep(); */}
/* 160 Reserved */
/* 161 Reserved */
/* 162 Reserved */
/* 163 Reserved */
/* 164 Reserved */
/* 165 Reserved */
/* 166 Reserved */
/* 167 Reserved */
/* 168 Reserved */
/* 169 Reserved */
/* 170 Reserved */
/* 171 ETC EINT0 */
void INT_ETC_EINT0(void) {/* sleep(); */}
/* 172 IIC3 STPI0 */
void INT_IIC3_STPI0(void) {/* sleep(); */}
/* 173 IIC3 NAKI0 */
void INT_IIC3_NAKI0(void) {/* sleep(); */}
/* 174 IIC3 RXI0 */
void INT_IIC3_RXI0(void) {/* sleep(); */}
/* 175 IIC3 TXI0 */
void INT_IIC3_TXI0(void) {/* sleep(); */}
/* 176 IIC3 TEI0 */
 void INT_IIC3_TEI0(void) {/* sleep(); */}
/* 177 Reserved */
/* 178 Reserved */
/* 179 Reserved */
/* 180 Reserved */
/* 181 Reserved */
/* 182 STIF STI0 */
void INT_STIF_STI0(void) {/* sleep(); */}
/* 183 Reserved */
/* 184 Reserved */
/* 185 Reserved */
/* 186 Reserved */
/* 187 STIF STI1 */
void INT_STIF_STI1(void) {/* sleep(); */}
/* 188 Reserved */
/* 189 Reserved */
/* 190 Reserved */
/* 191 Reserved */
/* 192 SCIF SCIF0 BRI0 */
void INT_SCIF_SCIF0_BRI0(void) {/* sleep(); */}
/* 193 SCIF SCIF0 ERI0 */
void INT_SCIF_SCIF0_ERI0(void) {/* sleep(); */}
/* 194 SCIF SCIF0 RXI0 */
void INT_SCIF_SCIF0_RXI0(void) {/* sleep(); */}
/* 195 SCIF SCIF0 TXI0 */
void INT_SCIF_SCIF0_TXI0(void) {/* sleep(); */}
/* 196 SCIF SCIF1 BRI1 */
void INT_SCIF_SCIF1_BRI1(void) {/* sleep(); */}
/* 197 SCIF SCIF1 ERI1 */
void INT_SCIF_SCIF1_ERI1(void) {/* sleep(); */}
/* 198 SCIF SCIF1 RXI1 */
void INT_SCIF_SCIF1_RXI1(void) {/* sleep(); */}
/* 199 SCIF SCIF1 TXI1 */
void INT_SCIF_SCIF1_TXI1(void) {/* sleep(); */}
/* 200 SCIF SCIF2 BRI2 */
void INT_SCIF_SCIF2_BRI2(void) {/* sleep(); */}
/* 201 SCIF SCIF2 ERI2 */
void INT_SCIF_SCIF2_ERI2(void) {/* sleep(); */}
/* 202 SCIF SCIF2 RXI2 */
void INT_SCIF_SCIF2_RXI2(void) {/* sleep(); */}
/* 203 SCIF SCIF2 TXI2 */
void INT_SCIF_SCIF2_TXI2(void) {/* sleep(); */}
/* 204 Reserved */
/* 205 Reserved */
/* 206 Reserved */
/* 207 Reserved */
/* 208 Reserved */
/* 209 Reserved */
/* 210 Reserved */
/* 211 Reserved */
/* 212 Reserved */
/* 213 Reserved */
/* 214 SSI0 */
void INT_SSI0(void) {/* sleep(); */}
/* 215 SSI1 */
void INT_SSI1(void) {/* sleep(); */}
/* 216 Reserved */
/* 217 Reserved */
/* 218 Reserved */
/* 219 Reserved */
/* 220 Reserved */
/* 221 Reserved */
/* 222 Reserved */
/* 223 Reserved */
/* 224 Reserved */
/* 225 Reserved */
/* 226 Reserved */
/* 227 Reserved */
/* 228 SDIO SDII3 */
void INT_SDIO_SDII3(void) {/* sleep(); */}
/* 229 SDIO SDII0 */
void INT_SDIO_SDII0(void) {/* sleep(); */}
/* 230 SDIO SDII1 */
void INT_SDIO_SDII1(void) {/* sleep(); */}
/* 231 Reserved */
/* 232 Reserved */
/* 233 Reserved */
/* 234 Reserved */
/* 235 Reserved */
/* 236 Reserved */
/* 237 Reserved */
/* 238 Reserved */
/* 239 Reserved */
/* 240 Reserved */
/* 241 Reserved */
/* 242 Reserved */
/* 243 Reserved */
/* 244 Reserved */
/* 245 Reserved */
/* 246 Reserved */
/* 247 Reserved */
/* 248 Reserved */
/* 249 Reserved */
/* 250 Reserved */
/* 251 Reserved */
/* 252 Reserved */
/* 253 Reserved */
/* 254 Reserved */
/* 255 Reserved */
void Dummy(void) {/* sleep(); */}

#pragma section
/**********************************************************************************
End of IntPRG section
***********************************************************************************/

