/***********************************************************************************
FILE NAME:		vect.h
DESCRIPTION:	Interrupt Program

Copyright : 2008 Renesas Technology Europe Ltd.
Copyright : 2008 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2008 RTE-MBA First Release
***********************************************************************************/

/**********************************************************************************
System Includes
***********************************************************************************/
#ifndef VECT_H
#define VECT_H

/* <<VECTOR DATA START (POWER ON RESET)>> */
/* 0 Power On Reset PC */
extern void PowerON_Reset_PC(void);

/* <<VECTOR DATA END (POWER ON RESET)>> */
/* 1 Power On Reset SP */

/* <<VECTOR DATA START (MANUAL RESET)>> */
/* 2 Manual Reset PC */
extern void Manual_Reset_PC(void);

/* <<VECTOR DATA END (MANUAL RESET)>> */
/* 3 Manual Reset SP */

/* 4 Illegal code */
#pragma interrupt INT_Illegal_code
extern void INT_Illegal_code(void);

/* 5 Reserved */
/* 6 Illegal slot */
#pragma interrupt INT_Illegal_slot
extern void INT_Illegal_slot(void);

/* 7 Reserved */
/* 8 Reserved */
/* 9 CPU Address error */
#pragma interrupt INT_CPU_Address
extern void INT_CPU_Address(void);

/* 10 INT_DMAC_Address */
#pragma interrupt INT_DMAC_Address
extern void INT_DMAC_Address(void);

/* 11 NMI */
#pragma interrupt INT_NMI
extern void INT_NMI(void);

/* 12 User breakpoint trap */
#pragma interrupt INT_User_Break
extern void INT_User_Break(void);

/* 13 INT_FPU */
#pragma interrupt INT_FPU
extern void INT_FPU(void);

/* 14 H-UDI */
#pragma interrupt INT_HUDI
extern void INT_HUDI(void);

/* 15 Bank Overflow */
#pragma interrupt INT_Bank_Overflow
extern void INT_Bank_Overflow(void);

/* 16 Bank Underflow */
#pragma interrupt INT_Bank_Underflow
extern void INT_Bank_Underflow(void);

/* 17 Divide by zero */
#pragma interrupt INT_Divide_by_Zero
extern void INT_Divide_by_Zero(void);

/* 18 Divide Overflow */
#pragma interrupt INT_Divide_Overflow
extern void INT_Divide_Overflow(void);

/* 19 Reserved */
/* 20 Reserved */
/* 21 Reserved */
/* 22 Reserved */
/* 23 Reserved */
/* 24 Reserved */
/* 25 Reserved */
/* 26 Reserved */
/* 27 Reserved */
/* 28 Reserved */
/* 29 Reserved */
/* 30 Reserved */
/* 31 Reserved */
/* 32 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA32(resbank)
extern void INT_TRAPA32(void);

/* 33 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA33(resbank)
extern void INT_TRAPA33(void);

/* 34 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA34(resbank)
extern void INT_TRAPA34(void);

/* 35 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA35(resbank)
extern void INT_TRAPA35(void);

/* 36 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA36(resbank)
extern void INT_TRAPA36(void);

/* 37 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA37(resbank)
extern void INT_TRAPA37(void);

/* 38 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA38(resbank)
extern void INT_TRAPA38(void);

/* 39 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA39(resbank)
extern void INT_TRAPA39(void);

/* 40 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA40(resbank)
extern void INT_TRAPA40(void);

/* 41 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA41(resbank)
extern void INT_TRAPA41(void);

/* 42 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA42(resbank)
extern void INT_TRAPA42(void);

/* 43 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA43(resbank)
extern void INT_TRAPA43(void);

/* 44 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA44(resbank)
extern void INT_TRAPA44(void);

/* 45 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA45(resbank)
extern void INT_TRAPA45(void);

/* 46 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA46(resbank)
extern void INT_TRAPA46(void);

/* 47 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA47(resbank)
extern void INT_TRAPA47(void);

/* 48 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA48(resbank)
extern void INT_TRAPA48(void);

/* 49 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA49(resbank)
extern void INT_TRAPA49(void);

/* 50 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA50(resbank)
extern void INT_TRAPA50(void);

/* 51 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA51(resbank)
extern void INT_TRAPA51(void);

/* 52 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA52(resbank)
extern void INT_TRAPA52(void);

/* 53 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA53(resbank)
extern void INT_TRAPA53(void);

/* 54 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA54(resbank)
extern void INT_TRAPA54(void);

/* 55 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA55(resbank)
extern void INT_TRAPA55(void);

/* 56 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA56(resbank)
extern void INT_TRAPA56(void);

/* 57 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA57(resbank)
extern void INT_TRAPA57(void);

/* 58 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA58(resbank)
extern void INT_TRAPA58(void);

/* 59 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA59(resbank)
extern void INT_TRAPA59(void);

/* 60 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA60(resbank)
extern void INT_TRAPA60(void);

/* 61 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA61(resbank)
extern void INT_TRAPA61(void);

/* 62 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA62(resbank)
extern void INT_TRAPA62(void);

/* 63 TRAPA (User Vecter) */
#pragma interrupt INT_TRAPA63(resbank)
extern void INT_TRAPA63(void);
 
/* 64 Interrupt IRQ0 */
#pragma interrupt INT_IRQ0(resbank)
extern void INT_IRQ0(void);

/* 65 Interrupt IRQ1 */
#pragma interrupt INT_IRQ1(resbank)
extern void INT_IRQ1(void);

/* 66 Interrupt IRQ2 */
#pragma interrupt INT_IRQ2(resbank)
extern void INT_IRQ2(void);

/* 67 Interrupt IRQ3 */
#pragma interrupt INT_IRQ3(resbank)
extern void INT_IRQ3(void);

/* 68 Interrupt IRQ4 */
#pragma interrupt INT_IRQ4(resbank)
extern void INT_IRQ4(void);

/* 69 Interrupt IRQ5 */
#pragma interrupt INT_IRQ5(resbank)
extern void INT_IRQ5(void);

/* 70 Interrupt IRQ6 */
#pragma interrupt INT_IRQ6(resbank)
extern void INT_IRQ6(void);

/* 71 Interrupt IRQ7 */
#pragma interrupt INT_IRQ7(resbank)
extern void INT_IRQ7(void);

/* 72 Reserved */
/* 73 Reserved */
/* 74 Reserved */
/* 75 Reserved */
/* 76 Reserved */
/* 77 Reserved */
/* 78 Reserved */
/* 79 Reserved */
/* 80 Reserved */
/* 81 Reserved */
/* 82 Reserved */
/* 83 Reserved */
/* 84 Reserved */
/* 85 Reserved */
/* 86 Reserved */
/* 87 Reserved */
/* 88 Reserved */
/* 89 Reserved */
/* 90 Reserved */
/* 91 Reserved */
/* 92 Reserved */
/* 93 Reserved */
/* 94 Reserved */
/* 95 Reserved */
/* 96 Reserved */
/* 97 Reserved */
/* 98 Reserved */
/* 99 Reserved */
/* 100 Reserved */
/* 101 Reserved */
/* 102 Reserved */
/* 103 Reserved */
/* 104 Reserved */
/* 105 Reserved */
/* 106 Reserved */
/* 107 Reserved */
/* 108 DMAC0 DEI0 */
#pragma interrupt INT_DMAC0_DEI0(resbank)
extern void INT_DMAC0_DEI0(void);

/* 109 DMAC0 HEI0 */
#pragma interrupt INT_DMAC0_HEI0(resbank)
extern void INT_DMAC0_HEI0(void);

/* 110 Reserved */
/* 111 Reserved */
/* 112 DMAC1 DEI1 */
#pragma interrupt INT_DMAC1_DEI1(resbank)
extern void INT_DMAC1_DEI1(void);

/* 113 DMAC1 HEI1 */
#pragma interrupt INT_DMAC1_HEI1(resbank)
extern void INT_DMAC1_HEI1(void);

/* 114 Reserved */
/* 115 Reserved */
/* 116 DMAC2 DEI2 */
#pragma interrupt INT_DMAC2_DEI2(resbank)
extern void INT_DMAC2_DEI2(void);

/* 117 DMAC2 HEI2 */
#pragma interrupt INT_DMAC2_HEI2(resbank)
extern void INT_DMAC2_HEI2(void);

/* 118 Reserved */
/* 119 Reserved */
/* 120 DMAC3 DEI3 */
#pragma interrupt INT_DMAC3_DEI3(resbank)
extern void INT_DMAC3_DEI3(void);

/* 121 DMAC3 HEI3 */
#pragma interrupt INT_DMAC3_HEI3(resbank)
extern void INT_DMAC3_HEI3(void);

/* 122 Reserved */
/* 123 Reserved */
/* 124 DMAC4 DEI4 */
#pragma interrupt INT_DMAC4_DEI4(resbank)
extern void INT_DMAC4_DEI4(void);

/* 125 DMAC4 HEI4 */
#pragma interrupt INT_DMAC4_HEI4(resbank)
extern void INT_DMAC4_HEI4(void);

/* 126 Reserved */
/* 127 Reserved */
/* 128 DMAC5 DEI5 */
#pragma interrupt INT_DMAC5_DEI5(resbank)
extern void INT_DMAC5_DEI5(void);

/* 129 DMAC5 HEI5 */
#pragma interrupt INT_DMAC5_HEI5(resbank)
extern void INT_DMAC5_HEI5(void);

/* 130 Reserved */
/* 131 Reserved */
/* 132 DMAC6 DEI6 */
#pragma interrupt INT_DMAC6_DEI6(resbank)
extern void INT_DMAC6_DEI6(void);

/* 133 DMAC6 HEI6 */
#pragma interrupt INT_DMAC6_HEI6(resbank)
extern void INT_DMAC6_HEI6(void);

/* 134 Reserved */
/* 135 Reserved */
/* 136 DMAC7 DEI7 */
#pragma interrupt INT_DMAC7_DEI7(resbank)
extern void INT_DMAC7_DEI7(void);

/* 137 DMAC7 HEI7 */
#pragma interrupt INT_DMAC7_HEI7(resbank)
extern void INT_DMAC7_HEI7(void);

/* 138 Reserved */
/* 139 Reserved */
/* 140 USB USBI */
#pragma interrupt INT_USB_USBI(resbank)
extern void INT_USB_USBI(void);

/* 141 Reserved */
/* 142 CMT CMI0 */
//#pragma interrupt (INT_CMT_CMI0(resbank))
//extern void INT_CMT_CMI0(void);
#pragma interrupt OS_ISR_Tick(resbank)
extern void OS_ISR_Tick(void);

/* 143 CMT CMI1 */
#pragma interrupt INT_CMT_CMI1(resbank)
extern void INT_CMT_CMI1(void);

/* 144 BSC CMI */
#pragma interrupt INT_BSC_CMI(resbank)
extern void INT_BSC_CMI(void);

/* 145 WDT ITI */
#pragma interrupt INT_WDT_ITI(resbank)
extern void INT_WDT_ITI(void);

/* 146 HIF HIFI */
#pragma interrupt INT_HIF_HIFI(resbank)
extern void INT_HIF_HIFI(void);

/* 147 Reserved */
/* 148 Reserved */
/* 149 Reserved */
/* 150 HIF HIFBI */
#pragma interrupt INT_HIF_HIFBI(resbank)
extern void INT_HIF_HIFBI(void);

/* 151 Reserved */
/* 152 Reserved */
/* 153 ADMAC ADM1I */
#pragma interrupt INT_ADMAC_ADM1I(resbank)
extern void INT_ADMAC_ADM1I(void);

/* 154 Reserved */
/* 155 ADMAC C0I */
#pragma interrupt INT_ADMAC_C0I(resbank)
extern void INT_ADMAC_C0I(void);

/* 156 Reserved */
/* 157 ADMAC C1I */
#pragma interrupt INT_ADMAC_C1I(resbank)
extern void INT_ADMAC_C1I(void);

/* 158 Reserved */
/* 159 ADMAC FECI */
#pragma interrupt INT_ADMAC_FECI(resbank)
extern void INT_ADMAC_FECI(void);

/* 160 Reserved */
/* 161 Reserved */
/* 162 Reserved */
/* 163 Reserved */
/* 164 Reserved */
/* 165 Reserved */
/* 166 Reserved */
/* 167 Reserved */
/* 168 Reserved */
/* 169 Reserved */
/* 170 Reserved */
/* 171 ETC EINT0 */
#pragma interrupt INT_ETC_EINT0(resbank)
extern void INT_ETC_EINT0(void);

/* 172 IIC3 STPI0 */
#pragma interrupt INT_IIC3_STPI0(resbank)
extern void INT_IIC3_STPI0(void);

/* 173 IIC3 NAKI0 */
#pragma interrupt INT_IIC3_NAKI0(resbank)
extern void INT_IIC3_NAKI0(void);

/* 174 IIC3 RXI0 */
#pragma interrupt INT_IIC3_RXI0(resbank)
extern void INT_IIC3_RXI0(void);

/* 175 IIC3 TXI0 */
#pragma interrupt INT_IIC3_TXI0(resbank)
extern void INT_IIC3_TXI0(void);

/* 176 IIC3 TEI0 */
#pragma interrupt INT_IIC3_TEI0(resbank)
extern void INT_IIC3_TEI0(void);

/* 177 Reserved */
/* 178 Reserved */
/* 179 Reserved */
/* 180 Reserved */
/* 181 Reserved */
/* 182 STIF STI0 */
#pragma interrupt INT_STIF_STI0(resbank)
extern void INT_STIF_STI0(void);

/* 183 Reserved */
/* 184 Reserved */
/* 185 Reserved */
/* 186 Reserved */
/* 187 STIF STI1 */
#pragma interrupt INT_STIF_STI1(resbank)
extern void INT_STIF_STI1(void);

/* 188 Reserved */
/* 189 Reserved */
/* 190 Reserved */
/* 191 Reserved */
/* 192 SCIF SCIF0 BRI0 */
#pragma interrupt INT_SCIF_SCIF0_BRI0(resbank)
extern void INT_SCIF_SCIF0_BRI0(void);

/* 193 SCIF SCIF0 ERI0 */
#pragma interrupt (INT_SCIF_SCIF0_ERI0(resbank))
extern void INT_SCIF_SCIF0_ERI0(void);
#pragma interrupt (OS_ISR_RxErr(resbank))
extern void OS_ISR_RxErr(void);

/* 194 SCIF SCIF0 RXI0 */
#pragma interrupt (INT_SCIF_SCIF0_RXI0(resbank))
extern void INT_SCIF_SCIF0_RXI0(void);
#pragma interrupt (OS_ISR_Rx(resbank))
extern void OS_ISR_Rx(void);

/* 195 SCIF SCIF0 TXI0 */
#pragma interrupt (INT_SCIF_SCIF0_TXI0(resbank))
extern void INT_SCIF_SCIF0_TXI0(void);
#pragma interrupt (OS_ISR_Tx(resbank))
extern void OS_ISR_Tx(void);

/* 196 SCIF SCIF1 BRI1 */
#pragma interrupt INT_SCIF_SCIF1_BRI1(resbank)
extern void INT_SCIF_SCIF1_BRI1(void);

/* 197 SCIF SCIF1 ERI1 */
#pragma interrupt INT_SCIF_SCIF1_ERI1(resbank)
extern void INT_SCIF_SCIF1_ERI1(void);

/* 198 SCIF SCIF1 RXI1 */
#pragma interrupt INT_SCIF_SCIF1_RXI1(resbank)
extern void INT_SCIF_SCIF1_RXI1(void);

/* 199 SCIF SCIF1 TXI1 */
#pragma interrupt INT_SCIF_SCIF1_TXI1(resbank)
extern void INT_SCIF_SCIF1_TXI1(void);

/* 200 SCIF SCIF2 BRI2 */
#pragma interrupt INT_SCIF_SCIF2_BRI2(resbank)
extern void INT_SCIF_SCIF2_BRI2(void);

/* 201 SCIF SCIF2 ERI2 */
#pragma interrupt INT_SCIF_SCIF2_ERI2(resbank)
extern void INT_SCIF_SCIF2_ERI2(void);

/* 202 SCIF SCIF2 RXI2 */
#pragma interrupt INT_SCIF_SCIF2_RXI2(resbank)
extern void INT_SCIF_SCIF2_RXI2(void);

/* 203 SCIF SCIF2 TXI2 */
#pragma interrupt INT_SCIF_SCIF2_TXI2(resbank)
extern void INT_SCIF_SCIF2_TXI2(void);

/* 204 Reserved */
/* 205 Reserved */
/* 206 Reserved */
/* 207 Reserved */
/* 208 Reserved */
/* 209 Reserved */
/* 210 Reserved */
/* 211 Reserved */
/* 212 Reserved */
/* 213 Reserved */
/* 214 SSI0 */
#pragma interrupt INT_SSI0(resbank)
extern void INT_SSI0(void);

/* 215 SSI1 */
#pragma interrupt INT_SSI1(resbank)
extern void INT_SSI1(void);

/* 216 Reserved */
/* 217 Reserved */
/* 218 Reserved */
/* 219 Reserved */
/* 220 Reserved */
/* 221 Reserved */
/* 222 Reserved */
/* 223 Reserved */
/* 224 Reserved */
/* 225 Reserved */
/* 226 Reserved */
/* 227 Reserved */
/* 228 SDIO SDII3 */
#pragma interrupt INT_SDIO_SDII3(resbank)
extern void INT_SDIO_SDII3(void);

/* 229 SDIO SDII0 */
#pragma interrupt INT_SDIO_SDII0(resbank)
extern void INT_SDIO_SDII0(void);

/* 230 SDIO SDII1 */
#pragma interrupt INT_SDIO_SDII1(resbank)
extern void INT_SDIO_SDII1(void);

/* 231 Reserved */
/* 232 Reserved */
/* 233 Reserved */
/* 234 Reserved */
/* 235 Reserved */
/* 236 Reserved */
/* 237 Reserved */
/* 238 Reserved */
/* 239 Reserved */
/* 240 Reserved */
/* 241 Reserved */
/* 242 Reserved */
/* 243 Reserved */
/* 244 Reserved */
/* 245 Reserved */
/* 246 Reserved */
/* 247 Reserved */
/* 248 Reserved */
/* 249 Reserved */
/* 250 Reserved */
/* 251 Reserved */
/* 252 Reserved */
/* 253 Reserved */
/* 254 Reserved */
/* 255 Reserved */
#pragma interrupt Dummy(resbank)
extern void Dummy(void);

/* VECT_H */
#endif

