/***********************************************************************************
FILE NAME:		vecttbl.c
DESCRIPTION:	Interrupt Program

Copyright : 2008 Renesas Technology Europe Ltd.
Copyright : 2008 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
06.12.2008 RTE-MBA First Release
***********************************************************************************/

/**********************************************************************************
System Includes
***********************************************************************************/
#include "vect.h"
#include "OS_Config.h"

/**********************************************************************************
Funcion Prototypes
***********************************************************************************/
extern void PowerON_Reset (void);
extern void Dummy (void);

#ifndef   OS_VIEW_ENABLE
  #define OS_VIEW_ENABLE (1)
#endif

#ifndef   OS_UART
  #define OS_UART (2)
#endif
  
#define   OS_UART_USED (OS_VIEW_ENABLE && (OS_UART == 0) || (OS_UART == 1) || (OS_UART == 2) || (OS_UART == 3))

#pragma section VECTTBL

void (*RESET_Vectors[])(void) = {
/* <<VECTOR DATA START (POWER ON RESET)>> */
/* 0 Power On Reset PC */
    (void*)    PowerON_Reset,                                                                                                                
/* <<VECTOR DATA END (POWER ON RESET)>> */
/* 1 Power On Reset SP */
    __secend("S"),
/* <<VECTOR DATA START (MANUAL RESET)>> */
/* 2 Manual Reset PC */
    (void*)    PowerON_Reset,                                                                                                                 
/* <<VECTOR DATA END (MANUAL RESET)>> */
/* 3 Manual Reset SP */
    __secend("S")

};
#pragma section INTTBL
void (*INT_Vectors[])(void) = {
/* 4 Illegal code */
    (void*) INT_Illegal_code,
/* 5 Reserved */
    (void*) Dummy,
/* 6 Illegal slot */
    (void*) INT_Illegal_slot,
/* 7 Reserved */
    (void*) Dummy,
/* 8 Reserved */
    (void*) Dummy,
/* 9 CPU Address error */
    (void*) INT_CPU_Address,
/* 10 BUS error */
    (void*) INT_DMAC_Address,
/* 11 NMI */
    (void*) INT_NMI,
/* 12 User breakpoint trap */
    (void*) INT_User_Break,
/* 13 INT_FPU */
    (void*) INT_FPU,
/* 14 H-UDI */
    (void*) INT_HUDI,
/* 15 Bank Overflow */
    (void*) INT_Bank_Overflow,
/* 16 Bank Underflow */
    (void*) INT_Bank_Underflow,
/* 17 Divide by zero */
    (void*) INT_Divide_by_Zero,
/* 18 Divide Overflow */
    (void*) INT_Divide_Overflow,
/* 19 Reserved */
    (void*) Dummy,
/* 20 Reserved */
    (void*) Dummy,
/* 21 Reserved */
    (void*) Dummy,
/* 22 Reserved */
    (void*) Dummy,
/* 23 Reserved */
    (void*) Dummy,
/* 24 Reserved */
    (void*) Dummy,
/* 25 Reserved */
    (void*) Dummy,
/* 26 Reserved */
    (void*) Dummy,
/* 27 Reserved */
    (void*) Dummy,
/* 28 Reserved */
    (void*) Dummy,
/* 29 Reserved */
    (void*) Dummy,
/* 30 Reserved */
    (void*) Dummy,
/* 31 Reserved */
    (void*) Dummy,
/* 32 TRAPA (User Vecter) */
    (void*) INT_TRAPA32,
/* 33 TRAPA (User Vecter) */
    (void*) INT_TRAPA33,
/* 34 TRAPA (User Vecter) */
    (void*) INT_TRAPA34,
/* 35 TRAPA (User Vecter) */
    (void*) INT_TRAPA35,
/* 36 TRAPA (User Vecter) */
    (void*) INT_TRAPA36,
/* 37 TRAPA (User Vecter) */
    (void*) INT_TRAPA37,
/* 38 TRAPA (User Vecter) */
    (void*) INT_TRAPA38,
/* 39 TRAPA (User Vecter) */
    (void*) INT_TRAPA39,
/* 40 TRAPA (User Vecter) */
    (void*) INT_TRAPA40,
/* 41 TRAPA (User Vecter) */
    (void*) INT_TRAPA41,
/* 42 TRAPA (User Vecter) */
    (void*) INT_TRAPA42,
/* 43 TRAPA (User Vecter) */
    (void*) INT_TRAPA43,
/* 44 TRAPA (User Vecter) */
    (void*) INT_TRAPA44,
/* 45 TRAPA (User Vecter) */
    (void*) INT_TRAPA45,
/* 46 TRAPA (User Vecter) */
    (void*) INT_TRAPA46,
/* 47 TRAPA (User Vecter) */
    (void*) INT_TRAPA47,
/* 48 TRAPA (User Vecter) */
    (void*) INT_TRAPA48,
/* 49 TRAPA (User Vecter) */
    (void*) INT_TRAPA49,
/* 50 TRAPA (User Vecter) */
    (void*) INT_TRAPA50,
/* 51 TRAPA (User Vecter) */
    (void*) INT_TRAPA51,
/* 52 TRAPA (User Vecter) */
    (void*) INT_TRAPA52,
/* 53 TRAPA (User Vecter) */
    (void*) INT_TRAPA53,
/* 54 TRAPA (User Vecter) */
    (void*) INT_TRAPA54,
/* 55 TRAPA (User Vecter) */
    (void*) INT_TRAPA55,
/* 56 TRAPA (User Vecter) */
    (void*) INT_TRAPA56,
/* 57 TRAPA (User Vecter) */
    (void*) INT_TRAPA57,
/* 58 TRAPA (User Vecter) */
    (void*) INT_TRAPA58,
/* 59 TRAPA (User Vecter) */
    (void*) INT_TRAPA59,
/* 60 TRAPA (User Vecter) */
    (void*) INT_TRAPA60,
/* 61 TRAPA (User Vecter) */
    (void*) INT_TRAPA61,
/* 62 TRAPA (User Vecter) */
    (void*) INT_TRAPA62,
/* 63 TRAPA (User Vecter) */
    (void*) INT_TRAPA63,
/* 64 Interrupt IRQ0 */
    (void*) INT_IRQ0,
/* 65 Interrupt IRQ1 */
    (void*) INT_IRQ1,
/* 66 Interrupt IRQ2 */
    (void*) INT_IRQ2,
/* 67 Interrupt IRQ3 */
    (void*) INT_IRQ3,
/* 68 Interrupt IRQ4 */
    (void*) INT_IRQ4,
/* 69 Interrupt IRQ5 */
    (void*) INT_IRQ5,
/* 70 Interrupt IRQ6 */
    (void*) INT_IRQ6,
/* 71 Interrupt IRQ7 */
    (void*) INT_IRQ7,
/* 72 Reserved */
    (void*) Dummy,
/* 73 Reserved */
    (void*) Dummy,
/* 74 Reserved */
    (void*) Dummy,
/* 75 Reserved */
    (void*) Dummy,
/* 76 Reserved */
    (void*) Dummy,
/* 77 Reserved */
    (void*) Dummy,
/* 78 Reserved */
    (void*) Dummy,
/* 79 Reserved */
    (void*) Dummy,
/* 80 Reserved */
    (void*) Dummy,
/* 81 Reserved */
    (void*) Dummy,
/* 82 Reserved */
    (void*) Dummy,
/* 83 Reserved */
    (void*) Dummy,
/* 84 Reserved */
    (void*) Dummy,
/* 85 Reserved */
    (void*) Dummy,
/* 86 Reserved */
    (void*) Dummy,
/* 87 Reserved */
    (void*) Dummy,
/* 88 Reserved */
    (void*) Dummy,
/* 89 Reserved */
    (void*) Dummy,
/* 90 Reserved */
    (void*) Dummy,
/* 91 Reserved */
    (void*) Dummy,
/* 92 Reserved */
    (void*) Dummy,
/* 93 Reserved */
    (void*) Dummy,
/* 94 Reserved */
    (void*) Dummy,
/* 95 Reserved */
    (void*) Dummy,
/* 96 Reserved */
    (void*) Dummy,
/* 97 Reserved */
    (void*) Dummy,
/* 98 Reserved */
    (void*) Dummy,
/* 99 Reserved */
    (void*) Dummy,
/* 100 Reserved */
    (void*) Dummy,
/* 101 Reserved */
    (void*) Dummy,
/* 102 Reserved */
    (void*) Dummy,
/* 103 Reserved */
    (void*) Dummy,
/* 104 Reserved */
    (void*) Dummy,
/* 105 Reserved */
    (void*) Dummy,
/* 106 Reserved */
    (void*) Dummy,
/* 107 Reserved */
    (void*) Dummy,
/* 108 DMAC0 DEI0 */
    (void*) INT_DMAC0_DEI0,
/* 109 DMAC0 HEI0 */
    (void*) INT_DMAC0_HEI0,
/* 110 Reserved */
    (void*) Dummy,
/* 111 Reserved */
    (void*) Dummy,
/* 112 DMAC1 DEI1 */
    (void*) INT_DMAC1_DEI1,
/* 113 DMAC1 HEI1 */
    (void*) INT_DMAC1_HEI1,
/* 114 Reserved */
    (void*) Dummy,
/* 115 Reserved */
    (void*) Dummy,
/* 116 DMAC2 DEI2 */
    (void*) INT_DMAC2_DEI2,
/* 117 DMAC2 HEI2 */
    (void*) INT_DMAC2_HEI2,
/* 118 Reserved */
    (void*) Dummy,
/* 119 Reserved */
    (void*) Dummy,
/* 120 DMAC3 DEI3 */
    (void*) INT_DMAC3_DEI3,
/* 121 DMAC3 HEI3 */
    (void*) INT_DMAC3_HEI3,
/* 122 Reserved */
    (void*) Dummy,
/* 123 Reserved */
    (void*) Dummy,
/* 124 DMAC4 DEI4 */
    (void*) INT_DMAC4_DEI4,
/* 125 DMAC4 HEI4 */
    (void*) INT_DMAC4_HEI4,
/* 126 Reserved */
    (void*) Dummy,
/* 127 Reserved */
    (void*) Dummy,
/* 128 DMAC5 DEI5 */
    (void*) INT_DMAC5_DEI5,
/* 129 DMAC5 HEI5 */
    (void*) INT_DMAC5_HEI5,
/* 130 Reserved */
    (void*) Dummy,
/* 131 Reserved */
    (void*) Dummy,
/* 132 DMAC6 DEI6 */
    (void*) INT_DMAC6_DEI6,
/* 133 DMAC6 HEI6 */
    (void*) INT_DMAC6_HEI6,
/* 134 Reserved */
    (void*) Dummy,
/* 135 Reserved */
    (void*) Dummy,
/* 136 DMAC7 DEI7 */
    (void*) INT_DMAC7_DEI7,
/* 137 DMAC7 HEI7 */
    (void*) INT_DMAC7_HEI7,
/* 138 Reserved */
    (void*) Dummy,
/* 139 Reserved */
    (void*) Dummy,
/* 140 USB USBI */
    (void*) INT_USB_USBI,
/* 141 Reserved */
    (void*) Dummy,
/* 142 CMT CMI0 */
//(void*) INT_CMT_CMI0,
(void*) OS_ISR_Tick,
/* 143 CMT CMI1 */
    (void*) INT_CMT_CMI1,
/* 144 BSC CMI */
    (void*) INT_BSC_CMI,
/* 145 WDT */
    (void*) INT_WDT_ITI,
/* 146 HIF HIFI */
    (void*) INT_HIF_HIFI,
/* 147 Reserved */
    (void*) Dummy,
/* 148 Reserved */
    (void*) Dummy,
/* 149 Reserved */
    (void*) Dummy,
/* 150 HIF HIFBI */
    (void*) INT_HIF_HIFBI,
/* 151 Reserved */
    (void*) Dummy,
/* 152 Reserved */
    (void*) Dummy,
/* 153 ADMAC ADM1I */
    (void*) INT_ADMAC_ADM1I,
/* 154 Reserved */
    (void*) Dummy,
/* 155 ADMAC C0I */
    (void*) INT_ADMAC_C0I,
/* 156 Reserved */
    (void*) Dummy,
/* 157 ADMAC C1I */
    (void*) INT_ADMAC_C1I,
/* 158 Reserved */
    (void*) Dummy,
/* 159 ADMAC FECI */
    (void*) INT_ADMAC_FECI,
/* 160 Reserved */
    (void*) Dummy,
/* 161 Reserved */
    (void*) Dummy,
/* 162 Reserved */
    (void*) Dummy,
/* 163 Reserved */
    (void*) Dummy,
/* 164 Reserved */
    (void*) Dummy,
/* 165 Reserved */
    (void*) Dummy,
/* 166 Reserved */
    (void*) Dummy,
/* 167 Reserved */
    (void*) Dummy,
/* 168 Reserved */
    (void*) Dummy,
/* 169 Reserved */
    (void*) Dummy,
/* 170 Reserved */
    (void*) Dummy,
/* 171 ETC EINT0 */
    (void*) INT_ETC_EINT0,
/* 172 IIC3 IIC0 STPI0 */
    (void*) INT_IIC3_STPI0,
/* 173 IIC3 IIC0 NAKI0 */
    (void*) INT_IIC3_NAKI0,
/* 174 IIC3 IIC0 RXI0 */
    (void*) INT_IIC3_RXI0,
/* 175 IIC3 IIC0 TXI0 */
    (void*) INT_IIC3_TXI0,
/* 176 IIC3 IIC0 TEI0 */
    (void*) INT_IIC3_TEI0,
/* 177 Reserved */
    (void*) Dummy,
/* 178 Reserved */
    (void*) Dummy,
/* 179 Reserved */
    (void*) Dummy,
/* 180 Reserved */
    (void*) Dummy,
/* 181 Reserved */
    (void*) Dummy,
/* 182 STIF STI0 */
    (void*) INT_STIF_STI0,
/* 183 Reserved */
    (void*) Dummy,
/* 184 Reserved */
    (void*) Dummy,
/* 185 Reserved */
    (void*) Dummy,
/* 186 Reserved */
    (void*) Dummy,
/* 187 STIF STI1 */
    (void*) INT_STIF_STI1,
/* 188 Reserved */
    (void*) Dummy,
/* 189 Reserved */
    (void*) Dummy,
/* 190 Reserved */
    (void*) Dummy,
/* 191 Reserved */
    (void*) Dummy,

#if (OS_UART_USED && (OS_UART == 0))
  /* 192 SCIF SCIF0 BRI0 */
  (void*) OS_ISR_RxErr,

  /* 193 SCIF SCIF0 ERI0 */
  (void*) OS_ISR_RxErr,

  /* 194 SCIF SCIF0 RXI0 */
  (void*) OS_ISR_Rx,

  /* 195 SCIF SCIF0 TXI0 */
  (void*) OS_ISR_Tx,
#else
  /* 192 SCIF SCIF0 BRI0 */
  (void*) INT_SCIF_SCIF0_BRI0,

  /* 193 SCIF SCIF0 ERI0 */
  (void*) INT_SCIF_SCIF0_ERI0,

  /* 194 SCIF SCIF0 RXI0 */
  (void*) INT_SCIF_SCIF0_RXI0,

  /* 195 SCIF SCIF0 TXI0 */
  (void*) INT_SCIF_SCIF0_TXI0,
#endif  

#if (OS_UART_USED && (OS_UART == 1))
  /* 196 SCIF SCIF1 BRI1 */
  (void*)  OS_ISR_RxErr,

  /* 197 SCIF SCIF1 ERI1 */
  (void*) OS_ISR_RxErr,

  /* 198 SCIF SCIF1 RXI1 */
  (void*) OS_ISR_Rx,

  /* 199 SCIF SCIF1 TXI1 */
  (void*) OS_ISR_Tx,
#else
  /* 196 SCIF SCIF1 BRI1 */
  (void*) INT_SCIF_SCIF1_BRI1,

  /* 197 SCIF SCIF1 ERI1 */
  (void*) INT_SCIF_SCIF1_ERI1,

  /* 198 SCIF SCIF1 RXI1 */
  (void*) INT_SCIF_SCIF1_RXI1,

  /* 199 SCIF SCIF1 TXI1 */
  (void*) INT_SCIF_SCIF1_TXI1,
#endif

#if (OS_UART_USED && (OS_UART == 2))
/* 200 SCIF SCIF2 BRI2 */
  (void*) OS_ISR_RxErr,
  
  /* 201 SCIF SCIF2 ERI2 */
  (void*) OS_ISR_RxErr,

  /* 202 SCIF SCIF2 RXI2 */
  (void*) OS_ISR_Rx,

  /* 203 SCIF SCIF2 TXI2 */
  (void*) OS_ISR_Tx,
#else
  /* 200 SCIF SCIF2 BRI2 */
  (void*) INT_SCIF_SCIF2_BRI2,

  /* 201 SCIF SCIF2 ERI2 */
  (void*) INT_SCIF_SCIF2_ERI2,

  /* 202 SCIF SCIF2 RXI2 */
  (void*) INT_SCIF_SCIF2_RXI2,

  /* 203 SCIF SCIF2 TXI2 */
  (void*) INT_SCIF_SCIF2_TXI2,
#endif

/* 204 Reserved */
    (void*) Dummy,
/* 205 Reserved */
    (void*) Dummy,
/* 206 Reserved */
    (void*) Dummy,
/* 207 Reserved */
    (void*) Dummy,
/* 208 Reserved */
    (void*) Dummy,
/* 209 Reserved */
    (void*) Dummy,
/* 210 Reserved */
    (void*) Dummy,
/* 211 Reserved */
    (void*) Dummy,
/* 212 Reserved */
    (void*) Dummy,
/* 213 Reserved */
    (void*) Dummy,
/* 214 SSI0  */
    (void*) INT_SSI0,
/* 215 SSI1  */
    (void*) INT_SSI1,
/* 216 Reserved */
    (void*) Dummy,
/* 217 Reserved */
    (void*) Dummy,
/* 218 Reserved */
    (void*) Dummy,
/* 219 Reserved */
    (void*) Dummy,
/* 220 Reserved */
    (void*) Dummy,
/* 221 Reserved */
    (void*) Dummy,
/* 222 Reserved */
    (void*) Dummy,
/* 223 Reserved */
    (void*) Dummy,
/* 224 Reserved */
    (void*) Dummy,
/* 225 Reserved */
    (void*) Dummy,
/* 226 Reserved */
    (void*) Dummy,
/* 227 Reserved */
    (void*) Dummy,
/* 228 SDIO SDII3 */
    (void*) INT_SDIO_SDII3,
/* 229 SDIO SDII0 */
    (void*) INT_SDIO_SDII0,
/* 230 SDIO SDII1 */
    (void*) INT_SDIO_SDII1,
/* 231 Reserved */
    (void*) Dummy,
/* 232 Reserved */
    (void*) Dummy,
/* 233 Reserved */
    (void*) Dummy,
/* 234 Reserved */
    (void*) Dummy,
/* 235 Reserved */
    (void*) Dummy,
/* 236 Reserved */
    (void*) Dummy,
/* 237 Reserved */
    (void*) Dummy,
/* 238 Reserved */
    (void*) Dummy,
/* 239 Reserved */
    (void*) Dummy,
/* 240 Reserved */
    (void*) Dummy,
/* 241 Reserved */
    (void*) Dummy,
/* 242 Reserved */
    (void*) Dummy,
/* 243 Reserved */
    (void*) Dummy,
/* 244 Reserved */
    (void*) Dummy,
/* 245 Reserved */
    (void*) Dummy,
/* 246 Reserved */
    (void*) Dummy,
/* 247 Reserved */
    (void*) Dummy,
/* 248 Reserved */
    (void*) Dummy,
/* 249 Reserved */
    (void*) Dummy,
/* 250 Reserved */
    (void*) Dummy,
/* 251 Reserved */
    (void*) Dummy,
/* 252 Reserved */
    (void*) Dummy,
/* 253 Reserved */
    (void*) Dummy,
/* 254 Reserved */
    (void*) Dummy,
/* 255 Reserved */
    (void*) Dummy
};

/* End of File */