/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/***********************************************************************************
FILE NAME  	: iodefine.h

DESCRIPTION	: SH7286 Group Include File    

Copyright   : 2008 Renesas Technology Europe Ltd.
			  2008 Renesas Technology Corporation.
			  All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
15.08.2008 RTE-ADE First Release.
***********************************************************************************/ 
#ifndef _IODEFINE_H_
#define _IODEFINE_H_

struct st_cpg {                                         /* struct CPG   */
              union {                                   /* FRQCR        *///FFFE0010
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit Access  */
                           unsigned short      :5;      /*              */
                           unsigned short STC  :3;      /*    STC       */
                           unsigned short      :1;      /*              */
                           unsigned short IFC  :3;      /*    IFC       */
                           unsigned short      :1;      /*              */
                           unsigned short _PFC :3;      /*    PFC       */
                           }       BIT;                 /*              */
                    }           FRQCR;                  /*              */
              char             wk1[10];                 /*              *///FFFE001C-FFFE0010-2
              union {                                   /* OSCCR        *///FFFE001C
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char         :5;    /*              */
                           unsigned char OSCSTOP :1;    /*    OSCSTOP   */
                           unsigned char         :1;    /*              */
                           unsigned char OSCERS  :1;    /*    OSCERS    */
                           }      BIT;                  /*              */
                    }           OSCCR;                  /*              */
              char              wk2[1011];              /*              *///FFFE0410-FFFE001C-1
              union {                                   /* MCLKCR       *///FFFE0410
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char MSSCS :2;      /*    MSSCS     */
                           unsigned char       :4;      /*              */
                           unsigned char MSDIVS:2;      /*    MSDIVS    */
                           }      BIT;                  /*              */
                    }           MCLKCR;                 /*              */
              char              wk3[3];                 /*              *///FFFE0414-FFFE0410-1
              union {                                   /* ACLKCR       *///FFFE0414
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit Access  */
                           unsigned char ASSCS :2;      /*    MSSCS     */
                           unsigned char       :4;      /*              */
                           unsigned char ASDIVS:2;      /*    MSDIVS    */
                           }      BIT;                  /*              */
                    }           ACLKCR;                 /*              */
};                                                      /*              */
struct st_intc {                                        /* struct INTC  */
               union {                                  /* ICR0         *///FFFE0800
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short NMIL:1;      /*    NMIL      */
                            unsigned short     :6;      /*              */
                            unsigned short NMIE:1;      /*    NMIE      */
                            }       BIT;                /*              */
                     }          ICR0;                   /*              */
               union {                                  /* ICR1         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short IRQ7S:2;     /*    IRQ7S     */
                            unsigned short IRQ6S:2;     /*    IRQ6S     */
                            unsigned short IRQ5S:2;     /*    IRQ5S     */
                            unsigned short IRQ4S:2;     /*    IRQ4S     */
                            unsigned short IRQ3S:2;     /*    IRQ3S     */
                            unsigned short IRQ2S:2;     /*    IRQ2S     */
                            unsigned short IRQ1S:2;     /*    IRQ1S     */
                            unsigned short IRQ0S:2;     /*    IRQ0S     */
                            }       BIT;                /*              */
                     }          ICR1;                   /*              */
               char             wk[2];                  /*              *///FFFE0806-FFFE0800-4
               union {                                  /* IRQRR        *///FFFE0806
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :8;     /*              */
                            unsigned short IRQ7F:1;     /*    IRQ7F     */
                            unsigned short IRQ6F:1;     /*    IRQ6F     */
                            unsigned short IRQ5F:1;     /*    IRQ5F     */
                            unsigned short IRQ4F:1;     /*    IRQ4F     */
                            unsigned short IRQ3F:1;     /*    IRQ3F     */
                            unsigned short IRQ2F:1;     /*    IRQ2F     */
                            unsigned short IRQ1F:1;     /*    IRQ1F     */
                            unsigned short IRQ0F:1;     /*    IRQ0F     */
                            }       BIT;                /*              */
                     }          IRQRR;                  /*              */
               char             wk1[4];                 /*              *///FFFE080C-FFFE0806-2
               union {                                  /* IBCR         *///FFFE080C
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short E15:1;       /*    E15       */
                            unsigned short E14:1;       /*    E14       */
                            unsigned short E13:1;       /*    E13       */
                            unsigned short E12:1;       /*    E12       */
                            unsigned short E11:1;       /*    E11       */
                            unsigned short E10:1;       /*    E10       */
                            unsigned short E9 :1;       /*    E9        */
                            unsigned short E8 :1;       /*    E8        */
                            unsigned short E7 :1;       /*    E7        */
                            unsigned short E6 :1;       /*    E6        */
                            unsigned short E5 :1;       /*    E5        */
                            unsigned short E4 :1;       /*    E4        */
                            unsigned short E3 :1;       /*    E3        */
                            unsigned short E2 :1;       /*    E2        */
                            unsigned short E1 :1;       /*    E1        */
                            }       BIT;                /*              */
                     }          IBCR;                   /*              */
               union {                                  /* IBNR         */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short BE  :2;      /*    BE        */
                            unsigned short BOVE:1;      /*    BOVE      */
                            unsigned short     :9;      /*              */
                            unsigned short BN  :4;      /*    BN        */
                            }       BIT;                /*              */
                     }          IBNR;                   /*              */
               char             wk2[8];                 /*              *///FFFE0818-FFFE080C-4
               union {                                  /* IPR01        *///FFFE0818
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _IRQ0:4;     /*   IRQ0       */
                            unsigned short _IRQ1:4;     /*   IRQ1       */
                            unsigned short _IRQ2:4;     /*   IRQ2       */
                            unsigned short _IRQ3:4;     /*   IRQ3       */
                            }       BIT;                /*              */
                     }          IPR01;                  /*              */
               union {                                  /* IPR02        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _IRQ4:4;     /*   IRQ4       */
                            unsigned short _IRQ5:4;     /*   IRQ5       */
                            unsigned short _IRQ6:4;     /*   IRQ6       */
                            unsigned short _IRQ7:4;     /*   IRQ7       */
                            }       BIT;                /*              */
                     }          IPR02;                  /*              */
               char             wk3[4];                 /*              *///FFFE0820-FFFE0818-4
               union {                                  /* IPR05        *///FFFE0820
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short         :4;  /*              */
                            unsigned short         :4;  /*              */
                            unsigned short _AD0    :4;  /*   AD0        */
                            unsigned short _AD1    :4;  /*   AD1        */
                            }       BIT;                /*              */
                     }          IPR05;                  /*              */
               char             wk4[990];               /*              *///FFFE0C00-FFFE0820-2
               union {                                  /* IPR06        *///FFFE0C00
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _DMAC0:4;    /*   DMAC0      */
                            unsigned short _DMAC1:4;    /*   DMAC1      */
                            unsigned short _DMAC2:4;    /*   DMAC2      */
                            unsigned short _DMAC3:4;    /*   DMAC3      */
                            }       BIT;                /*              */
                     }          IPR06;                  /*              */
               union {                                  /* IPR07        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _DMAC4:4;    /*   DMAC4      */
                            unsigned short _DMAC5:4;    /*   DMAC5      */
                            unsigned short _DMAC6:4;    /*   DMAC6      */
                            unsigned short _DMAC7:4;    /*   DMAC7      */
                            }       BIT;                /*              */
                     }          IPR07;                  /*              */
               union {                                  /* IPR08        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _CMT0:4;     /*    CMT0      */
                            unsigned short _CMT1:4;     /*    CMT1      */
                            unsigned short _BSC :4;     /*    BSC       */
                            unsigned short _WDT :4;     /*    WDT       */
                            }       BIT;                /*              */
                     }          IPR08;                  /*              */
               union {                                  /* IPR09        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU20G:4;   /*    MTU20 TGI */
                            unsigned short _MTU20C:4;   /*    MTU20 TCI */
                            unsigned short _MTU21G:4;   /*    MTU21 TGI */
                            unsigned short _MTU21C:4;   /*    MTU21 TCI */
                            }       BIT;                /*              */
                     }          IPR09;                  /*              */
               union {                                  /* IPR10        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU22G:4;   /*    MTU22 TGI */
                            unsigned short _MTU22C:4;   /*    MTU22 TCI */
                            unsigned short _MTU23G:4;   /*    MTU23 TGI */
                            unsigned short _MTU23C:4;   /*    MTU23 TCI */
                            }       BIT;                /*              */
                     }          IPR10;                  /*              */
               union {                                  /* IPR11        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU24G:4;   /*    MTU24 TGI */
                            unsigned short _MTU24C:4;   /*    MTU24 TCI */
                            unsigned short _MTU25 :4;   /*    MTU25     */
                            unsigned short _POE2  :4;   /*    POE2      */
                            }       BIT;                /*              */
                     }          IPR11;                  /*              */
               union {                                  /* IPR12        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU2S3G:4;  /*    MTU2S3 TGI*/
                            unsigned short _MTU2S3C:4;  /*    MTU2S3 TCI*/
                            unsigned short _MTU2S4G:4;  /*    MTU2S4 TGI*/
                            unsigned short _MTU2S4C:4;  /*    MTU2S4 TCI*/
                            }       BIT;                /*              */
                     }          IPR12;                  /*              */
               union {                                  /* IPR13        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _MTU2S5 :4;  /*    MTU2S5    */
                            unsigned short _POE2   :4;  /*    POE2      */
                            unsigned short _IIC3   :4;  /*    IIC3      */
                            }       BIT;                /*              */
                     }          IPR13;                  /*              */
               union {                                  /* IPR14        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short         :4;  /*    SCIF0     */
                            unsigned short         :4;  /*    SCIF1     */
                            unsigned short         :4;  /*    SCIF2     */
                            unsigned short _SCIF3  :4;  /*    SCIF3     */
                            }       BIT;                /*              */
                     }          IPR14;                  /*              */
               union {                                  /* IPR15        */
                     unsigned short WORD;               /*  Word Access */
                     }          IPR15;                  /*              */
               union {                                  /* IPR16        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _SCI0   :4;  /*    SCI0      */
                            unsigned short _SCI1   :4;  /*    SCI1      */
                            unsigned short _SCI2   :4;  /*    SCI2      */
                            }       BIT;                /*              */
                     }          IPR16;                  /*              */
               union {                                  /* IPR17        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _SSU    :4;  /*    SSU       */
                            unsigned short _SCI4   :4;  /*    SCI4      */
                            unsigned short _AD2    :4;  /*    AD2       */
                            }       BIT;                /*              */
                     }          IPR17;                  /*              */
               union {                                  /* IPR18        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _USB     :4; /*    USB       */
                            unsigned short _RCAN    :4; /*    RCAN      */
                            unsigned short _EP1FULL :4; /*    EP1FULL   */
                            unsigned short _EP2EMPTY:4; /*    EP2EMPTY  */
                            }       BIT;                /*              */
                     }          IPR18;                  /*              */
               char             wk5[54];                /*              *///FFFE0C50-FFFE0C00-26
               union {                                  /* USDTENDRR    *///FFFE0C50
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short _RXF     :1; /*    RXF       */
                            unsigned short _TXF     :1; /*    TXF       */
                            }       BIT;                /*              */
                     }          USDTENDRR;              /*              */
};                                                      /*              */
struct st_ubc {                                         /* struct UBC   */
              union {                                   /* BRCR         *///FFFC04C0
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int       :14;      /*              */
                           unsigned int CKS   : 2;      /*    CKS       */
                           unsigned int SCMFC0: 1;      /*    SCMFC0    */
                           unsigned int SCMFC1: 1;      /*    SCMFC1    */
                           unsigned int SCMFC2: 1;      /*    SCMFC2    */
                           unsigned int SCMFC3: 1;      /*    SCMFC3    */
                           unsigned int SCMFD0: 1;      /*    SCMFD0    */
                           unsigned int SCMFD1: 1;      /*    SCMFD1    */
                           unsigned int SCMFD2: 1;      /*    SCMFD2    */
                           unsigned int SCMFD3: 1;      /*    SCMFD3    */
                           unsigned int PCB3  : 1;      /*    PCB3      */
                           unsigned int PCB2  : 1;      /*    PCB2      */
                           unsigned int PCB1  : 1;      /*    PCB1      */
                           unsigned int PCB0  : 1;      /*    PCB0      */
                           }     BIT;                   /*              */
                    }           BRCR;                   /*              */
};                                                      /*              */
struct st_ubc0 {                                        /* struct UBC0  *///FFFC0400/FFFC0410
               void            *BAR;                    /* BAR          */
               unsigned int     BAMR;                   /* BAMR         */
               char             wk1[152];               /*              *///FFFE04A0-FFFE0400-8
               union {                                  /* BBR          *///FFFE04A0
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :2;      /*              */
                            unsigned short UBID:1;      /*    UBID      */
                            unsigned short     :2;      /*              */
                            unsigned short CP  :3;      /*    CP        */
                            unsigned short CD  :2;      /*    CD        */
                            unsigned short ID  :2;      /*    ID        */
                            unsigned short RW  :2;      /*    RW        */
                            unsigned short SZ  :2;      /*    SZ        */
                            }       BIT;                /*              */
                     }          BBR;                    /*              */
};                                                      /*              */
struct st_dtc {                                         /* struct DTC   */
              union {                                   /* DTCERA       *///FFFE6000
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char IRQ0     :1;   /*    IRQ0      */
                           unsigned char IRQ1     :1;   /*    IRQ1      */
                           unsigned char IRQ2     :1;   /*    IRQ2      */
                           unsigned char IRQ3     :1;   /*    IRQ3      */
                           unsigned char IRQ4     :1;   /*    IRQ4      */
                           unsigned char IRQ5     :1;   /*    IRQ5      */
                           unsigned char IRQ6     :1;   /*    IRQ6      */
                           unsigned char IRQ7     :1;   /*    IRQ7      */
                           unsigned char ADI0     :1;   /*    ADI0      */
                           unsigned char ADI1     :1;   /*    ADI1      */
                           unsigned char ADI2     :1;   /*    ADI2      */// Omit at 7285
                           unsigned char RM0      :1;   /*    RM0(RCAN) */// Omit at 7285
                           unsigned char CMI0     :1;   /*    CMI0      */
                           unsigned char CMI1     :1;   /*    CMI1      */
                           unsigned char USRDTCRND:1;   /*    USRDTCRND *///USB RECIEVE
                           unsigned char USTDTCEND:1;   /*    USTDTCEND *///USB TRANSMIT
                           }       BIT;                 /*              */
                    }           DTCERA;                 /*              */
              union {                                   /* DTCERB       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TGIA0:1;       /*    TGIA0     *///MTU2
                           unsigned char TGIB0:1;       /*    TGIB0     */
                           unsigned char TGIC0:1;       /*    TGIC0     */
                           unsigned char TGID0:1;       /*    TGID0     */
                           unsigned char TGIA1:1;       /*    TGIA1     */
                           unsigned char TGIB1:1;       /*    TGIB1     */
                           unsigned char TGIA2:1;       /*    TGIA2     */
                           unsigned char TGIB2:1;       /*    TGIB2     */
                           unsigned char TGIA3:1;       /*    TGIA3     */
                           unsigned char TGIB3:1;       /*    TGIB3     */
                           unsigned char TGIC3:1;       /*    TGIC3     */
                           unsigned char TGID3:1;       /*    TGID3     */
                           unsigned char TGIA4:1;       /*    TGIA4     */
                           unsigned char TGIB4:1;       /*    TGIB4     */
                           unsigned char TGIC4:1;       /*    TGIC4     */
                           unsigned char TGID4:1;       /*    TGID4     */
                           }       BIT;                 /*              */
                    }           DTCERB;                 /*              */
              union {                                   /* DTCERC       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TCIV4 :1;      /*    TCIV4     */
                           unsigned char TGIU5 :1;      /*    TGIU5     */
                           unsigned char TGIV5 :1;      /*    TGIV5     */
                           unsigned char TGIW5 :1;      /*    TGIW5     *///MTU2
                           unsigned char       :4;      /*              */
                           unsigned char       :4;      /*              */
                           unsigned char TGIA3S:1;      /*    TGIA3S    *///MTU2S
                           unsigned char TGIB3S:1;      /*    TGIB3S    */
                           unsigned char TGIC3S:1;      /*    TGIC3S    */
                           unsigned char TGID3S:1;      /*    TGID3S    */
                           }       BIT;                 /*              */
                    }           DTCERC;                 /*              */
              union {                                   /* DTCERD       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TGIA4S:1;      /*    TGIA4S    */
                           unsigned char TGIB4S:1;      /*    TGIB4S    */
                           unsigned char TGIC4S:1;      /*    TGIC4S    */
                           unsigned char TGID4S:1;      /*    TGID4S    */
                           unsigned char TCIV4S:1;      /*    TCIV4S    */
                           unsigned char TGIU5S:1;      /*    TGIU5S    */
                           unsigned char TGIV5S:1;      /*    TGIV5S    */
                           unsigned char TGIW5S:1;      /*    TGIW5S    *///MTU2S
                           unsigned char RXI   :1;      /*    RXI       *///IIC3
                           unsigned char TXI   :1;      /*    TXI       *///IIC3
                           unsigned char SSRXI :1;      /*    SSRXI     *///SSU
                           unsigned char SSTXI :1;      /*    SSTXI     *///SSU
                           unsigned char RXI4  :1;      /*    RXI4      *///SCI4
                           unsigned char TXI4  :1;      /*    TXI4      *///SCI4
                           }       BIT;                 /*              */
                    }           DTCERD;                 /*              */
              union {                                   /* DTCERE       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char RXI0 :1;       /*    RXI0      *///SCI0
                           unsigned char TXI0 :1;       /*    TXI0      *///SCI0
                           unsigned char RXI1 :1;       /*    RXI1      *///SCI1
                           unsigned char TXI1 :1;       /*    TXI1      *///SCI1
                           unsigned char RXI2 :1;       /*    RXI2      *///SCI2
                           unsigned char TXI2 :1;       /*    TXI2      *///SCI2
                           unsigned char RXI3 :1;       /*    RXIF3     *///SCIF3
                           unsigned char TXI3 :1;       /*    TXIF3     *///SCIF3
                           }       BIT;                 /*              */
                    }           DTCERE;                 /*              */
              char              wk1[6];                 /*              *///FFFE6010-FFFE6000-10
              union {                                   /* DTCCR        *///FFFE6010
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :3;       /*              */
                           unsigned char RRS  :1;       /*    RRS       */
                           unsigned char RCHNE:1;       /*    RCHNE     */
                           unsigned char      :2;       /*              */
                           unsigned char ERR  :1;       /*    ERR       */
                           }       BIT;                 /*              */
                    }           DTCCR;                  /*              */
              char              wk2[3];                 /*              *///FFFE6014-FFFE6010-1
              unsigned int      DTCVBR;                 /* DTCVBR       *///FFFE6014
};                                                      /*              */
struct st_bsc {                                         /* struct BSC   */
              union {                                   /* CMNCR        *///FFFC0000
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :20;     /*              */
                           unsigned int BLOCK  : 1;     /*    BLOCK     */
                           unsigned int DPRTY  : 2;     /*    DPRTY     */
                           unsigned int DMAIW  : 3;     /*    DMAIW     */
                           unsigned int DMAIWA : 1;     /*    DMAIWA    */
                           unsigned int        : 2;     /*              */
                           unsigned int HIZCKIO: 1;     /*    HIZCKIO   */
                           unsigned int HIZMEM : 1;     /*    HIZMEM    */
                           unsigned int HIZCNT : 1;     /*    HIZCNT    */
                           }     BIT;                   /*              */
                    }           CMNCR;                  /*              */
              union {                                   /* CS0BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS0BCR;                 /*              */
              union {                                   /* CS1BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS1BCR;                 /*              */
              union {                                   /* CS2BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS2BCR;                 /*              */
              union {                                   /* CS3BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS3BCR;                 /*              */
              union {                                   /* CS4BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS4BCR;                 /*              */
              union {                                   /* CS5BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS5BCR;                 /*              */
              union {                                   /* CS6BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS6BCR;                 /*              */
              union {                                   /* CS7BCR       */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit  Access */
                           unsigned int        :1;      /*              */
                           unsigned int IWW    :3;      /*    IWW       */
                           unsigned int IWRWD  :3;      /*    IWRWD     */
                           unsigned int IWRWS  :3;      /*    IWRWS     */
                           unsigned int IWRRD  :3;      /*    IWRRD     */
                           unsigned int IWRRS  :3;      /*    IWRRS     */
                           unsigned int        :1;      /*              */
                           unsigned int TYPE   :3;      /*    TYPE      */
                           unsigned int ENDIAN :1;      /*    ENDIAN    */
                           unsigned int BSZ    :2;      /*    BSZ       */
                           }     BIT;                   /*              */
                    }           CS7BCR;                 /*              */
              char              wk[4];                  /*              *///FFFC0028-FFFC0000-36
              unsigned int      CS0WCR;                 /* CS0WCR       *///FFFC0028
              unsigned int      CS1WCR;                 /* CS1WCR       */
              unsigned int      CS2WCR;                 /* CS2WCR       */
              unsigned int      CS3WCR;                 /* CS3WCR       */
              unsigned int      CS4WCR;                 /* CS4WCR       */
              unsigned int      CS5WCR;                 /* CS5WCR       */
              unsigned int      CS6WCR;                 /* CS6WCR       */
              unsigned int      CS7WCR;                 /* CS7WCR       */
              char              wk1[4];                 /*              */
              union {                                   /* SDCR         */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit Access  */
                           unsigned int        :11;     /*              */
                           unsigned int A2ROW  : 2;     /*    A2ROW     */
                           unsigned int        : 1;     /*              */
                           unsigned int A2COL  : 2;     /*    A2COL     */
                           unsigned int        : 2;     /*              */
                           unsigned int DEEP   : 1;     /*    DEEP      */
                           unsigned int SLOW   : 1;     /*    SLOW      */
                           unsigned int RFSH   : 1;     /*    RFSH      */
                           unsigned int RMODE  : 1;     /*    RMODE     */
                           unsigned int PDOWN  : 1;     /*    PDOWN     */
                           unsigned int BACTV  : 1;     /*    BACTV     */
                           unsigned int        : 3;     /*              */
                           unsigned int A3ROW  : 2;     /*    A3ROW     */
                           unsigned int        : 1;     /*              */
                           unsigned int A3COL  : 2;     /*    A3COL     */
                           }     BIT;                   /*              */
                    }           SDCR;                   /*              */
              union {                                   /* RTCSR        */
                    unsigned int LONG;                  /*  Long Access */
                    struct {                            /*  Bit Access  */
                           unsigned int        :24;     /*              */
                           unsigned int CMF    : 1;     /*    CMF       */
                           unsigned int CMIE   : 1;     /*    CMIE      */
                           unsigned int CKS    : 3;     /*    CKS       */
                           unsigned int RRC    : 3;     /*    RRC       */
                           }     BIT;                   /*              */
                    }           RTCSR;                  /*              */
              unsigned int      RTCNT;                  /* RTCNT        */
              unsigned int      RTCOR;                  /* RTCOR        *///FFFC0058
              char         wk2[146366];                 /*              *///FFFE3C1A-FFFC0058-4
              union {                                   /* BSCEHR       *///BUS PERFORM WEXTEND
                    unsigned short WORD;                /*  Word Access *///FFFE3C1A
                    struct {                            /*  Bit Access  */
                           unsigned char DTLOCK : 1;    /*    DTLOCK    */
                           unsigned char        : 3;    /*              */
                           unsigned char DTBST  : 1;    /*    DTBST     */
                           unsigned char DTSA   : 1;    /*    DTSA      */
                           unsigned char        : 1;    /*              */
                           unsigned char DTPR   : 1;    /*    DTPR      */
                           }     BIT;                   /*              */
                    }         BSCEHR;                   /*              */
};                                                      /*              */
struct st_dmac {                                        /* struct DMAC  */
               union {                                  /* DMAOR        *///FFFE1200
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;     /*              */
                            unsigned char CMS  :2;     /*    CMS       */
                            unsigned char      :2;     /*              */
                            unsigned char PR   :2;     /*    PR        */
                            unsigned char      :5;     /*              */
                            unsigned char AE   :1;     /*    AE        */
                            unsigned char NMIF :1;     /*    NMIF      */
                            unsigned char DME  :1;     /*    DME       */
                            }       BIT;                /*              */
                     }          DMAOR;                  /*              */
               char             wk1[254];               /*              *///FFFE1300-FFFE1200-2
               union {                                  /* DMARS0       *///FFFE1300
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C1MID:6;     /*    C1MID     */
                            unsigned short C1RID:2;     /*    C1RID     */
                            unsigned short C0MID:6;     /*    C0MID     */
                            unsigned short C0RID:2;     /*    C0RID     */
                            }       BIT;                /*              */
                     }          DMARS0;                 /*              */
               char             wk2[2];                 /*              *///FFFE1304-FFFE1300-2
               union {                                  /* DMARS1       *///FFFE1304
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C3MID:6;     /*    C3MID     */
                            unsigned short C3RID:2;     /*    C3RID     */
                            unsigned short C2MID:6;     /*    C2MID     */
                            unsigned short C2RID:2;     /*    C2RID     */
                            }       BIT;                /*              */
                     }          DMARS1;                 /*              */
               char             wk3[2];                 /*              *///FFFE1308-FFFE1304-2
               union {                                  /* DMARS2       *///FFFE1308
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C5MID:6;     /*    C5MID     */
                            unsigned short C5RID:2;     /*    C5RID     */
                            unsigned short C4MID:6;     /*    C4MID     */
                            unsigned short C4RID:2;     /*    C4RID     */
                            }       BIT;                /*              */
                     }          DMARS2;                 /*              */
               char             wk4[2];                 /*              *///FFFE130C-FFFE1308-2
               union {                                  /* DMARS3       *///FFFE130C
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short C7MID:6;     /*    C7MID     */
                            unsigned short C7RID:2;     /*    C7RID     */
                            unsigned short C6MID:6;     /*    C6MID     */
                            unsigned short C6RID:2;     /*    C6RID     */
                            }       BIT;                /*              */
                     }          DMARS3;                 /*              */
};                                                      /*              */
struct st_dmac0 {                                       /* struct DMAC0 *///FFFE1000
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Word */
                             unsigned short L;          /*    Low  Word */
                             }     WORD;                /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char TC :1;       /*    TC        */
                             unsigned char    :2;       /*              */
                             unsigned char RLD:1;       /*    RLD       */
                             unsigned char    :4;       /*              */
                             unsigned char DO :1;       /*    DO        */
                             unsigned char TL :1;       /*    TL        */
                             unsigned char    :2;       /*              */
                             unsigned char HE :1;       /*    HE        */
                             unsigned char HIE:1;       /*    HIE       */
                             unsigned char AM :1;       /*    AM        */
                             unsigned char AL :1;       /*    AL        */
                             unsigned char DM :2;       /*    DM        */
                             unsigned char SM :2;       /*    SM        */
                             unsigned char RS :4;       /*    RS        */
                             unsigned char DL :1;       /*    DL        */
                             unsigned char DS :1;       /*    DS        */
                             unsigned char TB :1;       /*    TB        */
                             unsigned char TS :2;       /*    TS        */
                             unsigned char IE :1;       /*    IE        */
                             unsigned char TE :1;       /*    TE        */
                             unsigned char DE :1;       /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
                char            wk[240];                /*              *///FFFE1100-FFFE1000-16
                void           *RSAR;                   /* RSAR         *///FFFE1100
                void           *RDAR;                   /* RDAR         */
                unsigned int    RDMATCR;                /* RDMATCR      */
};                                                      /*              */
struct st_dmac2 {                                       /* struct DMAC2 *///FFFE1020
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Word */
                             unsigned short L;          /*    Low  Word */
                             }     WORD;                /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char TC :1;       /*    TC        */
                             unsigned char    :2;       /*              */
                             unsigned char RLD:1;       /*    RLD       */
                             unsigned char    :4;       /*              */
                             unsigned char DO :1;       /*    DO        */
                             unsigned char    :3;       /*              */
                             unsigned char HE :1;       /*    HE        */
                             unsigned char HIE:1;       /*    HIE       */
                             unsigned char AM :1;       /*    AM        */
                             unsigned char AL :1;       /*    AL        */
                             unsigned char DM :2;       /*    DM        */
                             unsigned char SM :2;       /*    SM        */
                             unsigned char RS :4;       /*    RS        */
                             unsigned char DL :1;       /*    DL        */
                             unsigned char DS :1;       /*    DS        */
                             unsigned char TB :1;       /*    TB        */
                             unsigned char TS :2;       /*    TS        */
                             unsigned char IE :1;       /*    IE        */
                             unsigned char TE :1;       /*    TE        */
                             unsigned char DE :1;       /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
                char            wk[240];                /*              *///FFFE1120-FFFE1020-16
                void           *RSAR;                   /* RSAR         *///FFFE1120
                void           *RDAR;                   /* RDAR         */
                unsigned int    RDMATCR;                /* RDMATCR      */
};                                                      /*              */
struct st_dmac4 {                                       /* struct DMAC4 *///FFFE1040
                void           *SAR;                    /* SAR          */
                void           *DAR;                    /* DAR          */
                unsigned int    DMATCR;                 /* DMATCR       */
                union {                                 /* CHCR         */
                      unsigned int LONG;                /*  Long Access */
                      struct {                          /*  Word Access */
                             unsigned short H;          /*    High Word */
                             unsigned short L;          /*    Low  Word */
                             }     WORD;                /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char TC :1;       /*    TC        */
                             unsigned char    :2;       /*              */
                             unsigned char RLD:1;       /*    RLD       */
                             unsigned char    :4;       /*              */
                             unsigned char    :4;       /*              */
                             unsigned char HE :1;       /*    HE        */
                             unsigned char HIE:1;       /*    HIE       */
                             unsigned char    :2;       /*              */
                             unsigned char DM :2;       /*    DM        */
                             unsigned char SM :2;       /*    SM        */
                             unsigned char RS :4;       /*    RS        */
                             unsigned char    :2;       /*              */
                             unsigned char TB :1;       /*    TB        */
                             unsigned char TS :2;       /*    TS        */
                             unsigned char IE :1;       /*    IE        */
                             unsigned char TE :1;       /*    TE        */
                             unsigned char DE :1;       /*    DE        */
                             }     BIT;                 /*              */
                      }         CHCR;                   /*              */
                char            wk[240];                /*              *///FFFE1140-FFFE1040-16
                void           *RSAR;                   /* RSAR         *///FFFE1140
                void           *RDAR;                   /* RDAR         */
                unsigned int    RDMATCR;                /* RDMATCR      */
};                                                      /*              */
struct st_mtu2 {                                        /* struct MTU2  */
               union {                                  /* TOER         *///FFFE420A
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :2;       /*              */
                            unsigned char OE4D:1;       /*    OE4D      */
                            unsigned char OE4C:1;       /*    OE4C      */
                            unsigned char OE3D:1;       /*    OE3D      */
                            unsigned char OE4B:1;       /*    OE4B      */
                            unsigned char OE4A:1;       /*    OE4A      */
                            unsigned char OE3B:1;       /*    OE3B      */
                            }      BIT;                 /*              */
                     }          TOER;                   /*              */
               char             wk1[2];                 /*              *///FFFE420D-FFFE420A-2
               union {                                  /* TGCR         *///FFFE420D
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :1;        /*              */
                            unsigned char BDC:1;        /*    BDC       */
                            unsigned char N  :1;        /*    N         */
                            unsigned char P  :1;        /*    P         */
                            unsigned char FB :1;        /*    FB        */
                            unsigned char WF :1;        /*    WF        */
                            unsigned char VF :1;        /*    VF        */
                            unsigned char UF :1;        /*    UF        */
                            }      BIT;                 /*              */
                     }          TGCR;                   /*              */
               union {                                  /* TOCR1        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char PSYE:1;       /*    PSYE      */
                            unsigned char     :2;       /*              */
                            unsigned char TOCL:1;       /*    TOCL      */
                            unsigned char TOCS:1;       /*    TOCS      */
                            unsigned char OLSN:1;       /*    OLSN      */
                            unsigned char OLSP:1;       /*    OLSP      */
                            }      BIT;                 /*              */
                     }          TOCR1;                  /*              */
               union {                                  /* TOCR2        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BF   :2;      /*    BF        */
                            unsigned char OLS3N:1;      /*    OLS3N     */
                            unsigned char OLS3P:1;      /*    OLS3P     */
                            unsigned char OLS2N:1;      /*    OLS2N     */
                            unsigned char OLS2P:1;      /*    OLS2P     */
                            unsigned char OLS1N:1;      /*    OLS1N     */
                            unsigned char OLS1P:1;      /*    OLS1P     */
                            }      BIT;                 /*              */
                     }          TOCR2;                  /*              */
               char             wk2[4];                 /*              *///FFFE4214-FFFE420D-3
               unsigned short   TCDR;                   /* TCDR         *///FFFE4214
               unsigned short   TDDR;                   /* TDDR         */
               char             wk3[8];                 /*              *///FFFE4220-FFFE4214-4
               unsigned short   TCNTS;                  /* TCNTS        *///FFFE4220
               unsigned short   TCBR;                   /* TCBR         */
               char             wk4[12];                /*              *///FFFE4230-FFFE4220-4
               union {                                  /* TITCR        *///FFFE4230
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char T3AEN :1;     /*    T3AEN     */
                            unsigned char T3ACOR:3;     /*    T3ACOR    */
                            unsigned char T4VEN :1;     /*    T4VEN     */
                            unsigned char T4VCOR:3;     /*    T4VCOR    */
                            }      BIT;                 /*              */
                     }          TITCR;                  /*              */
               union {                                  /* TITCNT       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :1;     /*              */
                            unsigned char T3ACNT:3;     /*    T3ACNT    */
                            unsigned char       :1;     /*              */
                            unsigned char T4VCNT:3;     /*    T4VCNT    */
                            }      BIT;                 /*              */
                     }          TITCNT;                 /*              */
               union {                                  /* TBTER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :6;        /*              */
                            unsigned char BTE:2;        /*    BTE       */
                            }      BIT;                 /*              */
                     }          TBTER;                  /*              */
               char             wk5;                    /*              *///FFFE4234-FFFE4230-3
               union {                                  /* TDER         *///FFFE4234
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :7;       /*              */
                            unsigned char TDER:1;       /*    TDER      */
                            }      BIT;                 /*              */
                     }          TDER;                   /*              */
               char             wk6;                    /*              *///FFFE4236-FFFE4234-1
               union {                                  /* TOLBR        *///FFFE4236
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :2;      /*              */
                            unsigned char OLS3N:1;      /*    OLS3N     */
                            unsigned char OLS3P:1;      /*    OLS3P     */
                            unsigned char OLS2N:1;      /*    OLS2N     */
                            unsigned char OLS2P:1;      /*    OLS2P     */
                            unsigned char OLS1N:1;      /*    OLS1N     */
                            unsigned char OLS1P:1;      /*    OLS1P     */
                            }      BIT;                 /*              */
                     }          TOLBR;                  /*              */
               char             wk7[41];                /*              *///FFFE4260-FFFE4236-1
               union {                                  /* TWCR         *///FFFE4260
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CCE:1;        /*    CCE       */
                            unsigned char    :5;        /*              */
                            unsigned char    :1;        /*              */
                            unsigned char WRE:1;        /*    WRE       */
                            }      BIT;                 /*              */
                     }          TWCR;                   /*              */
               char             wk8[31];                /*              *///FFFE4280-FFFE4260-1
               union {                                  /* TSTR         *///FFFE4280
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char CST4:1;       /*    CST4      */
                            unsigned char CST3:1;       /*    CST3      */
                            unsigned char     :3;       /*              */
                            unsigned char CST2:1;       /*    CST2      */
                            unsigned char CST1:1;       /*    CST1      */
                            unsigned char CST0:1;       /*    CST0      */
                            }      BIT;                 /*              */
                     }          TSTR;                   /*              */
               union {                                  /* TSYR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SYNC4:1;      /*    SYNC4     */
                            unsigned char SYNC3:1;      /*    SYNC3     */
                            unsigned char      :3;      /*              */
                            unsigned char SYNC2:1;      /*    SYNC2     */
                            unsigned char SYNC1:1;      /*    SYNC1     */
                            unsigned char SYNC0:1;      /*    SYNC0     */
                            }      BIT;                 /*              */
                     }          TSYR;                   /*              */
               union {                                  /* TCSYSTR      */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SCH0 :1;      /*    SCH0      */
                            unsigned char SCH1 :1;      /*    SCH1      */
                            unsigned char SCH2 :1;      /*    SCH2      */
                            unsigned char SCH3 :1;      /*    SCH3      */
                            unsigned char SCH4 :1;      /*    SCH4      */
                            unsigned char      :1;      /*              */
                            unsigned char SCH3S:1;      /*    SCH3S     */
                            unsigned char SCH4S:1;      /*    SCH4S     */
                            }      BIT;                 /*              */
                     }          TCSYSTR;                /*              */
               char             wk9;                    /*              *///FFFE4284-FFFE4280-3
               union {                                  /* TRWER        *///FFFE4284
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :7;        /*              */
                            unsigned char RWE:1;        /*    RWE       */
                            }      BIT;                 /*              */
                     }          TRWER;                  /*              */
};                                                      /*              */
struct st_mtu20 {                                       /* struct MTU20 */
                union {                                 /* TCR          *///FFFE4300
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :1;       /*              */
                             unsigned char BFE:1;       /*    BFE       */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                union {                                 /* TIER         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :2;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :3;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                unsigned short  TGRC;                   /* TGRC         */
                unsigned short  TGRD;                   /* TGRD         */
                char            wk1[16];                /*              *///FFFE4320-FFFE4300-16
                unsigned short  TGRE;                   /* TGRE         *///FFFE4320
                unsigned short  TGRF;                   /* TGRF         */
                union {                                 /* TIER2        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE2:1;     /*    TTGE2     */
                             unsigned char      :5;     /*              */
                             unsigned char TGIEF:1;     /*    TGIEF     */
                             unsigned char TGIEE:1;     /*    TGIEE     */
                             }      BIT;                /*              */
                      }         TIER2;                  /*              */
                union {                                 /* TSR2         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TGFF:1;      /*    TGFF      */
                             unsigned char TGFE:1;      /*    TGFE      */
                             }      BIT;                /*              */
                      }         TSR2;                   /*              */
                union {                                 /* TBTM         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit Access  */
                             unsigned char     :5;      /*              */
                             unsigned char TTSE:1;      /*    TTSE      */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
};                                                      /*              */
struct st_mtu21 {                                       /* struct MTU21 */
                union {                                 /* TCR          *///FFFE4380
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char CCLR:2;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :4;       /*              */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             }      BIT;                /*              */
                      }         TIOR;                   /*              */
                char            wk1;                    /*              *///FFFE4384-FFFE4380-3
                union {                                 /* TIER         *///FFFE4384
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEU:1;     /*    TCIEU     */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char      :2;     /*              */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :1;      /*              */
                             unsigned char TCFU:1;      /*    TCFU      */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char     :2;      /*              */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
                char            wk2[4];                 /*              *///FFFE4390-FFFE4384-8
                union {                                 /* TICCR        *///FFFE4390
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :4;      /*              */
                             unsigned char I2BE:1;      /*    I2BE      */
                             unsigned char I2AE:1;      /*    I2AE      */
                             unsigned char I1BE:1;      /*    I1BE      */
                             unsigned char I1AE:1;      /*    I1AE      */
                             }      BIT;                /*              */
                      }         TICCR;                  /*              */
};                                                      /*              */
struct st_mtu22 {                                       /* struct MTU22 */
                union {                                 /* TCR          *///FFFE4000
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char CCLR:2;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                union {                                 /* TMDR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char   :4;        /*              */
                             unsigned char MD:4;        /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                union {                                 /* TIOR         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             }      BIT;                /*              */
                      }         TIOR;                   /*              */
                char            wk;                     /*              *///FFFE4004-FFFE4000-3
                union {                                 /* TIER         *///FFFE4004
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEU:1;     /*    TCIEU     */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char      :2;     /*              */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                union {                                 /* TSR          */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :1;      /*              */
                             unsigned char TCFU:1;      /*    TCFU      */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char     :2;      /*              */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                unsigned short  TCNT;                   /* TCNT         */
                unsigned short  TGRA;                   /* TGRA         */
                unsigned short  TGRB;                   /* TGRB         */
};                                                      /*              */
struct st_mtu23 {                                       /* struct MTU23 */
                union {                                 /* TCR          *///FFFE4200
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                char            wk1;                    /*              *///FFFE4202-FFFE4200-1
                union {                                 /* TMDR         *///FFFE4202
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :2;       /*              */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                char            wk2;                    /*              *///FFFE4204-FFFE4202-1
                union {                                 /* TIOR         *///FFFE4204
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                char            wk3[2];                 /*              *///FFFE4208-FFFE4204-2
                union {                                 /* TIER         *///FFFE4208
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char      :2;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk4[7];                 /*              *///FFFE4210-FFFE4208-1
                unsigned short  TCNT;                   /* TCNT         *///FFFE4210
                char            wk5[6];                 /*              *///FFFE4218-FFFE4210-2
                unsigned short  TGRA;                   /* TGRA         *///FFFE4218
                unsigned short  TGRB;                   /* TGRB         */
                char            wk6[8];                 /*              *///FFFE4224-FFFE4218-4
                unsigned short  TGRC;                   /* TGRC         *///FFFE4224
                unsigned short  TGRD;                   /* TGRD         */
                char            wk7[4];                 /*              *///FFFE422C-FFFE4224-4
                union {                                 /* TSR          *///FFFE422C
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :2;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk8[11];                /*              *///FFFE4238-FFFE422C-1
                union {                                 /* TBTM         *///FFFE4238
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
};                                                      /*              */
struct st_mtu24 {                                       /* struct MTU24 */
                char            wk1;                    /*              *///FFFE4200
                union {                                 /* TCR          *///FFFE4201
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCLR:3;      /*    CCLR      */
                             unsigned char CKEG:2;      /*    CKEG      */
                             unsigned char TPSC:3;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCR;                    /*              */
                char            wk2;                    /*              *///FFFE4203-FFFE4201-1
                union {                                 /* TMDR         *///FFFE4203
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :2;       /*              */
                             unsigned char BFB:1;       /*    BFB       */
                             unsigned char BFA:1;       /*    BFA       */
                             unsigned char MD :4;       /*    MD        */
                             }      BIT;                /*              */
                      }         TMDR;                   /*              */
                char            wk3[2];                 /*              */ //FFFE4206-FFFE4203-1
                union {                                 /* TIOR         */ //FFFE4206
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Byte Access */
                             unsigned char H;           /*    TIORH     */
                             unsigned char L;           /*    TIORL     */
                             }       BYTE;              /*              */
                      struct {                          /*  Bit  Access */
                             unsigned char IOB:4;       /*    IOB       */
                             unsigned char IOA:4;       /*    IOA       */
                             unsigned char IOD:4;       /*    IOD       */
                             unsigned char IOC:4;       /*    IOC       */
                             }       BIT;               /*              */
                      }         TIOR;                   /*              */
                char            wk4;                    /*              *///FFFE4209-FFFE4206-2
                union {                                 /* TIER         *///FFFE4209
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TTGE :1;     /*    TTGE      */
                             unsigned char TTGE2:1;     /*    TTGE2     */
                             unsigned char      :1;     /*              */
                             unsigned char TCIEV:1;     /*    TCIEV     */
                             unsigned char TGIED:1;     /*    TGIED     */
                             unsigned char TGIEC:1;     /*    TGIEC     */
                             unsigned char TGIEB:1;     /*    TGIEB     */
                             unsigned char TGIEA:1;     /*    TGIEA     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk5[8];                 /*              *///FFFE4212-FFFE4209-1
                unsigned short  TCNT;                   /* TCNT         *///FFFE4212
                char            wk6[8];                 /*              *///FFFE421C-FFFE4212-2
                unsigned short  TGRA;                   /* TGRA         *///FFFE421C
                unsigned short  TGRB;                   /* TGRB         */
                char            wk7[8];                 /*              *///FFFE4228-FFFE421C-4
                unsigned short  TGRC;                   /* TGRC         *///FFFE4228
                unsigned short  TGRD;                   /* TGRD         */
                char            wk8;                    /*              *///FFFE422D-FFFE4228-4
                union {                                 /* TSR          *///FFFE422D
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TCFD:1;      /*    TCFD      */
                             unsigned char     :2;      /*              */
                             unsigned char TCFV:1;      /*    TCFV      */
                             unsigned char TGFD:1;      /*    TGFD      */
                             unsigned char TGFC:1;      /*    TGFC      */
                             unsigned char TGFB:1;      /*    TGFB      */
                             unsigned char TGFA:1;      /*    TGFA      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk9[11];                /*              *///FFFE4239-FFFE422D-1
                union {                                 /* TBTM         *///FFFE4239
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TTSB:1;      /*    TTSB      */
                             unsigned char TTSA:1;      /*    TTSA      */
                             }      BIT;                /*              */
                      }         TBTM;                   /*              */
                char            wk10[6];                /*              *///FFFE4240-FFFE4239-1
                union {                                 /* TADCR        *///FFFE4240
                      unsigned short WORD;              /*  Word Access */
                      struct {                          /*  Bit  Access */
                             unsigned short BF    :2;   /*    BF        */
                             unsigned short       :6;   /*              */
                             unsigned short UT4AE :1;   /*    UT4AE     */
                             unsigned short DT4AE :1;   /*    DT4AE     */
                             unsigned short UT4BE :1;   /*    UT4BE     */
                             unsigned short DT4BE :1;   /*    DT4BE     */
                             unsigned short ITA3AE:1;   /*    ITA3AE    */
                             unsigned short ITA4VE:1;   /*    ITA4VE    */
                             unsigned short ITB3AE:1;   /*    ITB3AE    */
                             unsigned short ITB4VE:1;   /*    ITB4VE    */
                             }       BIT;               /*              */
                      }         TADCR;                  /*              */
                char            wk11[2] ;               /*              *///FFFE4244-FFFE4240-2
                unsigned short  TADCORA;                /* TADCORA      *///FFFE4244
                unsigned short  TADCORB;                /* TADCORB      */
                unsigned short  TADCOBRA;               /* TADCOBRA     */
                unsigned short  TADCOBRB;               /* TADCOBRB     */
};                                                      /*              */
struct st_mtu25 {                                       /* struct MTU25 */
                unsigned short  TCNTU;                  /* TCNTU        *///FFFE4080
                unsigned short  TGRU;                   /* TGRU         */
                union {                                 /* TCRU         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRU;                   /*              */
                char            wk1;                    /*              *///FFFE4086-FFFE4080-5
                union {                                 /* TIORU        *///FFFE4086
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORU;                  /*              */
                char            wk2[9];                 /*              *///FFFE4090-FFFE4086-1
                unsigned short  TCNTV;                  /* TCNTV        *///FFFE4090
                unsigned short  TGRV;                   /* TGRV         */
                union {                                 /* TCRV         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRV;                   /*              */
                char            wk3;                    /*              *///FFFE4096-FFFE4090-5
                union {                                 /* TIORV        *///FFFE4096
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORV;                  /*              */
                char            wk4[9];                 /*              *///FFFE40A0-FFFE4096-1
                unsigned short  TCNTW;                  /* TCNTW        *///FFFE40A0
                unsigned short  TGRW;                   /* TGRW         */
                union {                                 /* TCRW         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :6;      /*              */
                             unsigned char TPSC:2;      /*    TPSC      */
                             }      BIT;                /*              */
                      }         TCRW;                   /*              */
                char            wk5;                    /*              *///FFFE40A6-FFFE40A0-5
                union {                                 /* TIORW        *///FFFE40A6
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :3;       /*              */
                             unsigned char IOC:5;       /*    IOC       */
                             }      BIT;                /*              */
                      }         TIORW;                  /*              */
                char            wk6[9];                 /*              *///FFFE40B0-FFFE40A6-1
                union {                                 /* TSR          *///FFFE40B0
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CMFU:1;      /*    CMFU      */
                             unsigned char CMFV:1;      /*    CMFV      */
                             unsigned char CMFW:1;      /*    CMFW      */
                             }      BIT;                /*              */
                      }         TSR;                    /*              */
                char            wk7;                    /*              *///FFFE40B2-FFFE40B0-1
                union {                                 /* TIER         *///FFFE40B2
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char      :5;     /*              */
                             unsigned char TGIEU:1;     /*    TGIEU     */
                             unsigned char TGIEV:1;     /*    TGIEV     */
                             unsigned char TGIEW:1;     /*    TGIEW     */
                             }      BIT;                /*              */
                      }         TIER;                   /*              */
                char            wk8;                    /*              *///FFFE40B4-FFFE40B2-1
                union {                                 /* TSTR         *///FFFE40B4
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CSTU:1;      /*    CSTU      */
                             unsigned char CSTV:1;      /*    CSTV      */
                             unsigned char CSTW:1;      /*    CSTW      */
                             }      BIT;                /*              */
                      }         TSTR;                   /*              */
                char            wk9;                    /*(TCNTCMPCLR)  *///FFFE40B6-FFFE40B4-1
                union {                                 /* TCCR         *///FFFE40B6
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :5;      /*              */
                             unsigned char CLRU:1;      /*    CLRU      */
                             unsigned char CLRV:1;      /*    CLRV      */
                             unsigned char CLRW:1;      /*    CLRW      */
                             }      BIT;                /*              */
                      }         TCCR;                   /*              */
};                                                      /*              */
struct st_mtu2s {                                       /* struct MTU2S */
                union {                                 /* TOERS        *///FFFE4A0A
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :2;      /*              */
                             unsigned char OE4D:1;      /*    OE4D      */
                             unsigned char OE4C:1;      /*    OE4C      */
                             unsigned char OE3D:1;      /*    OE3D      */
                             unsigned char OE4B:1;      /*    OE4B      */
                             unsigned char OE4A:1;      /*    OE4A      */
                             unsigned char OE3B:1;      /*    OE3B      */
                             }      BIT;                /*              */
                      }         TOER;                   /*              */
                char            wk1[2];                 /*              *///FFFE4A0D-FFFE4A0A-1
                union {                                 /* TGCRS        *///FFFE4A0D
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :1;       /*              */
                             unsigned char BDC:1;       /*    BDC       */
                             unsigned char N  :1;       /*    N         */
                             unsigned char P  :1;       /*    P         */
                             unsigned char FB :1;       /*    FB        */
                             unsigned char WF :1;       /*    WF        */
                             unsigned char VF :1;       /*    VF        */
                             unsigned char UF :1;       /*    UF        */
                             }      BIT;                /*              */
                      }         TGCR;                   /*              */
                union {                                 /* TOCR1S       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :1;      /*              */
                             unsigned char PSYE:1;      /*    PSYE      */
                             unsigned char     :2;      /*              */
                             unsigned char TOCL:1;      /*    TOCL      */
                             unsigned char TOCS:1;      /*    TOCS      */
                             unsigned char OLSN:1;      /*    OLSN      */
                             unsigned char OLSP:1;      /*    OLSP      */
                             }      BIT;                /*              */
                      }         TOCR1;                  /*              */
                union {                                 /* TOCR2S       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char BF   :2;     /*    BF        */
                             unsigned char OLS3N:1;     /*    OLS3N     */
                             unsigned char OLS3P:1;     /*    OLS3P     */
                             unsigned char OLS2N:1;     /*    OLS2N     */
                             unsigned char OLS2P:1;     /*    OLS2P     */
                             unsigned char OLS1N:1;     /*    OLS1N     */
                             unsigned char OLS1P:1;     /*    OLS1P     */
                             }      BIT;                /*              */
                      }         TOCR2;                  /*              */
                char            wk2[4];                 /*              *///FFFE4A14-FFFE4A0D-3
                unsigned short  TCDR;                   /* TCDRS        *///FFFE4A14
                unsigned short  TDDR;                   /* TDDRS        */
                char            wk3[8];                 /*              *///FFFE4A20-FFFE4A14-4
                unsigned short  TCNTS;                  /* TCNTS        *///FFFE4A20
                unsigned short  TCBR;                   /* TCBRS        */
                char            wk4[12];                /*              *///FFFE4A30-FFFE4A20-4
                union {                                 /* TITCRS       *///FFFE4A30
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char T3AEN :1;    /*    T3AEN     */
                             unsigned char T3ACOR:3;    /*    T3ACOR    */
                             unsigned char T4VEN :1;    /*    T4VEN     */
                             unsigned char T4VCOR:3;    /*    T4VCOR    */
                             }      BIT;                /*              */
                      }         TITCR;                  /*              */
                union {                                 /* TITCNTS      */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char       :1;    /*              */
                             unsigned char T3ACNT:3;    /*    T3ACNT    */
                             unsigned char       :1;    /*              */
                             unsigned char T4VCNT:3;    /*    T4VCNT    */
                             }      BIT;                /*              */
                      }         TITCNT;                 /*              */
                union {                                 /* TBTERS       */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :6;       /*              */
                             unsigned char BTE:2;       /*    BTE       */
                             }      BIT;                /*              */
                      }         TBTER;                  /*              */
                char            wk5;                    /*              *///FFFE4A34-FFFE4A30-3
                union {                                 /* TDER         *///FFFE4A34
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char TDER:1;      /*    TDER      */
                             }      BIT;                /*              */
                      }         TDER;                   /*              */
                char            wk6;                    /*              *///FFFE4A36-FFFE4A34-1
                union {                                 /* TOLBR        *///FFFE4A36
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char      :2;     /*              */
                             unsigned char OLS3N:1;     /*    OLS3N     */
                             unsigned char OLS3P:1;     /*    OLS3P     */
                             unsigned char OLS2N:1;     /*    OLS2N     */
                             unsigned char OLS2P:1;     /*    OLS2P     */
                             unsigned char OLS1N:1;     /*    OLS1N     */
                             unsigned char OLS1P:1;     /*    OLS1P     */
                             }      BIT;                /*              */
                      }         TOLBR;                  /*              */
                char            wk7[25];                /*              *///FFFE4A50-FFFE4A36-1
                union {                                 /* TSYCRS       *///FFFE4A50
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CE0A:1;      /*    CE0A      */
                             unsigned char CE0B:1;      /*    CE0B      */
                             unsigned char CE0C:1;      /*    CE0C      */
                             unsigned char CE0D:1;      /*    CE0D      */
                             unsigned char CE1A:1;      /*    CE1A      */
                             unsigned char CE1B:1;      /*    CE1B      */
                             unsigned char CE2A:1;      /*    CE2A      */
                             unsigned char CE2B:1;      /*    CE2B      */
                             }      BIT;                /*              */
                      }         TSYCRS;                 /*              */
                char            wk8[15];                /*              *///FFFE4A60-FFFE4A50-1
                union {                                 /* TWCRS        *///FFFE4A60
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CCE:1;       /*    CCE       */
                             unsigned char    :5;       /*              */
                             unsigned char SCC:1;       /*    SCC       */
                             unsigned char WRE:1;       /*    WRE       */
                             }      BIT;                /*              */
                      }         TWCR;                   /*              */
                char            wk9[31];                /*              *///FFFE4A80-FFFE4A60-1
                union {                                 /* TSTRS        *///FFFE4A80
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char CST4:1;      /*    CST4      */
                             unsigned char CST3:1;      /*    CST3      */
                             unsigned char     :3;      /*              */
                             unsigned char CST2:1;      /*    CST2      */
                             unsigned char CST1:1;      /*    CST1      */
                             unsigned char CST0:1;      /*    CST0      */
                             }      BIT;                /*              */
                      }         TSTR;                   /*              */
                union {                                 /* TSYRS        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char SYNC4:1;     /*    SYNC4     */
                             unsigned char SYNC3:1;     /*    SYNC3     */
                             unsigned char      :3;     /*              */
                             unsigned char SYNC2:1;     /*    SYNC2     */
                             unsigned char SYNC1:1;     /*    SYNC1     */
                             unsigned char SYNC0:1;     /*    SYNC0     */
                             }      BIT;                /*              */
                      }         TSYR;                   /*              */
                char            wk10[2];                /*              *///FFFE4A84-FFFE4A80-2
                union {                                 /* TRWERS       *///FFFE4A84
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char    :7;       /*              */
                             unsigned char RWE:1;       /*    RWE       */
                             }      BIT;                /*              */
                      }         TRWER;                  /*              */
};                                                      /*              */
struct st_poe2 {                                        /* struct POE2  */
               union {                                  /* ICSR1        *///FFFE5000
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short POE3F:1;     /*    POE3F     */
                            unsigned short POE2F:1;     /*    POE2F     */
                            unsigned short POE1F:1;     /*    POE1F     */
                            unsigned short POE0F:1;     /*    POE0F     */
                            unsigned short      :3;     /*              */
                            unsigned short PIE1 :1;     /*    PIE1      */
                            unsigned short POE3M:2;     /*    POE3M     */
                            unsigned short POE2M:2;     /*    POE2M     */
                            unsigned short POE1M:2;     /*    POE1M     */
                            unsigned short POE0M:2;     /*    POE0M     */
                            }       BIT;                /*              */
                     }          ICSR1;                  /*              */
               union {                                  /* OCSR1        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short OSF1:1;      /*    OSF1      */
                            unsigned short     :5;      /*              */
                            unsigned short OCE1:1;      /*    OCE1      */
                            unsigned short OIE1:1;      /*    OIE1      */
                            }       BIT;                /*              */
                     }          OCSR1;                  /*              */
               union {                                  /* ICSR2        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short POE7F:1;     /*    POE7F     */
                            unsigned short POE6F:1;     /*    POE6F     */
                            unsigned short POE5F:1;     /*    POE5F     */
                            unsigned short POE4F:1;     /*    POE4F     */
                            unsigned short      :3;     /*              */
                            unsigned short PIE2 :1;     /*    PIE2      */
                            unsigned short POE7M:2;     /*    POE7M     */
                            unsigned short POE6M:2;     /*    POE6M     */
                            unsigned short POE5M:2;     /*    POE5M     */
                            unsigned short POE4M:2;     /*    POE4M     */
                            }       BIT;                /*              */
                     }          ICSR2;                  /*              */
               union {                                  /* OCSR2        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short OSF2:1;      /*    OSF2      */
                            unsigned short     :5;      /*              */
                            unsigned short OCE2:1;      /*    OCE2      */
                            unsigned short OIE2:1;      /*    OIE2      */
                            }       BIT;                /*              */
                     }          OCSR2;                  /*              */
               union {                                  /* ICSR3        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :3;     /*              */
                            unsigned short POE8F:1;     /*    POE8F     */
                            unsigned short      :2;     /*              */
                            unsigned short POE8E:1;     /*    POE8E     */
                            unsigned short PIE3 :1;     /*    PIE3      */
                            unsigned short      :6;     /*              */
                            unsigned short POE8M:2;     /*    POE8M     */
                            }       BIT;                /*              */
                     }          ICSR3;                  /*              */
               union {                                  /* SPOER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char            :5;/*              */
                            unsigned char MTU2SHIZ   :1;/*    MTU2SHIZ  */
                            unsigned char MTU2CH0HIZ :1;/*    MTU2CH0HIZ*/
                            unsigned char MTU2CH34HIZ:1;/*    MTU2CH34HI*/
                            }      BIT;                 /*              */
                     }          SPOER;                  /*              */
               union {                                  /* POECR1       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char          :4;  /*              */
                            unsigned char MTU2PE3ZE:1;  /*    MTU2PE3ZE */
                            unsigned char MTU2PE2ZE:1;  /*    MTU2PE2ZE */
                            unsigned char MTU2PE1ZE:1;  /*    MTU2PE1ZE */
                            unsigned char MTU2PE0ZE:1;  /*    MTU2PE0ZE */
                            }      BIT;                 /*              */
                     }          POECR1;                 /*              */
               union {                                  /* POECR2       */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short           :1;/*              */
                            unsigned short MTU2P1CZE :1;/*    MTU2P1CZE */
                            unsigned short MTU2P2CZE :1;/*    MTU2P2CZE */
                            unsigned short MTU2P3CZE :1;/*    MTU2P3CZE */
                            unsigned short           :1;/*              */
                            unsigned short MTU2SP1CZE:1;/*    MTU2SP1CZE*/
                            unsigned short MTU2SP2CZE:1;/*    MTU2SP2CZE*/
                            unsigned short MTU2SP3CZE:1;/*    MTU2SP3CZE*/
                            unsigned short           :1;/*              */
                            unsigned short MTU2SP4CZE:1;/*    MTU2SP4CZE*/
                            unsigned short MTU2SP5CZE:1;/*    MTU2SP5CZE*/
                            unsigned short MTU2SP6CZE:1;/*    MTU2SP6CZE*/
                            unsigned short           :1;/*              */
                            unsigned short MTU2SP7CZE:1;/*    MTU2SP7CZE*/
                            unsigned short MTU2SP8CZE:1;/*    MTU2SP8CZE*/
                            unsigned short MTU2SP9CZE:1;/*    MTU2SP9CZE*/
                            }       BIT;                /*              */
                     }          POECR2;                 /*              */
};                                                      /*              */
struct st_cmt {                                         /* struct CMT   */
              union {                                   /* CMSTR        *///xFFFEC000
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short     :14;      /*              */
                           unsigned short STR1: 1;      /*    STR1      */
                           unsigned short STR0: 1;      /*    STR0      */
                           }       BIT;                 /*              */
                    }           CMSTR;                  /*              */
};                                                      /*              */
struct st_cmt0 {                                        /* struct CMT0  */
               union {                                  /* CMCSR        *///FFFEC002/FFFEC008
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short     :8;      /*              */
                            unsigned short CMF :1;      /*    CMF       */
                            unsigned short CMIE:1;      /*    CMIE      */
                            unsigned short     :4;      /*              */
                            unsigned short CKS :2;      /*    CKS       */
                            }       BIT;                /*              */
                     }          CMCSR;                  /*              */
               unsigned short   CMCNT;                  /* CMCNT        */
               unsigned short   CMCOR;                  /* CMCOR        */
};                                                      /*              */
union un_wdt {                                          /* union WDT    */
             struct {                                   /* Read  Access */
                    union {                             /* WTCSR        *///FFFE0000
                          unsigned char BYTE;           /*  Byte Access */
                          struct {                      /*  Bit  Access */
                                 unsigned char IOVF:1;  /*    IOVF      */
                                 unsigned char WTIT:1;  /*    WT/IT     */
                                 unsigned char TME :1;  /*    TME       */
                                 unsigned char     :2;  /*              */
                                 unsigned char CKS :3;  /*    CKS       */
                                 }      BIT;            /*              */
                          }       WTCSR;                /*              */
                    char          wk1;                  /*              *///FFFE0002-FFFE0000-1
                    unsigned char WTCNT;                /* WTCNT        *///FFFE0002
                    char          wk2;                  /*              *///FFFE0004-FFFE0002-1
                    union {                             /* WRCSR        *///FFFE0004
                          unsigned char BYTE;           /*  Byte Access */
                          struct {                      /*  Bit  Access */
                                 unsigned char WOVF:1;  /*    WOVF      */
                                 unsigned char RSTE:1;  /*    RSTE      */
                                 unsigned char RSTS:1;  /*    RSTS      */
                                 }      BIT;            /*              */
                          }       WRCSR;                /*              */
                    } READ;                             /*              */
             struct {                                   /* Write Access */
                    unsigned short WTCSR;               /* WTCSR        */
                    unsigned short WTCNT;               /* WTCNT        */
                    unsigned short WRCSR;               /* WRCSR        */
                    } WRITE;                            /*              */
};                                                      /*              */
struct st_sci {                                         /* struct SCI   */
              union {                                   /* SCSMR        *///FFFF8000
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char CA  :1;        /*    C/A       */
                           unsigned char CHR :1;        /*    CHR       */
                           unsigned char _PE :1;        /*    PE        */
                           unsigned char OE  :1;        /*    O/E       */
                           unsigned char STOP:1;        /*    STOP      */
                           unsigned char MP  :1;        /*    MP        */
                           unsigned char CKS :2;        /*    CKS       */
                           }      BIT;                  /*              */
                    }           SCSMR;                  /*              */
              char              wk1;                    /*              *///FFFF8002-FFFF8000-1
              unsigned char     SCBRR;                  /* SCBRR        *///FFFF8002    
              char              wk2;                    /*              *///FFFF8004-FFFF8002-1
              union {                                   /* SCSCR        *///FFFF8004
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TIE :1;        /*    TIE       */
                           unsigned char RIE :1;        /*    RIE       */
                           unsigned char TE  :1;        /*    TE        */
                           unsigned char RE  :1;        /*    RE        */
                           unsigned char MPIE:1;        /*    MPIE      */
                           unsigned char TEIE:1;        /*    TEIE      */
                           unsigned char CKE :2;        /*    CKE       */
                           }      BIT;                  /*              */
                    }           SCSCR;                  /*              */
              char              wk3;                    /*              *///FFFF8006-FFFF8004-1
              unsigned char     SCTDR;                  /* SCTDR        *///FFFF8006    
              char              wk4;                    /*              *///FFFF8008-FFFF8006-1
              union {                                   /* SCSSR        *///FFFF8008
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char TDRE:1;        /*    TDRE      */
                           unsigned char RDRF:1;        /*    RDRF      */
                           unsigned char ORER:1;        /*    ORER      */
                           unsigned char FER :1;        /*    FER       */
                           unsigned char PER :1;        /*    PER       */
                           unsigned char TEND:1;        /*    TEND      */
                           unsigned char MPB :1;        /*    MPB       */
                           unsigned char MPBT:1;        /*    MPBT      */
                           }      BIT;                  /*              */
                    }           SCSSR;                  /*              */
              char              wk5;                    /*              *///FFFF800A-FFFF8008-1
              unsigned char     SCRDR;                  /* SCRDR        *///FFFF800A    
              char              wk6;                    /*              *///FFFF800C-FFFF800A-1
              union {                                   /* SCSDCR       *///FFFF800C
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char    :4;         /*              */
                           unsigned char DIR:1;         /*    DIR       */
                           }      BIT;                  /*              */
                    }           SCSDCR;                 /*              */
              char              wk7;                    /*              *///FFFF800E-FFFF800C-1
              union {                                   /* SCSPTR       *///FFFF800E
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char EIO   :1;      /*    EIO       */
                           unsigned char       :3;      /*              */
                           unsigned char SPB1IO:1;      /*    SPB1IO    */
                           unsigned char SPB1DT:1;      /*    SPB1DT    */
                           unsigned char       :1;      /*              */
                           unsigned char SPB0DT:1;      /*    SPB0DT    */
                           }      BIT;                  /*              */
                    }           SCSPTR;                 /*              */
};                                                      /*              */
struct st_scif {                                        /* struct SCIF  */
               union {                                  /* SCSMR        *///FFFE9800
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short CA  :1;      /*    C/A       */
                            unsigned short CHR :1;      /*    CHR       */
                            unsigned short _PE :1;      /*    PE        */
                            unsigned short OE  :1;      /*    O/E       */
                            unsigned short STOP:1;      /*    STOP      */
                            unsigned short     :1;      /*              */
                            unsigned short CKS :2;      /*    CKS       */
                            }      BIT;                 /*              */
                     }          SCSMR;                  /*              */
               char             wk1[2];                 /*              *///FFFE9804-FFFE9800-2
               unsigned char    SCBRR;                  /* SCBRR        *///FFFE9804
               char             wk2[3];                 /*              *///FFFE9808-FFFE9804-1
               union {                                  /* SCSCR        *///FFFE9808
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :8;      /*              */
                            unsigned short TIE :1;      /*    TIE       */
                            unsigned short RIE :1;      /*    RIE       */
                            unsigned short TE  :1;      /*    TE        */
                            unsigned short RE  :1;      /*    RE        */
                            unsigned short REIE:1;      /*    REIE      */
                            unsigned short     :1;      /*              */
                            unsigned short CKE :2;      /*    CKE       */
                            }      BIT;                 /*              */
                     }          SCSCR;                  /*              */
               char             wk3[2];                 /*              *///FFFE980C-FFFE9808-2
               unsigned char    SCFTDR;                 /* SCFTDR       *///FFFE980C
               char             wk4[3];                 /*              *///FFFE9810-FFFE980C-1
               union {                                  /* SCFSR        *///FFFE9810
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short PERC:4;      /*    PER3-0    */
                            unsigned short FERC:4;      /*    FER3-0    */
                            unsigned short ER  :1;      /*    ER        */
                            unsigned short TEND:1;      /*    TEND      */
                            unsigned short TDFE:1;      /*    TDFE      */
                            unsigned short BRK :1;      /*    BRK       */
                            unsigned short FER :1;      /*    FER       */
                            unsigned short PER :1;      /*    PER       */
                            unsigned short RDF :1;      /*    RDF       */
                            unsigned short DR  :1;      /*    DR        */
                            }       BIT;                /*              */
                     }          SCFSR;                  /*              */
               char             wk5[2];                 /*              *///FFFE9814-FFFE9810-2
               unsigned char    SCFRDR;                 /* SCFRDR       *///FFFE9814
               char             wk6[3];                 /*              *///FFFE9818-FFFE9814-1
               union {                                  /* SCFCR        *///FFFE9818
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short      :8;     /*              */
                            unsigned short RTRG :2;     /*    RTRG      */
                            unsigned short TTRG :2;     /*    TTRG      */
                            unsigned short MCE  :1;     /*    MCE       */
                            unsigned short TFRST:1;     /*    TFRST     */
                            unsigned short RFRST:1;     /*    RFRST     */
                            unsigned short LOOP :1;     /*    LOOP      */
                            }      BIT;                 /*              */
                     }          SCFCR;                  /*              */
               char             wk7[2];                 /*              *///FFFE981C-FFFE9818-2
               union {                                  /* SCFDR        *///FFFE981C
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short  :3;         /*              */
                            unsigned short T:5;         /*    T         */
                            unsigned short  :3;         /*              */
                            unsigned short R:5;         /*    R         */
                            }       BIT;                /*              */
                     }          SCFDR;                  /*              */
               char             wk8[2];                 /*              *///FFFE9820-FFFE981C-2
               union {                                  /* SCSPTR       *///FFFE9820
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short       :8;    /*              */
                            unsigned short       :4;    /*              */
                            unsigned short SCKIO :1;    /*    SCKIO     */
                            unsigned short SCKDT :1;    /*    SCKDT     */
                            unsigned short SPB2IO:1;    /*    SPB2IO    */
                            unsigned short SPB2DT:1;    /*    SPB2DT    */
                            }       BIT;                /*              */
                     }          SCSPTR;                 /*              */
               char             wk9[2];                 /*              *///FFFE9824-FFFE9820-2
               union {                                  /* SCLSR        *///FFFE9824
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Accesss */
                            unsigned short     :15;     /*              */
                            unsigned short ORER: 1;     /*    ORER      */
                            }       BIT;                /*              */
                     }          SCLSR;                  /*              */
               char             wk10[218];              /*              *///FFFE9900-FFFE9824-2
               union {                                  /* SCSEMR       *///FFFE9900
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned short ABCS: 1;     /*    ABCS      */
                            }       BIT;                /*              */
                     }          SCSEMR;                 /*              */
};                                                      /*              */
struct  st_ssu  {                                       /* struct SSU  */
               union {                                  /* SSCRH        *///FFFFB000
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char MSS :1;       /*    MSS       */
                            unsigned char BIDE:1;       /*    BIDE      */
                            unsigned char     :1;       /*              */
                            unsigned char SOL :1;       /*    SOL       */
                            unsigned char SOLP:1;       /*    SOLP      */
                            unsigned char     :1;       /*              */
                            unsigned char CSS :2;       /*    CSS       */
                            }       BIT;                /*              */
                     }          SSCRH;                  /*              */
               union {                                  /* SSCRL        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char      :1;      /*              */
                            unsigned char SSUMS:1;      /*    SSUMS     */
                            unsigned char SRES :1;      /*    SRES      */
                            unsigned char      :3;      /*              */
                            unsigned char DATS :2;      /*    DATS      */
                            }       BIT;                /*              */
                     }          SSCRL;                  /*              */
               union {                                  /* SSMR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char MLS :1;       /*    MLS       */
                            unsigned char CPOS:1;       /*    CPOS      */
                            unsigned char CPHS:1;       /*    CPHS      */
                            unsigned char     :2;       /*              */
                            unsigned char CKS :3;       /*    CKS       */
                            }       BIT;                /*              */
                     }          SSMR;                   /*              */
               union {                                  /* SSER         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TE  :1;       /*    TE        */
                            unsigned char RE  :1;       /*    RE        */
                            unsigned char     :2;       /*              */
                            unsigned char TEIE:1;       /*    TEIE      */
                            unsigned char TIE :1;       /*    TIE       */
                            unsigned char RIE :1;       /*    RIE       */
                            unsigned char CEIE:1;       /*    CEIE      */
                            }       BIT;                /*              */
                     }          SSER;                   /*              */
               union {                                  /* SSSR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char ORER:1;       /*    ORER      */
                            unsigned char     :2;       /*              */
                            unsigned char TEND:1;       /*    TEND      */
                            unsigned char TDRE:1;       /*    TDRE      */
                            unsigned char RDRF:1;       /*    RDRF      */
                            unsigned char CE  :1;       /*    CE        */
                            }       BIT;                /*              */
                     }          SSSR;                   /*              */
               union {                                  /* SSCR2        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SDOS   :1;    /*    SDOS      */
                            unsigned char SSCKOS :1;    /*    SSCKOS    */
                            unsigned char SCSOS  :1;    /*    SCSOS     */
                            unsigned char TENDSTS:1;    /*    TENDSTS   */
                            unsigned char SCSATS :1;    /*    SCSATS    */
                            unsigned char SSODTS :1;    /*    SSODTS    */
                            }       BIT;                /*              */
                     }          SSCR2;                  /*              */
               unsigned char    SSTDR0;                 /* SSTDR0       */
               unsigned char    SSTDR1;                 /* SSTDR1       */
               unsigned char    SSTDR2;                 /* SSTDR2       */
               unsigned char    SSTDR3;                 /* SSTDR3       */
               unsigned char    SSRDR0;                 /* SSRDR0       */
               unsigned char    SSRDR1;                 /* SSRDR1       */
               unsigned char    SSRDR2;                 /* SSRDR2       */
               unsigned char    SSRDR3;                 /* SSRDR3       */
};                                                      /*              */
struct st_iic3 {                                        /* struct IIC3  */
               union {                                  /* ICCR1        *///FFFEE000
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ICE :1;       /*    ICE       */
                            unsigned char RCVD:1;       /*    RCVD      */
                            unsigned char MST :1;       /*    MST       */
                            unsigned char TRS :1;       /*    TRS       */
                            unsigned char CKS :4;       /*    CKS       */
                            }      BIT;                 /*              */
                     }          ICCR1;                  /*              */
               union {                                  /* ICCR2        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char BBSY  :1;     /*    BBSY      */
                            unsigned char SCP   :1;     /*    SCP       */
                            unsigned char SDAO  :1;     /*    SDAO      */
                            unsigned char SDAOP :1;     /*    SDAOP     */
                            unsigned char SCLO  :1;     /*    SCLO      */
                            unsigned char       :1;     /*              */
                            unsigned char IICRST:1;     /*    IICRST    */
                            }      BIT;                 /*              */
                     }          ICCR2;                  /*              */
               union {                                  /* ICMR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char MLS :1;       /*    MLS       */
                            unsigned char     :3;       /*              */
                            unsigned char BCWP:1;       /*    BCWP      */
                            unsigned char BC  :3;       /*    BC        */
                            }      BIT;                 /*              */
                     }          ICMR;                   /*              */
               union {                                  /* ICIER        */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TIE  :1;      /*    TIE       */
                            unsigned char TEIE :1;      /*    TEIE      */
                            unsigned char RIE  :1;      /*    RIE       */
                            unsigned char NAKIE:1;      /*    NAKIE     */
                            unsigned char STIE :1;      /*    STIE      */
                            unsigned char ACKE :1;      /*    ACKE      */
                            unsigned char ACKBR:1;      /*    ACKBR     */
                            unsigned char ACKBT:1;      /*    ACKBT     */
                            }      BIT;                 /*              */
                     }          ICIER;                  /*              */
               union {                                  /* ICSR         */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char TDRE :1;      /*    TDRE      */
                            unsigned char TEND :1;      /*    TEND      */
                            unsigned char RDRF :1;      /*    RDRF      */
                            unsigned char NACKF:1;      /*    NACKF     */
                            unsigned char STOP :1;      /*    STOP      */
                            unsigned char ALOVE:1;      /*    ALOVE     */
                            unsigned char AAS  :1;      /*    AAS       */
                            unsigned char ADZ  :1;      /*    ADZ       */
                            }      BIT;                 /*              */
                     }          ICSR;                   /*              */
               union {                                  /* SAR          */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char SVA:7;        /*    SVA       */
                            unsigned char FS :1;        /*    FS        */
                            }      BIT;                 /*              */
                     }          SAR;                    /*              */
               unsigned char    ICDRT;                  /* ICDRT        */
               unsigned char    ICDRR;                  /* ICDRR        */
               union {                                  /* NF2CYC       */
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char       :7;     /*              */
                            unsigned char NF2CYC:1;     /*    NF2CYC    */
                            }      BIT;                 /*              */
                     }          NF2CYC;                 /*              */
};                                                      /*              */
struct st_adc0 {                                        /* struct ADC0  */
               union {                                  /* ADCR         *///xFFFFE800
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ADST :1;      /*    ADST      */
                            unsigned char ADCS :1;      /*    ADCS      */
                            unsigned char ACE  :1;      /*    ACE       */
                            unsigned char ADIE :1;      /*    ADIE      */
                            unsigned char      :2;      /*              */
                            unsigned char TRGE :1;      /*    TRGE      */
                            unsigned char EXTRG:1;      /*    EXTRG     */
                            }       BIT;                /*              */
                     }          ADCR;                   /*              */
               char             wk1;                    /*              *///FFFFE802-FFFFE800-1
               union {                                  /* ADSR         *///FFFFE802
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :7;        /*              */
                            unsigned char ADF:1;        /*    ADF       */
                            }       BIT;                /*              */
                     }          ADSR;                   /*              */
               char             wk2[25];                /*              *///FFFFE81C-FFFFE802-1
               union {                                  /* ADSTRGR      *///FFFFE81C
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char STR6:1;       /*    STR6      */
                            unsigned char STR5:1;       /*    STR5      */
                            unsigned char STR4:1;       /*    STR4      */
                            unsigned char STR3:1;       /*    STR3      */
                            unsigned char STR2:1;       /*    STR2      */
                            unsigned char STR1:1;       /*    STR1      */
                            unsigned char STR0:1;       /*    STR0      */
                            }       BIT;                /*              */
                     }          ADSTRGR;                /*              */
               char             wk3[3];                 /*              *///FFFFE820-FFFFE81C-1
               union {                                  /* ADANSR       *///FFFFE820
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :4;       /*              */
                            unsigned char ANS3:1;       /*    ANS3      */
                            unsigned char ANS2:1;       /*    ANS2      */
                            unsigned char ANS1:1;       /*    ANS1      */
                            unsigned char ANS0:1;       /*    ANS0      */
                            }       BIT;                /*              */
                     }          ADANSR;                 /*              */
               char             wk4[15];                /*              *///FFFFE830-FFFFE820-1
               union {                                  /* ADBYPSCR     *///FFFFE830
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :6;       /*              */
                            unsigned char OFC :1;       /*    OFC       */
                            unsigned char SH  :1;       /*    SH        */
                            }       BIT;                /*              */
                     }          ADBYPSCR;               /*              */
               char             wk5[15];                /*              *///FFFFE840-FFFFE830-1
               unsigned short   ADDR0;                  /* ADDR0        *///FFFFE840
               unsigned short   ADDR1;                  /* ADDR1        */
               unsigned short   ADDR2;                  /* ADDR2        */
               unsigned short   ADDR3;                  /* ADDR3        */
};                                                      /*              */
struct st_adc1 {                                        /* struct ADC1  */
               union {                                  /* ADCR         *///FFFFEC00
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ADST :1;      /*    ADST      */
                            unsigned char ADCS :1;      /*    ADCS      */
                            unsigned char ACE  :1;      /*    ACE       */
                            unsigned char ADIE :1;      /*    ADIE      */
                            unsigned char      :2;      /*              */
                            unsigned char TRGE :1;      /*    TRGE      */
                            unsigned char EXTRG:1;      /*    EXTRG     */
                            }       BIT;                /*              */
                     }          ADCR;                   /*              */
               char             wk1;                    /*              *///FFFFEC02-FFFFEC00-1
               union {                                  /* ADSR         *///FFFFEC02
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :7;        /*              */
                            unsigned char ADF:1;        /*    ADF       */
                            }       BIT;                /*              */
                     }          ADSR;                   /*              */
               char             wk2[25];                /*              *///FFFFEC1C-FFFFEC02-1
               union {                                  /* ADSTRGR      *///FFFFEC1C
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char STR6:1;       /*    STR6      */
                            unsigned char STR5:1;       /*    STR5      */
                            unsigned char STR4:1;       /*    STR4      */
                            unsigned char STR3:1;       /*    STR3      */
                            unsigned char STR2:1;       /*    STR2      */
                            unsigned char STR1:1;       /*    STR1      */
                            unsigned char STR0:1;       /*    STR0      */
                            }       BIT;                /*              */
                     }          ADSTRGR;                /*              */
               char             wk3[3];                 /*              *///FFFFEC20-FFFFEC1C-1
               union {                                  /* ADANSR       *///FFFFEC20
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :4;       /*              */
                            unsigned char ANS3:1;       /*    ANS3      */
                            unsigned char ANS2:1;       /*    ANS2      */
                            unsigned char ANS1:1;       /*    ANS1      */
                            unsigned char ANS0:1;       /*    ANS0      */
                            }       BIT;                /*              */
                     }          ADANSR;                 /*              */
               char             wk4[15];                /*              *///FFFFEC30-FFFFEC20-1
               union {                                  /* ADBYPSCR     *///FFFFEC30
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :6;       /*              */
                            unsigned char OFC :1;       /*    OFC       */
                            unsigned char     :1;       /*              */
                            }       BIT;                /*              */
                     }          ADBYPSCR;               /*              */
               unsigned short   ADDR4;                  /* ADDR4        *///FFFFEC40
               unsigned short   ADDR5;                  /* ADDR5        */
               unsigned short   ADDR6;                  /* ADDR6        */
               unsigned short   ADDR7;                  /* ADDR7        */
};                                                      /*              */
struct st_adc2 {                                        /* struct ADC2  */// 7286 ONLY
               union {                                  /* ADCR         *///FFFFEE00
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char ADST :1;      /*    ADST      */
                            unsigned char ADCS :1;      /*    ADCS      */
                            unsigned char ACE  :1;      /*    ACE       */
                            unsigned char ADIE :1;      /*    ADIE      */
                            unsigned char      :2;      /*              */
                            unsigned char TRGE :1;      /*    TRGE      */
                            unsigned char EXTRG:1;      /*    EXTRG     */
                            }       BIT;                /*              */
                     }          ADCR;                   /*              */
               char             wk1;                    /*              *///FFFFEE02-FFFFEE00-1
               union {                                  /* ADSR         *///FFFFEEC02
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char    :7;        /*              */
                            unsigned char ADF:1;        /*    ADF       */
                            }       BIT;                /*              */
                     }          ADSR;                   /*              */
               char             wk2[25];                /*              *///FFFFEE1C-FFFFEE02-1
               union {                                  /* ADSTRGR      *///FFFFEE1C
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :1;       /*              */
                            unsigned char STR6:1;       /*    STR6      */
                            unsigned char STR5:1;       /*    STR5      */
                            unsigned char STR4:1;       /*    STR4      */
                            unsigned char STR3:1;       /*    STR3      */
                            unsigned char STR2:1;       /*    STR2      */
                            unsigned char STR1:1;       /*    STR1      */
                            unsigned char STR0:1;       /*    STR0      */
                            }       BIT;                /*              */
                     }          ADSTRGR;                /*              */
               char             wk3[3];                 /*              *///FFFFEE20-FFFFEE1C-1
               union {                                  /* ADANSR       *///FFFFEE20
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :4;       /*              */
                            unsigned char ANS3:1;       /*    ANS3      */
                            unsigned char ANS2:1;       /*    ANS2      */
                            unsigned char ANS1:1;       /*    ANS1      */
                            unsigned char ANS0:1;       /*    ANS0      */
                            }       BIT;                /*              */
                     }          ADANSR;                 /*              */
               char             wk4[15];                /*              *///FFFFEE30-FFFFEE20-1
               union {                                  /* ADBYPSCR     *///FFFFEE30
                     unsigned char BYTE;                /*  Byte Access */
                     struct {                           /*  Bit  Access */
                            unsigned char     :6;       /*              */
                            unsigned char OFC :1;       /*    OFC       */
                            unsigned char     :1;       /*              */
                            }       BIT;                /*              */
                     }          ADBYPSCR;               /*              */
               unsigned short   ADDR8;                  /* ADDR4        *///FFFFEE40
               unsigned short   ADDR9;                  /* ADDR5        */
               unsigned short   ADDR10;                 /* ADDR6        */
               unsigned short   ADDR11;                 /* ADDR7        */
};                                                      /*              */
struct st_dac {                                         /* struct DAC   */
              unsigned char     DADR0;                  /* DADR0        *///FFFE6800
              unsigned char     DADR1;                  /* DADR1        */
              union {                                   /* DACR         */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char DAOE1:1;       /*    DAOE1     */
                           unsigned char DAOE0:1;       /*    DAOE0     */
                           unsigned char DAE  :1;       /*    DAE       */
                           }      BIT;                  /*              */
                    }           DACR;                   /*              */
};                                                      /*              */
struct st_rcanet {                                      /* structRCAN-ET*/
                 union {                                /* MCR          */ /*FFFFD000*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short IDR  :1;   /*    IDR       */
                              unsigned short AHBO :1;   /*    AHBO      */
                              unsigned short      :3;   /*              */
                              unsigned short TST  :3;   /*    TST       */
                              unsigned short AWM  :1;   /*    AWM       */
                              unsigned short HDBO :1;   /*    HDBO      */
                              unsigned short SLPM :1;   /*    SLPM      */
                              unsigned short      :2;   /*              */
                              unsigned short MTP  :1;   /*    MTP       */
                              unsigned short HLTRQ:1;   /*    HLTRQ     */
                              unsigned short RSTRQ:1;   /*    RSTRQ     */
                              }       BIT;              /*              */
                       }        MCR;                    /*              */
                 union {                                /* GSR          */ /*FFFFD002*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short     :10;   /*              */
                              unsigned short EPSB: 1;   /*    EPSB      */
                              unsigned short HSSB: 1;   /*    HSSB      */
                              unsigned short RSB : 1;   /*    RSB       */
                              unsigned short MTPF: 1;   /*    MTPF      */
                              unsigned short TRWF: 1;   /*    TRWF      */
                              unsigned short BOF : 1;   /*    BOF       */
                              }       BIT;              /*              */
                       }        GSR;                    /*              */
                 union {                                /* BCR1         */ /*FFFFD004*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short TSG1:4;    /*    TSG1      */
                              unsigned short     :1;    /*              */
                              unsigned short TSG2:3;    /*    TSG2      */
                              unsigned short     :2;    /*              */
                              unsigned short SJW :2;    /*    SJW       */
                              unsigned short     :3;    /*              */
                              unsigned short BSP :1;    /*    BSP       */
                              }       BIT;              /*              */
                       }        BCR1;                   /*              */
                 union {                                /* BCR0         */ /*FFFFD006*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short    :8;     /*              */
                              unsigned short BRP:8;     /*    BRP       */
                              }       BIT;              /*              */
                       }        BCR0;                   /*              */
                 union {                                /* IRR          */
                       unsigned short WORD;             /*  Word Access */ /*FFFFD008*/
                       struct {                         /*  Bit  Access */
                              unsigned short       :2;  /*              */
                              unsigned short MEIF  :1;  /*    MEIF      */
                              unsigned short BASMIF:1;  /*    BASMIF    */
                              unsigned short       :2;  /*              */
                              unsigned short MOOIF :1;  /*    MOOIF     */
                              unsigned short MBEIF :1;  /*    MBEIF     */
                              unsigned short OLFIF :1;  /*    OLFIF     */
                              unsigned short BOFIF :1;  /*    BOFIF     */
                              unsigned short EPIF  :1;  /*    EPIF      */
                              unsigned short RECWIF:1;  /*    RECWIF    */
                              unsigned short TECWIF:1;  /*    TECWIF    */
                              unsigned short RFRIF :1;  /*    RFRIF     */
                              unsigned short DFRIF :1;  /*    DFRIF     */
                              unsigned short RSTIF :1;  /*    RSTIF     */
                              }       BIT;              /*              */
                       }        IRR;                    /*              */
                 union {                                /* IMR          */ /*FFFFD00A*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short       :2;  /*              */
                              unsigned short MEIM  :1;  /*    MEIM      */
                              unsigned short BASMIM:1;  /*    BASMIM    */
                              unsigned short       :2;  /*              */
                              unsigned short MOOIM :1;  /*    MOOIM     */
                              unsigned short MBEIM :1;  /*    MBEIM     */
                              unsigned short OLFIM :1;  /*    OLFIM     */
                              unsigned short BOFIM :1;  /*    BOFIM     */
                              unsigned short EPIM  :1;  /*    EPIM      */
                              unsigned short RECWIM:1;  /*    RECWIM    */
                              unsigned short TECWIM:1;  /*    TECWIM    */
                              unsigned short RFRIM :1;  /*    RFRIM     */
                              unsigned short DFRIM :1;  /*    DFRIM     */
                              unsigned short RSTIM :1;  /*    RSTIM     */
                              }       BIT;              /*              */
                       }        IMR;                    /*              */
                 union {                                /* TECREC       */ /*FFFFD00C*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short TEC:8;     /*    TEC       */
                              unsigned short REC:8;     /*    REC       */
                              }       BIT;              /*              */
                       }        TECREC;                 /*              */
                 char           wk1[18];                /*              */
                 union {                                /* TXPR1,0      */ /*FFFFD020*/
                       unsigned int LONG;               /*  Long Access */
                       struct {                         /*  Bit  Access */
                              unsigned int MB31: 1;     /*    MB31      */
                              unsigned int MB30: 1;     /*    MB30      */
                              unsigned int MB29: 1;     /*    MB29      */
                              unsigned int MB28: 1;     /*    MB28      */
                              unsigned int MB27: 1;     /*    MB27      */
                              unsigned int MB26: 1;     /*    MB26      */
                              unsigned int MB25: 1;     /*    MB25      */
                              unsigned int MB24: 1;     /*    MB24      */
                              unsigned int MB23: 1;     /*    MB23      */
                              unsigned int MB22: 1;     /*    MB22      */
                              unsigned int MB21: 1;     /*    MB21      */
                              unsigned int MB20: 1;     /*    MB20      */
                              unsigned int MB19: 1;     /*    MB19      */
                              unsigned int MB18: 1;     /*    MB18      */
                              unsigned int MB17: 1;     /*    MB17      */
                              unsigned int MB16: 1;     /*    MB16      */
                              unsigned int MB15: 1;     /*    MB15      */
                              unsigned int MB14: 1;     /*    MB14      */
                              unsigned int MB13: 1;     /*    MB13      */
                              unsigned int MB12: 1;     /*    MB12      */
                              unsigned int MB11: 1;     /*    MB11      */
                              unsigned int MB10: 1;     /*    MB10      */
                              unsigned int MB9 : 1;     /*    MB9       */
                              unsigned int MB8 : 1;     /*    MB8       */
                              unsigned int MB7 : 1;     /*    MB7       */
                              unsigned int MB6 : 1;     /*    MB6       */
                              unsigned int MB5 : 1;     /*    MB5       */
                              unsigned int MB4 : 1;     /*    MB4       */
                              unsigned int MB3 : 1;     /*    MB3       */
                              unsigned int MB2 : 1;     /*    MB2       */
                              unsigned int MB1 : 1;     /*    MB1       */
                              }     BIT;                /*              */
                       }        TXPR10;                 /*              */
                 char           wk2[6];                 /*              */
                 union {                                /* TXCR0        */ /*FFFFD02A*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              }       BIT;              /*              */
                       }        TXCR0;                  /*              */
                 char           wk3[6];                 /*              */
                 union {                                /* TXACK0       */ /*FFFFD032*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              }       BIT;              /*              */
                       }        TXACK0;                 /*              */
                 char           wk4[6];                 /*              */
                 union {                                /* ABACK0       */ /*FFFFD03A*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              }       BIT;              /*              */
                       }        ABACK0;                 /*              */
                 char           wk5[6];                 /*              */
                 union {                                /* RXPR0        */ /*FFFFD042*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              unsigned short MB0 :1;    /*    MB0       */
                              }       BIT;              /*              */
                       }        RXPR0;                  /*              */
                 char           wk6[6];                 /*              */
                 union {                                /* RFPR0        */ /*FFFFD04A*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              unsigned short MB0 :1;    /*    MB0       */
                              }       BIT;              /*              */
                       }        RFPR0;                  /*              */
                 char           wk7[6];                 /*              */
                 union {                                /* MBIMR0       */ /*FFFFD052*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              unsigned short MB0 :1;    /*    MB0       */
                              }       BIT;              /*              */
                       }        MBIMR0;                 /*              */
                 char           wk8[6];                 /*              */
                 union {                                /* UMSR0        */ /*FFFFD05A*/
                       unsigned short WORD;             /*  Word Access */
                       struct {                         /*  Bit  Access */
                              unsigned short MB15:1;    /*    MB15      */
                              unsigned short MB14:1;    /*    MB14      */
                              unsigned short MB13:1;    /*    MB13      */
                              unsigned short MB12:1;    /*    MB12      */
                              unsigned short MB11:1;    /*    MB11      */
                              unsigned short MB10:1;    /*    MB10      */
                              unsigned short MB9 :1;    /*    MB9       */
                              unsigned short MB8 :1;    /*    MB8       */
                              unsigned short MB7 :1;    /*    MB7       */
                              unsigned short MB6 :1;    /*    MB6       */
                              unsigned short MB5 :1;    /*    MB5       */
                              unsigned short MB4 :1;    /*    MB4       */
                              unsigned short MB3 :1;    /*    MB3       */
                              unsigned short MB2 :1;    /*    MB2       */
                              unsigned short MB1 :1;    /*    MB1       */
                              unsigned short MB0 :1;    /*    MB0       */
                              }       BIT;              /*              */
                       }        UMSR0;                  /*              */
                char            wk9[164];               /*              */
                struct {                                /* MB          */
                       union {                          /*  CTRL0       */ /*FFFFD100*/
                             unsigned int LONG;         /*  Long Access */
                             struct {                   /*  Word Access */
                                    unsigned short H;   /*     High     */
                                    unsigned short L;   /*     Low      */
                                    }     WORD;         /*              */
                             struct {                   /*  Bit  Access */
                                    unsigned int IDE  : 1; /*  IDE      */
                                    unsigned int RTR  : 1; /*  RTR      */
                                    unsigned int      : 1; /*           */
                                    unsigned int STDID:11; /*  STDID    */
                                    unsigned int EXDID:18; /*  EXDID    */
                                    }     BIT;          /*              */
                             }       CTRL0;             /*              */

                       union {                          /*  LAFM        */ /*FFFFD104*/
                             unsigned int LONG;         /*  Long Access */
                             struct {                   /*  Word Access */
                                    unsigned short H;   /*     High     */
                                    unsigned short L;   /*     Low      */
                                    }     WORD;         /*              */
                             struct {                   /*  Bit  Access */
                                    unsigned int IDE  : 1; /*  IDE      */
                                    unsigned int      : 2; /*           */
                                    unsigned int STDID:11; /*  STDID    */
                                    unsigned int EXDID:18; /*  EXDID    */
                                    }     BIT;          /*              */
                             }       LAFM;              /*              */

                       unsigned char MSG_DATA[8];       /*  MSG_DATA    */ /*FFFFD108*/

                       union {                          /*  CTRL1       */ /*FFFFD110*/
                             unsigned short WORD;       /*  Word Access */
                             struct {                   /*  Byte Access */
                                    unsigned char H;    /*     High     */
                                    unsigned char L;    /*     Low      */
                                    }       BYTE;       /*              */
                             struct {                   /*  Bit  Access */
                                    unsigned char     :2;  /*           */
                                    unsigned char MNC :1;  /*  TTE      */
                                    unsigned char ATX :1;  /*  ATX      */
                                    unsigned char DART:1;  /*  DART     */
                                    unsigned char MBC :3;  /*  MBC      */
                                    unsigned char     :4;  /*           */
                                    unsigned char DLC :4;  /*  DLC      */
                                    }       BIT;        /*              */
                             }       CTRL1;             /*              */
                       char          wk[14];            /*              */ /*FFFFD11F*/

                       }        MB[16];                 /*              */
};                                                      /*              */
struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PAIORH       *///FFFE3804
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           }       BIT;                 /*              */
                    }           PAIORH;                 /*              */
              union {                                   /* PAIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PAIORL;                 /*              */
              char              wk1[4];                 /*              *///FFFE380C-FFFE3804-4
              union {                                   /* PACRH2       *///FFFE380C
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA23MD:3;      /*    PA23MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA22MD:3;      /*    PA22MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA21MD:3;      /*    PA21MD    */
                           }       BIT;                 /*              */
                    }           PACRH2;                 /*              */
              char              wk2[2];                 /*              *///FFFE3810-FFFE380C-2
              union {                                   /* PACRL4       *///FFFE3810
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA15MD:3;      /*    PA15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA14MD:3;      /*    PA14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA13MD:3;      /*    PA13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA12MD:3;      /*    PA12MD    */
                           }       BIT;                 /*              */
                    }           PACRL4;                 /*              */
              union {                                   /* PACRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PA11MD:3;      /*    PA11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA10MD:3;      /*    PA10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PA9MD :3;      /*    PA9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PA8MD :3;      /*    PA8MD     */
                           }       BIT;                 /*              */
                    }           PACRL3;                 /*              */
              union {                                   /* PACRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PA7MD:3;       /*    PA7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA6MD:3;       /*    PA6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA5MD:3;       /*    PA5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA4MD:3;       /*    PA4MD     */
                           }       BIT;                 /*              */
                    }           PACRL2;                 /*              */
              union {                                   /* PACRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PA3MD:3;       /*    PA3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA2MD:3;       /*    PA2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA1MD:3;       /*    PA1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PA0MD:3;       /*    PA0MD     */
                           }       BIT;                 /*              */
                    }           PACRL1;                 /*              */
              char              wk3[16];                /*              *///FFFE3828-FFFE3810-8
              union {                                   /* PAPCRH       *///FFFE3828
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char        :8;     /*              */
                           unsigned char PA23PCR:1;     /*    PA23PCR   */
                           unsigned char PA22PCR:1;     /*    PA22PCR   */
                           unsigned char PA21PCR:1;     /*    PA21PCR   */
                           }       BIT;                 /*              */
                    }           PAPCRH;                 /*              */
              union {                                   /* PAPCRL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PA15PCR:1;     /*    PA15PCR   */
                           unsigned char PA14PCR:1;     /*    PA14PCR   */
                           unsigned char PA13PCR:1;     /*    PA13PCR   */
                           unsigned char PA12PCR:1;     /*    PA12PCR   */
                           unsigned char PA11PCR:1;     /*    PA11PCR   */
                           unsigned char PA10PCR:1;     /*    PA10PCR   */
                           unsigned char PA9PCR :1;     /*    PA9PCR    */
                           unsigned char PA8PCR :1;     /*    PA8PCR    */
                           unsigned char PA7PCR :1;     /*    PA7PCR    */
                           unsigned char PA6PCR :1;     /*    PA6PCR    */
                           unsigned char PA5PCR :1;     /*    PA5PCR    */
                           unsigned char PA4PCR :1;     /*    PA4PCR    */
                           unsigned char PA3PCR :1;     /*    PA3PCR    */
                           unsigned char PA2PCR :1;     /*    PA2PCR    */
                           unsigned char PA1PCR :1;     /*    PA1PCR    */
                           unsigned char PA0PCR :1;     /*    PA0PCR    */
                           }       BIT;                 /*              */
                    }           PAPCRL;                 /*              */
              char              wk4[88];                /*              *///FFFE3884-FFFE3828-4
              union {                                   /* PBIORH       *///FFFE3884
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char    :8;         /*              */
                           unsigned char    :4;         /*              */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PBIORH;                 /*              */
              union {                                   /* PBIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char    :2;         /*              */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PBIORL;                 /*              */
              char              wk5[6];                 /*              *///FFFE388E-FFFE3884-4
              union {                                   /* PBCRH1       *///FFFE388E
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PB19MD:3;      /*    PB19MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB18MD:3;      /*    PB18MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB17MD:3;      /*    PB17MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB16MD:3;      /*    PB16MD    */
                           }       BIT;                 /*              */
                    }           PBCRH1;                 /*              */
              union {                                   /* PBCRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PB15MD:3;      /*    PB15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB14MD:3;      /*    PB14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB13MD:3;      /*    PB13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB12MD:3;      /*    PB12MD    */
                           }       BIT;                 /*              */
                    }           PBCRL4;                 /*              */
              union {                                   /* PBCRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PB11MD:3;      /*    PB11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB10MD:3;      /*    PB10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PB9MD :3;      /*    PB9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PB8MD :3;      /*    PB8MD     */
                           }       BIT;                 /*              */
                    }           PBCRL3;                 /*              */
              union {                                   /* PBCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PB7MD:3;       /*    PB7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB6MD:3;       /*    PB6MD     */
                           }       BIT;                 /*              */
                    }           PBCRL2;                 /*              */
              union {                                   /* PBCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PB3MD:3;       /*    PB3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB2MD:3;       /*    PB2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB1MD:3;       /*    PB1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PB0MD:3;       /*    PB0MD     */
                           }       BIT;                 /*              */
                    }           PBCRL1;                 /*              */
              char              wk6[16];                /*              *///FFFE38A8-FFFE388E-10
              union {                                   /* PBPCRH       *///FFFE38A8
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char        :8;     /*              */
                           unsigned char        :4;     /*              */
                           unsigned char PB19PCR:1;     /*    PB19PCR   */
                           unsigned char PB18PCR:1;     /*    PB18PCR   */
                           unsigned char PB17PCR:1;     /*    PB17PCR   */
                           unsigned char PB16PCR:1;     /*    PB16PCR   */
                           }       BIT;                 /*              */
                    }           PBPCRH;                 /*              */
              union {                                   /* PBPCRL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PB15PCR:1;     /*    PB15PCR   */
                           unsigned char PB14PCR:1;     /*    PB14PCR   */
                           unsigned char PB13PCR:1;     /*    PB13PCR   */
                           unsigned char PB12PCR:1;     /*    PB12PCR   */
                           unsigned char PB11PCR:1;     /*    PB11PCR   */
                           unsigned char PB10PCR:1;     /*    PB10PCR   */
                           unsigned char PB9PCR :1;     /*    PB9PCR    */
                           unsigned char PB8PCR :1;     /*    PB8PCR    */
                           unsigned char PB7PCR :1;     /*    PB7PCR    */
                           unsigned char PB6PCR :1;     /*    PB6PCR    */
                           unsigned char        :4;     /*              */
                           unsigned char PB1PCR :1;     /*    PB1PCR    */
                           unsigned char PB0PCR :1;     /*    PB0PCR    */
                           }       BIT;                 /*              */
                    }           PBPCRL;                 /*              */
              char              wk7[90];                /*              *///FFFE3906-FFFE38A8-4
              union {                                   /* PCIORL       *///FFFE3906
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PCIORL;                 /*              */
              char              wk8[8];                 /*              *///FFFE3910-FFFE3906-2
              union {                                   /* PCCRL4       *///FFFE3910
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PC15MD:3;      /*    PC15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PC14MD:3;      /*    PC14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PC13MD:3;      /*    PC13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PC12MD:3;      /*    PC12MD    */
                           }       BIT;                 /*              */
                    }           PCCRL4;                 /*              */
              union {                                   /* PCCRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PC11MD:3;      /*    PC11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PC10MD:3;      /*    PC10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PC9MD :3;      /*    PC9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PC8MD :3;      /*    PC8MD     */
                           }       BIT;                 /*              */
                    }           PCCRL3;                 /*              */
              union {                                   /* PCCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PC7MD:3;       /*    PC7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PC6MD:3;       /*    PC6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PC5MD:3;       /*    PC5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PC4MD:3;       /*    PC4MD     */
                           }       BIT;                 /*              */
                    }           PCCRL2;                 /*              */
              union {                                   /* PCCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PC3MD:3;       /*    PC3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PC2MD:3;       /*    PC2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PC1MD:3;       /*    PC1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PC0MD:3;       /*    PC0MD     */
                           }       BIT;                 /*              */
                    }           PCCRL1;                 /*              */
              char              wk9[18];                /*              *///FFFE392A-FFFE3910-8
              union {                                   /* PCPCRL       *///FFFE392A
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PC15PCR:1;     /*    PC12PCR   */
                           unsigned char PC14PCR:1;     /*    PC11PCR   */
                           unsigned char PC13PCR:1;     /*    PC10PCR   */
                           unsigned char PC12PCR:1;     /*    PC12PCR   */
                           unsigned char PC11PCR:1;     /*    PC11PCR   */
                           unsigned char PC10PCR:1;     /*    PC10PCR   */
                           unsigned char PC9PCR :1;     /*    PC9PCR    */
                           unsigned char PC8PCR :1;     /*    PC8PCR    */
                           unsigned char PC7PCR :1;     /*    PC7PCR    */
                           unsigned char PC6PCR :1;     /*    PC6PCR    */
                           unsigned char PC5PCR :1;     /*    PC2PCR    */
                           unsigned char PC4PCR :1;     /*    PC1PCR    */
                           unsigned char PC3PCR :1;     /*    PC0PCR    */
                           unsigned char PC2PCR :1;     /*    PC2PCR    */
                           unsigned char PC1PCR :1;     /*    PC1PCR    */
                           unsigned char PC0PCR :1;     /*    PC0PCR    */
                           }       BIT;                 /*              */
                    }           PCPCRL;                 /*              */
              char              wk10[88];               /*              *///FFFE3984-FFFE392A-2
              union {                                   /* PDIORH       *///FFFE3984
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B31:1;         /*    Bit 31    */
                           unsigned char B30:1;         /*    Bit 30    */
                           unsigned char B29:1;         /*    Bit 29    */
                           unsigned char B28:1;         /*    Bit 28    */
                           unsigned char B27:1;         /*    Bit 27    */
                           unsigned char B26:1;         /*    Bit 26    */
                           unsigned char B25:1;         /*    Bit 25    */
                           unsigned char B24:1;         /*    Bit 24    */
                           unsigned char B23:1;         /*    Bit 23    */
                           unsigned char B22:1;         /*    Bit 22    */
                           unsigned char B21:1;         /*    Bit 21    */
                           unsigned char B20:1;         /*    Bit 20    */
                           unsigned char B19:1;         /*    Bit 19    */
                           unsigned char B18:1;         /*    Bit 18    */
                           unsigned char B17:1;         /*    Bit 17    */
                           unsigned char B16:1;         /*    Bit 16    */
                           }       BIT;                 /*              */
                    }           PDIORH;                 /*              */
              union {                                   /* PDIORL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PDIORL;                 /*              */
              union {                                   /* PDCRH4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD31MD:3;      /*    PD31MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD30MD:3;      /*    PD30MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD29MD:3;      /*    PD29MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD28MD:3;      /*    PD28MD    */
                           }       BIT;                 /*              */
                    }           PDCRH4;                 /*              */
              union {                                   /* PDCRH3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD27MD:3;      /*    PD27MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD26MD:3;      /*    PD26MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD25MD:3;      /*    PD25MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD24MD:3;      /*    PD24MD    */
                           }       BIT;                 /*              */
                    }           PDCRH3;                 /*              */
              union {                                   /* PDCRH2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD23MD:3;      /*    PD23MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD22MD:3;      /*    PD22MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD21MD:3;      /*    PD21MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD20MD:3;      /*    PD20MD    */
                           }       BIT;                 /*              */
                    }           PDCRH2;                 /*              */
              union {                                   /* PDCRH1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD19MD:3;      /*    PD19MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD18MD:3;      /*    PD18MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD17MD:3;      /*    PD17MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD16MD:3;      /*    PD16MD    */
                           }       BIT;                 /*              */
                    }           PDCRH1;                 /*              */
              union {                                   /* PDCRL4       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD15MD:3;      /*    PD15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD14MD:3;      /*    PD14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD13MD:3;      /*    PD13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD12MD:3;      /*    PD12MD    */
                           }       BIT;                 /*              */
                    }           PDCRL4;                 /*              */
              union {                                   /* PDCRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PD11MD:3;      /*    PD11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD10MD:3;      /*    PD10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PD9MD :3;      /*    PD9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PD8MD :3;      /*    PD8MD     */
                           }       BIT;                 /*              */
                    }           PDCRL3;                 /*              */
              union {                                   /* PDCRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PD7MD:3;       /*    PD7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD6MD:3;       /*    PD6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD5MD:3;       /*    PD5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD4MD:3;       /*    PD4MD     */
                           }       BIT;                 /*              */
                    }           PDCRL2;                 /*              */
              union {                                   /* PDCRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PD3MD:3;       /*    PD3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD2MD:3;       /*    PD2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD1MD:3;       /*    PD1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PD0MD:3;       /*    PD0MD     */
                           }       BIT;                 /*              */
                    }           PDCRL1;                 /*              */
              char              wk11[16];               /*              *///FFFE39A8-FFFE3984-20
              union {                                   /* PDPCRH       *///FFFE39A8
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PD31PCR:1;     /*    PD31PCR   */
                           unsigned char PD30PCR:1;     /*    PD30PCR   */
                           unsigned char PD29PCR:1;     /*    PD29PCR   */
                           unsigned char PD28PCR:1;     /*    PD28PCR   */
                           unsigned char PD27PCR:1;     /*    PD27PCR   */
                           unsigned char PD26PCR:1;     /*    PD26PCR   */
                           unsigned char PD25PCR:1;     /*    PD25PCR   */
                           unsigned char PD24PCR:1;     /*    PD24PCR   */
                           unsigned char PD23PCR:1;     /*    PD23PCR   */
                           unsigned char PD22PCR:1;     /*    PD22PCR   */
                           unsigned char PD21PCR:1;     /*    PD21PCR   */
                           unsigned char PD20PCR:1;     /*    PD20PCR   */
                           unsigned char PD19PCR:1;     /*    PD19PCR   */
                           unsigned char PD18PCR:1;     /*    PD18PCR   */
                           unsigned char PD17PCR:1;     /*    PD17PCR   */
                           unsigned char PD16PCR:1;     /*    PD16PCR   */
                           }       BIT;                 /*              */
                    }           PDPCRH;                 /*              */
              union {                                   /* PDPCRL       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PD15PCR:1;     /*    PD15PCR   */
                           unsigned char PD14PCR:1;     /*    PD14PCR   */
                           unsigned char PD13PCR:1;     /*    PD13PCR   */
                           unsigned char PD12PCR:1;     /*    PD12PCR   */
                           unsigned char PD11PCR:1;     /*    PD11PCR   */
                           unsigned char PD10PCR:1;     /*    PD10PCR   */
                           unsigned char PD9PCR :1;     /*    PD9PCR    */
                           unsigned char PD8PCR :1;     /*    PD8PCR    */
                           unsigned char PD7PCR :1;     /*    PD7PCR    */
                           unsigned char PD6PCR :1;     /*    PD6PCR    */
                           unsigned char PD5PCR :1;     /*    PD5PCR    */
                           unsigned char PD4PCR :1;     /*    PD4PCR    */
                           unsigned char PD3PCR :1;     /*    PD3PCR    */
                           unsigned char PD2PCR :1;     /*    PD2PCR    */
                           unsigned char PD1PCR :1;     /*    PD1PCR    */
                           unsigned char PD0PCR :1;     /*    PD0PCR    */
                           }       BIT;                 /*              */
                    }           PDPCRL;                 /*              */
              char              wk12[90];               /*              *///FFFE3A06-FFFE39A8-4
              union {                                   /* PEIORL       *///FFFE3A06
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char B15:1;         /*    Bit 15    */
                           unsigned char B14:1;         /*    Bit 14    */
                           unsigned char B13:1;         /*    Bit 13    */
                           unsigned char B12:1;         /*    Bit 12    */
                           unsigned char B11:1;         /*    Bit 11    */
                           unsigned char B10:1;         /*    Bit 10    */
                           unsigned char B9 :1;         /*    Bit  9    */
                           unsigned char B8 :1;         /*    Bit  8    */
                           unsigned char B7 :1;         /*    Bit  7    */
                           unsigned char B6 :1;         /*    Bit  6    */
                           unsigned char B5 :1;         /*    Bit  5    */
                           unsigned char B4 :1;         /*    Bit  4    */
                           unsigned char B3 :1;         /*    Bit  3    */
                           unsigned char B2 :1;         /*    Bit  2    */
                           unsigned char B1 :1;         /*    Bit  1    */
                           unsigned char B0 :1;         /*    Bit  0    */
                           }       BIT;                 /*              */
                    }           PEIORL;                 /*              */
              char              wk13[8];                /*              *///FFFE3A10-FFFE3A06-2
              union {                                   /* PECRL4       *///FFFE3A10
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PE15MD:3;      /*    PE15MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE14MD:3;      /*    PE14MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE13MD:3;      /*    PE13MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE12MD:3;      /*    PE12MD    */
                           }       BIT;                 /*              */
                    }           PECRL4;                 /*              */
              union {                                   /* PECRL3       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char       :1;      /*              */
                           unsigned char PE11MD:3;      /*    PE11MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE10MD:3;      /*    PE10MD    */
                           unsigned char       :1;      /*              */
                           unsigned char PE9MD :3;      /*    PE9MD     */
                           unsigned char       :1;      /*              */
                           unsigned char PE8MD :3;      /*    PE8MD     */
                           }       BIT;                 /*              */
                    }           PECRL3;                 /*              */
              union {                                   /* PECRL2       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE7MD:3;       /*    PE7MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE6MD:3;       /*    PE6MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE5MD:3;       /*    PE5MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE4MD:3;       /*    PE4MD     */
                           }       BIT;                 /*              */
                    }           PECRL2;                 /*              */
              union {                                   /* PECRL1       */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE3MD:3;       /*    PE3MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE2MD:3;       /*    PE2MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE1MD:3;       /*    PE1MD     */
                           unsigned char      :1;       /*              */
                           unsigned char PE0MD:3;       /*    PE0MD     */
                           }       BIT;                 /*              */
                    }           PECRL1;                 /*              */
              char              wk14[8];                /*              *///FFFE3A20-FFFE3A10-8
              union {                                   /* HCPCR        *///FFFE3A20
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :4;      /*              */
                           unsigned char MZIZDH:1;      /*    MZIZDH    */
                           unsigned char MZIZDL:1;      /*    MZIZDL    */
                           unsigned char MZIZEH:1;      /*    MZIZEH    */
                           unsigned char MZIZEL:1;      /*    MZIZEL    */
                           }      BIT;                  /*              */
                    }           HCPCR;                  /*              */
              union {                                   /* IFCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :8;      /*              */
                           unsigned char       :4;      /*              */
                           unsigned char IRQMD3:1;      /*    IRQMD     */
                           unsigned char IRQMD2:1;      /*    IRQMD     */
                           unsigned char IRQMD1:1;      /*    IRQMD     */
                           unsigned char IRQMD0:1;      /*    IRQMD     */
                           }      BIT;                  /*              */
                    }           IFCR;                   /*              */
              char              wk15[6];                /*              *///FFFE3A2A-FFFE3A20-4
              union {                                   /* PEPCRL       *///FFFE3A2A
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Byte Access */
                           unsigned char H;             /*    High      */
                           unsigned char L;             /*    Low       */
                           }       BYTE;                /*              */
                    struct {                            /*  Bit  Access */
                           unsigned char PE15PCR:1;     /*    PE15PCR   */
                           unsigned char PE14PCR:1;     /*    PE14PCR   */
                           unsigned char PE13PCR:1;     /*    PE13PCR   */
                           unsigned char PE12PCR:1;     /*    PE12PCR   */
                           unsigned char PE11PCR:1;     /*    PE11PCR   */
                           unsigned char PE10PCR:1;     /*    PE10PCR   */
                           unsigned char PE9PCR :1;     /*    PE9PCR    */
                           unsigned char PE8PCR :1;     /*    PE8PCR    */
                           unsigned char PE7PCR :1;     /*    PE7PCR    */
                           unsigned char PE6PCR :1;     /*    PE6PCR    */
                           unsigned char PE5PCR :1;     /*    PE5PCR    */
                           unsigned char PE4PCR :1;     /*    PE4PCR    */
                           unsigned char PE3PCR :1;     /*    PE3PCR    */
                           unsigned char PE2PCR :1;     /*    PE2PCR    */
                           unsigned char PE1PCR :1;     /*    PE1PCR    */
                           unsigned char PE0PCR :1;     /*    PE0PCR    */
                           }       BIT;                 /*              */
                    }           PEPCRL;                 /*              */
};                                                      /*              */
struct st_pa {                                          /* struct PA    */
             union {                                    /* PADR         *///FFFE3800
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char    :5;          /*              */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              *///FFFE381C-FFFEE3800-4
             union {                                    /* PAPR         *///FFFE381C
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char    :5;          /*              */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /* PBDR         *///FFFE3880
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :4;          /*              */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char    :2;          /*              */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              *///FFFE389C-FFFE3880-4
             union {                                    /* PBPR         *///FFFE389C
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :8;          /*              */
                          unsigned char    :4;          /*              */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char    :2;          /*              */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pc {                                          /* struct PC    */
             char               wk[2];                  /*              *///FFFE3900
             union {                                    /* PCDR         *///FFFE3902
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk2[26];                /*              *///FFFE391E-FFFE3900-4
             union {                                    /* PCPR         *///FFFE391E
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pd {                                          /* struct PD    */
             union {                                    /* PDDR         *///FFFE3980
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B31:1;          /*    Bit 31    */
                          unsigned char B30:1;          /*    Bit 30    */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk[24];                 /*              *///FFFE399C-FFFE3980-4
             union {                                    /* PDPR         *///FFFE399C
                   unsigned int  LONG;                  /*  Long Access */
                   struct {                             /*  Word Access */
                          unsigned short H;             /*    High      */
                          unsigned short L;             /*    Low       */
                          }      WORD;                  /*              */
                   struct {                             /*  Byte Access */
                          unsigned char HH;             /*    High,High */
                          unsigned char HL;             /*    High,Low  */
                          unsigned char LH;             /*    Low ,High */
                          unsigned char LL;             /*    Low ,Low  */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B31:1;          /*    Bit 31    */
                          unsigned char B30:1;          /*    Bit 30    */
                          unsigned char B29:1;          /*    Bit 29    */
                          unsigned char B28:1;          /*    Bit 28    */
                          unsigned char B27:1;          /*    Bit 27    */
                          unsigned char B26:1;          /*    Bit 26    */
                          unsigned char B25:1;          /*    Bit 25    */
                          unsigned char B24:1;          /*    Bit 24    */
                          unsigned char B23:1;          /*    Bit 23    */
                          unsigned char B22:1;          /*    Bit 22    */
                          unsigned char B21:1;          /*    Bit 21    */
                          unsigned char B20:1;          /*    Bit 20    */
                          unsigned char B19:1;          /*    Bit 19    */
                          unsigned char B18:1;          /*    Bit 18    */
                          unsigned char B17:1;          /*    Bit 17    */
                          unsigned char B16:1;          /*    Bit 16    */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             char               wk[2];                  /*              *///FFFE3A00
             union {                                    /* PEDR         *///FFFE3A02
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
             char               wk2[26];                /*              *///FFFE3A1E-FFFE3A00-4
             union {                                    /* PEPR         *///FFFE3A1E
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          unsigned char H;              /*    High      */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char B15:1;          /*    Bit 15    */
                          unsigned char B14:1;          /*    Bit 14    */
                          unsigned char B13:1;          /*    Bit 13    */
                          unsigned char B12:1;          /*    Bit 12    */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            PR;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             char               wk[2];                  /*              *///FFFE3A80
             union {                                    /* PFDR         *///FFFE3A82
                   unsigned short WORD;                 /*  Word Access */
                   struct {                             /*  Byte Access */
                          char          wk;             /*              */
                          unsigned char L;              /*    Low       */
                          }      BYTE;                  /*              */
                   struct {                             /*  Bit  Access */
                          unsigned char    :4;          /*              */
                          unsigned char B11:1;          /*    Bit 11    */
                          unsigned char B10:1;          /*    Bit 10    */
                          unsigned char B9 :1;          /*    Bit  9    */
                          unsigned char B8 :1;          /*    Bit  8    */
                          unsigned char B7 :1;          /*    Bit  7    */
                          unsigned char B6 :1;          /*    Bit  6    */
                          unsigned char B5 :1;          /*    Bit  5    */
                          unsigned char B4 :1;          /*    Bit  4    */
                          unsigned char B3 :1;          /*    Bit  3    */
                          unsigned char B2 :1;          /*    Bit  2    */
                          unsigned char B1 :1;          /*    Bit  1    */
                          unsigned char B0 :1;          /*    Bit  0    */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_usb {                                         /*              */
              union {                                   /* USBIFR0      *///FFFE7000
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char BRST    :1;    /*    BRST      */
                           unsigned char EP1FULL :1;    /*    EP1FULL   */
                           unsigned char EP2TR   :1;    /*    EP2TR     */
                           unsigned char EP2EMPTY:1;    /*    EP2EMPTY  */
                           unsigned char SETUPTS :1;    /*    SETUPTS   */
                           unsigned char EP0OTS  :1;    /*    EP0OTS    */
                           unsigned char EP0ITR  :1;    /*    EP0ITR    */
                           unsigned char EP0ITS  :1;    /*    EP0ITS    */
                           }      BIT;                  /*              */
                    }           USBIFR0;                /*              */
              union {                                   /* USBIFR1      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char        :4;     /*              */
                           unsigned char VBUSMN :1;     /*    VBUSMN    */
                           unsigned char EP3TR  :1;     /*    EP3TR     */
                           unsigned char EP3TS  :1;     /*    EP3TS     */
                           unsigned char VBUSF  :1;     /*    VBUSF     */
                           }      BIT;                  /*              */
                    }           USBIFR1;                /*              */
              unsigned char USBEPDR0I;                  /* USBEPDR0I    */
              unsigned char USBEPDR0O;                  /* USBEPDR0O    */
              union {                                   /* USBTRG       */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char         :1;    /*              */
                           unsigned char EP3PKTE :1;    /*    EP3PKTE   */
                           unsigned char EP1RDFN :1;    /*    EP1RDFN   */
                           unsigned char EP2PKTE :1;    /*    EP2PKTE   */
                           unsigned char         :1;    /*              */
                           unsigned char EP0SRDFN:1;    /*    EP0SRDFN  */
                           unsigned char EP0ORDFN:1;    /*    EP0ORDFN  */
                           unsigned char EP0IPKTE:1;    /*    EP0IPKTE  */
                           }      BIT;                  /*              */
                    }           USBTRG;                 /*              */
              union {                                   /* USBFCLR      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char         :1;    /*              */
                           unsigned char EP3CLR  :1;    /*    EP3CLR    */
                           unsigned char EP1CLR  :1;    /*    EP1CLR    */
                           unsigned char EP2CLR  :1;    /*    EP2CLR    */
                           unsigned char         :2;    /*              */
                           unsigned char EP0OCLR :1;    /*    EP0OCLR   */
                           unsigned char EP0ICLR :1;    /*    EP0ICLR   */
                           }      BIT;                  /*              */
                    }           USBFCLR;                /*              */
              unsigned char USBEPSZ0O;                  /* USBEPSZ0O    */
              unsigned char USBEPDR0S;                  /* USBEPDR0S    */
              union {                                   /* USBDASTS     */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char        :2;     /*              */
                           unsigned char EP3DE  :1;     /*    EP3DE     */
                           unsigned char EP2DE  :1;     /*    EP2DE     */
                           unsigned char        :3;     /*              */
                           unsigned char EP0IDE :1;     /*    EP0IDE    */
                           }      BIT;                  /*              */
                    }           USBDASTS;               /*              */
              char              wk;                     /*              *///FFFE700A-FFFE7000-9
              union {                                   /* USBISR0      *///FFFE700A
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char BRST    :1;    /*    BRST      */
                           unsigned char EP1FULL :1;    /*    EP1FULL   */
                           unsigned char EP2TR   :1;    /*    EP2TR     */
                           unsigned char EP2EMPTY:1;    /*    EP2EMPTY  */
                           unsigned char SETUPTS :1;    /*    SETUPTS   */
                           unsigned char EP0OTS  :1;    /*    EP0OTS    */
                           unsigned char EP0ITR  :1;    /*    EP0ITR    */
                           unsigned char EP0ITS  :1;    /*    EP0ITS    */
                           }      BIT;                  /*              */
                    }           USBISR0;                /*              */
              union {                                   /* USBEPSTL     */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char        :3;     /*              */
                           unsigned char ASCE   :1;     /*    ASCE      */
                           unsigned char EP3STL :1;     /*    EP3STL    */
                           unsigned char EP2STL :1;     /*    EP2STL    */
                           unsigned char EP1STL :1;     /*    EP1STL    */
                           unsigned char EP0STL :1;     /*    EP0STL    */
                           }      BIT;                  /*              */
                    }           USBEPSTL;               /*              */
              union {                                   /* USBIER0      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char BRST    :1;    /*    BRST      */
                           unsigned char EP1FULL :1;    /*    EP1FULL   */
                           unsigned char EP2TR   :1;    /*    EP2TR     */
                           unsigned char EP2EMPTY:1;    /*    EP2EMPTY  */
                           unsigned char SETUPTS :1;    /*    SETUPTS   */
                           unsigned char EP0OTS  :1;    /*    EP0OTS    */
                           unsigned char EP0ITR  :1;    /*    EP0ITR    */
                           unsigned char EP0ITS  :1;    /*    EP0ITS    */
                           }      BIT;                  /*              */
                    }           USBIER0;                /*              */
              union {                                   /* USBIER1      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :5;      /*              */
                           unsigned char EP3TR :1;      /*    EP3TR     */
                           unsigned char EP3TS :1;      /*    EP3TS     */
                           unsigned char VBUSF :1;      /*    VBUSF     */
                           }      BIT;                  /*              */
                    }           USBIER1;                /*              */
              char              wk1;                    /*              *///FFFE700F-FFFE700A-4
              unsigned char USBEPSZ1;                   /* USBEPSZ1     *///FFFE700F
              union {                                   /* USBISR1      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :5;      /*              */
                           unsigned char EP3TR :1;      /*    EP3TR     */
                           unsigned char EP3TS :1;      /*    EP3TS     */
                           unsigned char VBUSF :1;      /*    VBUSF     */
                           }      BIT;                  /*              */
                    }           USBISR1;                /*              */
              union {                                   /* USBDMAR      */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char         :6;    /*              */
                           unsigned char EP2DMAE :1;    /*    EP2DMAE   */
                           unsigned char EP1DMAE :1;    /*    EP1DMAE   */
                           }      BIT;                  /*              */
                    }           USBDMAR;                /*              */
              unsigned char USBEPDR3;                   /* USBEPDR3     */
              char              wk2;                    /*              *///FFFE7014-FFFE700F-4
              unsigned int  USBEPDR1;                   /* USBEPDR1     *///FFFE7014
              unsigned int  USBEPDR2;                   /* USBEPDR2     */
};                                                      /*              */
struct st_flash {                                       /* struct FLASH */
                union {                                 /* FCCS         *///FFFFA800
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char FWE :1;      /*    FWE       */
                             unsigned char     :2;      /*              */
                             unsigned char FLER:1;      /*    FLER      */
                             unsigned char     :3;      /*              */
                             unsigned char SCO :1;      /*    SCO       */
                             }      BIT;                /*              */
                      }         FCCS;                   /*              */
                union {                                 /* FPCS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char PPVS:1;      /*    PPVS      */
                             }      BIT;                /*              */
                      }         FPCS;                   /*              */
                union {                                 /* FECS         */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char     :7;      /*              */
                             unsigned char EPVB:1;      /*    EPVB      */
                             }      BIT;                /*              */
                      }         FECS;                   /*              */
                char            wk1;                    /*              */
                unsigned char   FKEY;                   /* FKEY         */
                unsigned char   FMATS;                  /* FMATS        */
                union {                                 /* FTDAR        */
                      unsigned char BYTE;               /*  Byte Access */
                      struct {                          /*  Bit  Access */
                             unsigned char TDER:1;      /*    TDER      */
                             unsigned char TDA :7;      /*    TDA       */
                             }      BIT;                /*              */
                      }         FTDAR;                  /*              */
};                                                      /*              */
struct st_stb {                                         /* struct STB   */
              union {                                   /* STBCR        *///FFFE0014
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char STBY:1;        /*    STBY      */
                           }      BIT;                  /*              */
                    }           CR;                     /*              */
              char              wk1[3];                 /*              *///FFFE0018-FFFE0014-1
              union {                                   /* STBCR2       *///FFFE0018
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char _HUDI:1;       /*    H-UDI     */
                           unsigned char _UBC :1;       /*    UBC       */
                           unsigned char _DMAC:1;       /*    DMAC      */
                           unsigned char      :1;       /*              */
                           unsigned char _DTC :1;       /*    DTC       */
                           }      BIT;                  /*              */
                    }           CR2;                    /*              */
              char              wk2[1007];              /*              *///FFFE0408-FFFE0018-1
              union {                                   /* STBCR3       *///FFFE0408
                    unsigned char BYTE;                 /*  Byte Access */  
                    struct {                            /*  Bit  Access */
                           unsigned char HIZ   :1;      /*    HIZ       */
                           unsigned char _MTU2S:1;      /*    MTU2S     */
                           unsigned char _MTU2 :1;      /*    MTU2      */
                           unsigned char _POE2 :1;      /*    POE2      */
                           unsigned char _IIC3 :1;      /*    IIC3      */
                           unsigned char _ADC0 :1;      /*    ADC0      */
                           unsigned char _DAC  :1;      /*    DAC       */
                           unsigned char _FLASH:1;      /*    FLASH     */
                           }      BIT;                  /*              */
                    }           CR3;                    /*              */
              char              wk3[3];                 /*              *///FFFE040C-FFFE0408-1
              union {                                   /* STBCR4       *///FFFE040C
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :3;      /*              */
                           unsigned char _SCIF3:1;      /*    SCIF3     */
                           unsigned char       :1;      /*              */
                           unsigned char _CMT  :1;      /*    CMT       */
                           }      BIT;                  /*              */
                    }           CR4;                    /*              */
              char              wk4[11];                /*              *///FFFE0418-FFFE040C-1
              union {                                   /* STBCR5       *///FFFE0418
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char _SCI0:1;       /*    SCI0      */
                           unsigned char _SCI1:1;       /*    SCI1      */
                           unsigned char _SCI2:1;       /*    SCI2      */
                           unsigned char      :1;       /*              */
                           unsigned char _SCI4:1;       /*    SCI4      */
                           unsigned char _ADC1:1;       /*    ADC1      */
                           unsigned char _ADC2:1;       /*    ADC2      */
                           unsigned char _SSU :1;       /*    SSU       */
                           }      BIT;                  /*              */
                    }           CR5;                    /*              */
              char              wk5[3];                 /*              *///FFFE041C-FFFE0418-1
              union {                                   /* STBCR6       *///FFFE041C
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char USBSEL:1;      /*    USBSEL    */
                           unsigned char _USB  :1;      /*    USB       */
                           unsigned char USBCLK:1;      /*    USBCLK    */
                           unsigned char _RCAN :1;      /*    RCAN      */
                           }      BIT;                  /*              */
                    }           CR6;                    /*              */
};                                                      /*              */
struct st_sys {                                         /* struct SYS   */
              union {                                   /* SYSCR1       *///FFFE0402
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :4;       /*              */
                           unsigned char RAME3:1;       /*    RAME3     */
                           unsigned char RAME2:1;       /*    RAME2     */
                           unsigned char RAME1:1;       /*    RAME1     */
                           unsigned char RAME0:1;       /*    RAME0     */
                           }      BIT;                  /*              */
                    }           CR1;                    /*              */
              char              wk;                     /*              *///FFFE0404-FFFE0402-1
              union {                                   /* SYSCR2       *///FFFE0404
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char       :4;      /*              */
                           unsigned char RAMWE3:1;      /*    RAMWE3    */
                           unsigned char RAMWE2:1;      /*    RAMWE2    */
                           unsigned char RAMWE1:1;      /*    RAMWE1    */
                           unsigned char RAMWE0:1;      /*    RAMWE0    */
                           }      BIT;                  /*              */
                    }           CR2;                    /*              */
};                                                      /*              */
struct st_hudi {                                        /* struct H-UDI */
               union {                                  /* SDIR         *///FFFE2000
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TI:8;        /*              */
                            }       BIT;                /*              */
                     }          SDIR;                   /*              */
};                                                      /*              */
#define CPG    (*(volatile struct st_cpg   *)0xFFFE0010)/* CPG   Address*/
#define INTC   (*(volatile struct st_intc  *)0xFFFE0800)/* INTC  Address*/
#define UBC    (*(volatile struct st_ubc   *)0xFFFC04C0)/* UBC   Address*/
#define UBC0   (*(volatile struct st_ubc0  *)0xFFFC0400)/* UBC0  Address*/
#define UBC1   (*(volatile struct st_ubc0  *)0xFFFC0410)/* UBC1  Address*/
#define DTC    (*(volatile struct st_dtc   *)0xFFFE6000)/* DTC   Address*/
#define BSC    (*(volatile struct st_bsc   *)0xFFFC0000)/* BSC   Address*/
#define DMAC   (*(volatile struct st_dmac  *)0xFFFE1200)/* DMAC  Address*/
#define DMAC0  (*(volatile struct st_dmac0 *)0xFFFE1000)/* DMAC0 Address*/
#define DMAC1  (*(volatile struct st_dmac0 *)0xFFFE1010)/* DMAC1 Address*/
#define DMAC2  (*(volatile struct st_dmac2 *)0xFFFE1020)/* DMAC2 Address*/
#define DMAC3  (*(volatile struct st_dmac2 *)0xFFFE1030)/* DMAC3 Address*/
#define DMAC4  (*(volatile struct st_dmac4 *)0xFFFE1040)/* DMAC4 Address*/
#define DMAC5  (*(volatile struct st_dmac4 *)0xFFFE1050)/* DMAC5 Address*/
#define DMAC6  (*(volatile struct st_dmac4 *)0xFFFE1060)/* DMAC6 Address*/
#define DMAC7  (*(volatile struct st_dmac4 *)0xFFFE1070)/* DMAC7 Address*/
#define MTU2   (*(volatile struct st_mtu2  *)0xFFFE420A)/* MTU2  Address*/
#define MTU20  (*(volatile struct st_mtu20 *)0xFFFE4300)/* MTU20 Address*/
#define MTU21  (*(volatile struct st_mtu21 *)0xFFFE4380)/* MTU21 Address*/
#define MTU22  (*(volatile struct st_mtu22 *)0xFFFE4000)/* MTU22 Address*/
#define MTU23  (*(volatile struct st_mtu23 *)0xFFFE4200)/* MTU23 Address*/
#define MTU24  (*(volatile struct st_mtu24 *)0xFFFE4200)/* MTU24 Address*/
#define MTU25  (*(volatile struct st_mtu25 *)0xFFFE4080)/* MTU25 Address*/
#define MTU2S  (*(volatile struct st_mtu2s *)0xFFFE4A0A)/* MTU2S Address*/
#define MTU2S3 (*(volatile struct st_mtu23 *)0xFFFE4A00)/* MTU2S3Address*/
#define MTU2S4 (*(volatile struct st_mtu24 *)0xFFFE4A00)/* MTU2S4Address*/
#define MTU2S5 (*(volatile struct st_mtu25 *)0xFFFE4880)/* MTU2S5Address*/
#define POE2   (*(volatile struct st_poe2  *)0xFFFE5000)/* POE   Address*/
#define CMT    (*(volatile struct st_cmt   *)0xFFFEC000)/* CMT   Address*/
#define CMT0   (*(volatile struct st_cmt0  *)0xFFFEC002)/* CMT0  Address*/
#define CMT1   (*(volatile struct st_cmt0  *)0xFFFEC008)/* CMT1  Address*/
#define WDT    (*(volatile union  un_wdt   *)0xFFFE0000)/* WDT   Address*/
#define SCI0   (*(volatile struct st_sci   *)0xFFFF8000)/* SCI0  Address*/
#define SCI1   (*(volatile struct st_sci   *)0xFFFF8800)/* SCI1  Address*/
#define SCI2   (*(volatile struct st_sci   *)0xFFFF9000)/* SCI2  Address*/
#define SCI4   (*(volatile struct st_sci   *)0xFFFFA000)/* SCI4  Address*/
#define SCIF3  (*(volatile struct st_scif  *)0xFFFE9800)/* SCIF3 Address*/
#define SSU    (*(volatile struct st_ssu   *)0xFFFFB000)/* SSU   Address*/
#define IIC3   (*(volatile struct st_iic3  *)0xFFFEE000)/* IIC3  Address*/
#define ADC0   (*(volatile struct st_adc0  *)0xFFFFE800)/* ADC0  Address*/
#define ADC1   (*(volatile struct st_adc1  *)0xFFFFEC00)/* ADC1  Address*/
#define ADC2   (*(volatile struct st_adc2  *)0xFFFFEE00)/* ADC2  Address*/// 7286 ONLY
#define DAC    (*(volatile struct st_dac   *)0xFFFE6800)/* DAC   Address*/// 7286 ONLY
#define RCANET (*(volatile struct st_rcanet*)0xFFFFD000)/* RCAN  Address*/// 7286 ONLY
#define PFC    (*(volatile struct st_pfc   *)0xFFFE3804)/* PFC   Address*/
#define PA     (*(volatile struct st_pa    *)0xFFFE3800)/* PA    Address*/
#define PB     (*(volatile struct st_pb    *)0xFFFE3880)/* PB    Address*/
#define PC     (*(volatile struct st_pc    *)0xFFFE3900)/* PC    Address*/
#define PD     (*(volatile struct st_pd    *)0xFFFE3980)/* PD    Address*/
#define PE     (*(volatile struct st_pe    *)0xFFFE3A00)/* PE    Address*/
#define PF     (*(volatile struct st_pf    *)0xFFFE3A80)/* PF    Address*/
#define USB    (*(volatile struct st_usb   *)0xFFFE7000)/* USB   Address*/
//#define FLASH  (*(volatile struct st_flash *)0x8000C000)/* FLASH Address*/
#define FLASH  (*(volatile struct st_flash *)0xFFFFA800)/* FLASH Address*/
#define STB    (*(volatile struct st_stb   *)0xFFFE0014)/* STB   Address*/
#define SYS    (*(volatile struct st_sys   *)0xFFFE0402)/* SYS   Address*/
#define HUDI   (*(volatile struct st_hudi  *)0xFFFE2000)/* H-UDI Address*/

#endif	/* _IODEFINE_H_ */
/* End of File */
